package com.bocloud.cmp.provider.utils;

import com.bocloud.common.utils.ArrayTool;

public class StringArrayTool extends ArrayTool {

	public static boolean exist(String source, String[] targets, boolean ignore) {
		if (ignore) {
			if (ArrayTool.isEmpty(targets)) {
				return false;
			}
			source = source.trim();
			for (String target : targets) {
				if (target.equalsIgnoreCase(source)) {
					return true;
				}
			}
			return false;
		} else {
			return exits(source, targets);
		}
	}

	public static boolean absent(String source, String[] targets, boolean ignore) {
		return !exist(source, targets, ignore);
	}

	public static boolean isNotEmpty(String[] array) {
		return !isEmpty(array);
	}
}
