package com.bocloud.cmp.common.model;

import com.alibaba.fastjson.annotation.JSONField;

public class FusionCloudProject {

	private String id;
	private String name;
	@JSONField(name = "tenant_id")
	private String tenantId;
	private Boolean enabled;
	private FusionCloudDomain domain;

	/**
	 * 
	 */
	public FusionCloudProject() {
		super();
	}

	/**
	 * @param id
	 */
	public FusionCloudProject(String id) {
		super();
		this.id = id;
	}

	/**
	 * @param domain
	 */
	public FusionCloudProject(FusionCloudDomain domain) {
		super();
		this.domain = domain;
	}

	/**
	 * @param name
	 * @param domain
	 */
	public FusionCloudProject(String name, FusionCloudDomain domain) {
		super();
		this.name = name;
		this.domain = domain;
	}

	public String getTenantId() {
		return tenantId;
	}

	public void setTenantId(String tenantId) {
		this.tenantId = tenantId;
	}

	/**
	 * @return the id
	 */
	public String getId() {
		return id;
	}

	/**
	 * @param id
	 *            the id to set
	 */
	public void setId(String id) {
		this.id = id;
	}

	/**
	 * @return the name
	 */
	public String getName() {
		return name;
	}

	/**
	 * @param name
	 *            the name to set
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * @return the domain
	 */
	public FusionCloudDomain getDomain() {
		return domain;
	}

	/**
	 * @param domain
	 *            the domain to set
	 */
	public void setDomain(FusionCloudDomain domain) {
		this.domain = domain;
	}

	public Boolean getEnabled() {
		return enabled;
	}

	public void setEnabled(Boolean enabled) {
		this.enabled = enabled;
	}
}
