package com.bocloud.cmp.convertor;

import com.alibaba.fastjson.JSONObject;
import com.bocloud.cmp.model.fusionsphere.CdromFileModel;
import com.bocloud.cmp.provider.convertor.BeanJsonConvertor;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: CdromFileConvertor
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2021/11/9 14:24
 */
public class CdromFileConvertor implements BeanJsonConvertor<CdromFileModel> {

    @Override
    public CdromFileModel convertModel(JSONObject object) {
        CdromFileModel model = new CdromFileModel();
        model.setDsId(object.getLong("dsId"));
        model.setFileId(object.getLong("fileId"));
        model.setFileStatus(object.getString("fileStatus"));
        model.setName(object.getString("name"));
        model.setSize(object.getLong("size"));
        model.setUploadTime(object.getString("uploadTime"));
        return model;
    }


}