package com.bocloud.cmp.provider.hmc;

import com.bocloud.cmp.model.Butler;
import com.bocloud.cmp.provider.HmcDispatcherProvider;
import com.bocloud.common.annotations.Provider;
import com.bocloud.common.model.BocloudResult;

@Provider("bocloud.cmp.hmc")
public class HmcNetworkBridgeProvider extends HmcDispatcherProvider implements NetworkBridgeProvider {

    public HmcNetworkBridgeProvider(Butler bulter) {
        super(bulter);
    }

    @Override
    public BocloudResult getNetworkBridge(String ManagedSystemUuid) {
        return getHmcProviderImpl(NetworkBridgeProvider.class, this.getClass()).getNetworkBridge(ManagedSystemUuid);
    }
}
