package com.bocloud.cmp.provider.hmc.sdk.enums;

/**
 * 虚拟IO服务器快速查询属性
 * 
 * @author sxp
 * @since May 11, 2018
 */
public enum VirtualIOServerQuickProperty {
    // The virtual service attention LED state.
    IsVirtualServiceAttentionLEDOn,

    // API capability
    APICapable,

    // The partition environment, as an enumeration key (e.g.'AIX_LINUX',
    // 'OS_400', 'VIRTUAL_IO_SERVER').
    PartitionType,

    // The name of the partition.
    PartitionName,

    // The integer ID of the partition.
    PartitionID,

    // The state of the partition.
    PartitionState,

    // The REST URI of the partition's parent ManagedSystem.
    AssociatedManagedSystem,

    // The state of the partition's Resource Monitoring Control(RMC) connection
    RMCState;
}
