package com.bocloud.cmp.provider.hmc.sdk.model;

/**
 * HMC常量
 *
 * @author sxp
 * @since Mar 19, 2018
 */
public class HmcSdkConstant {
    public static final String DEFAULT_CHARSET = "UTF-8";

    public static final Object NEW_LINE = "\n";

    // HTTP

    @Deprecated
    public static final String HEADER_CONTENT_TYPE = "Content-Type";

    public static final String HEADER_X_API_SESSION = "X-API-Session";

    @Deprecated
    public static final String HEADER_ACCEPT = "Accept";

    /**
     * bocloud的HttpClient出现401错误是的错误信息
     */
    public static final String HTTP_CLIENT_401_ERROR = "Unauthorized";

    // BUSINESS

    public static final String SCHEMA_VERSION_V160 = "V1_6_0";
    public static final String SCHEMA_VERSION_V120 = "V1_2_0";
    public static final String SCHEMA_VERSION_V110 = "V1_1_0";
    public static final String SCHEMA_VERSION_V10 = "V1_0";

    public static final String NAMESPACE = "http://www.ibm.com/xmlns/systems/power/firmware/uom/mc/2012_10/";

    public static final String JOBREQUEST_NAMESPACE = "http://www.ibm.com/xmlns/systems/power/firmware/web/mc/2012_10/";

    public static final String NS2_NAMESPACE = "http://www.w3.org/XML/1998/namespace/k2";

    public static final String PROFILE_TYPE = "REG_LPAR_PROFILE_TYPE";

    public static final String JOB_ID = "jobId";
}
