package com.bocloud.cmp.provider.hmc.sdk.model.v7.pcm;

/**
 * Virtual IO Server JSON Specification for Short Term Monitoring metrics PCM
 * STM URI provides the following Virtual IO Server utilization data when
 * ShortTermMonitorEnabled configuration value for a managed system is enabled.
 */
public class V7PcmStmViosJson {
    private V7StmViosSystemUtil systemUtil;
    private String category;

    public V7StmViosSystemUtil getSystemUtil() {
        return systemUtil;
    }

    public void setSystemUtil(V7StmViosSystemUtil systemUtil) {
        this.systemUtil = systemUtil;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

}
