package com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.common;

import com.alibaba.fastjson.JSONObject;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * ErrorContent
 *
 * @author lkx007
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "content")
public class V7ErrorContent {

    /**
     * 500
     */
    @XmlElement(name = "HttpErrorResponse")
    private V7HttpErrorResponse httpErrorResponse;

    /**
     * @return the httpErrorResponse
     */
    public V7HttpErrorResponse getHttpErrorResponse() {
        return httpErrorResponse;
    }

    /**
     * @param httpErrorResponse the httpErrorResponse to set
     */
    public void setHttpErrorResponse(V7HttpErrorResponse httpErrorResponse) {
        this.httpErrorResponse = httpErrorResponse;
    }

    public V7ErrorContent() {
    }

    @Override
    public String toString() {
        return JSONObject.toJSONString(this);
    }

}
