package com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.common;

import com.alibaba.fastjson.JSONObject;

import javax.xml.bind.annotation.*;

/**
 * 元数据
 *
 * @author sxp
 * @since May 3, 2018
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "Metadata")
@XmlType(propOrder = {"atom"})
public class V7Metadata {
    @XmlElement(name = "Atom")
    private V7Atom atom;

    public V7Metadata() {
    }

    @Override
    public String toString() {
        return JSONObject.toJSONString(this);
    }

    public V7Metadata(V7Atom atom) {
        this.atom = atom;
    }

    public V7Atom getAtom() {
        return atom;
    }

    public void setAtom(V7Atom atom) {
        this.atom = atom;
    }
}
