package com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.common;

import com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.module.V7Link;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;
import java.util.List;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "ResponseBase")
public class V7ResponseBase {
    protected String id;
    protected String updated;
    protected List<V7Link> link;
    protected String generator;

    public V7ResponseBase() {
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getUpdated() {
        return updated;
    }

    public void setUpdated(String updated) {
        this.updated = updated;
    }

    public List<V7Link> getLink() {
        return link;
    }

    public void setLink(List<V7Link> link) {
        this.link = link;
    }

    public String getGenerator() {
        return generator;
    }

    public void setGenerator(String generator) {
        this.generator = generator;
    }

    @Override
    public String toString() {
        return "ResponseBase [id=" + id + ", updated=" + updated + ", link=" + link + ", generator=" + generator + "]";
    }

}
