package com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.job;

import com.bocloud.cmp.provider.hmc.sdk.model.HmcSdkConstant;
import com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.common.V7Metadata;

import javax.xml.bind.annotation.*;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "JobRequest")
public class V7JobRequest {
    @XmlAttribute
    private String schemaVersion = HmcSdkConstant.SCHEMA_VERSION_V10;

    @XmlElement(name = "Metadata")
    private V7Metadata metadata;

    @XmlElement(name = "RequestedOperation")
    private V7RequestedOperation requestedOperation;

    @XmlElement(name = "JobParameters")
    private V7JobParameters jobParameters;

    public V7JobRequest() {
    }

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public V7Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(V7Metadata metadata) {
        this.metadata = metadata;
    }

    public V7RequestedOperation getRequestedOperation() {
        return requestedOperation;
    }

    public void setRequestedOperation(V7RequestedOperation requestedOperation) {
        this.requestedOperation = requestedOperation;
    }

    public V7JobParameters getJobParameters() {
        return jobParameters;
    }

    public void setJobParameters(V7JobParameters jobParameters) {
        this.jobParameters = jobParameters;
    }

    @Override
    public String toString() {
        return "JobRequest [metadata=" + metadata + ", requestedOperation=" + requestedOperation + ", jobParameters="
                + jobParameters + "]";
    }
}
