package com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.job;

import com.alibaba.fastjson.JSON;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * JobResultContent
 *
 * @author 007
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "content")
public class V7JobResultContent {

    /**
     * jobResponse
     */
    @XmlElement(name = "JobResponse")
    private V7InnerJobResponse jobResponse;

    /**
     * @return the jobResponse
     */
    public V7InnerJobResponse getJobResponse() {
        return jobResponse;
    }

    /**
     * @param jobResponse the jobResponse to set
     */
    public void setJobResponse(V7InnerJobResponse jobResponse) {
        this.jobResponse = jobResponse;
    }

    public V7JobResultContent() {
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }

}
