package com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.common.V7Metadata;

import javax.xml.bind.annotation.*;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "AssociatedSystemCapabilities")
public class V7AssociatedSystemCapabilities {

    @XmlAttribute(name = "schemaVersion")
    private String schemaVersion;

    @XmlElement(name = "Metadata")
    private V7Metadata metadata;

    @XmlElement(name = "ActiveLogicalPartitionMobilityCapable")
    private String activeLogicalPartitionMobilityCapable;

    @XmlElement(name = "ActiveLogicalPartitionSharedIdeProcessorsCapable")
    private String activeLogicalPartitionSharedIdeProcessorsCapable;

    @XmlElement(name = "ActiveMemoryDeduplicationCapable")
    private String activeMemoryDeduplicationCapable;

    @XmlElement(name = "ActiveMemoryExpansionCapable")
    private String activeMemoryExpansionCapable;

    @XmlElement(name = "ActiveMemoryMirroringCapable")
    private String activeMemoryMirroringCapable;

    @XmlElement(name = "ActiveMemorySharingCapable")
    private String activeMemorySharingCapable;

    @XmlElement(name = "ActiveSystemOptimizerCapable")
    private String activeSystemOptimizerCapable;

    @XmlElement(name = "AddressBroadcastPolicyCapable")
    private String addressBroadcastPolicyCapable;

    @XmlElement(name = "AIXCapable")
    private String aIXCapable;

    @XmlElement(name = "AutorecoveryPowerOnCapable")
    private String autorecoveryPowerOnCapable;

    @XmlElement(name = "BarrierSynchronizationRegisterCapable")
    private String barrierSynchronizationRegisterCapable;

    @XmlElement(name = "CapacityOnDemandMemoryCapable")
    private String capacityOnDemandMemoryCapable;

    @XmlElement(name = "CapacityOnDemandProcessorCapable")
    private String capacityOnDemandProcessorCapable;

    @XmlElement(name = "CustomLogicalPartitionPlacementCapable")
    private String customLogicalPartitionPlacementCapable;

    @XmlElement(name = "ElectronicErrorReportingCapable")
    private String electronicErrorReportingCapable;

    @XmlElement(name = "ExternalIntrusionDetectionCapable")
    private String externalIntrusionDetectionCapable;

    @XmlElement(name = "FirmwarePowerSaverCapable")
    private String firmwarePowerSaverCapable;

    @XmlElement(name = "HardwareDiscoveryCapable")
    private String hardwareDiscoveryCapable;

    @XmlElement(name = "HardwareMemoryCompressionCapable")
    private String hardwareMemoryCompressionCapable;

    @XmlElement(name = "HardwareMemoryEncryptionCapable")
    private String hardwareMemoryEncryptionCapable;

    @XmlElement(name = "HardwarePowerSaverCapable")
    private String hardwarePowerSaverCapable;

    @XmlElement(name = "HostChannelAdapterCapable")
    private String hostChannelAdapterCapable;

    @XmlElement(name = "HugePageMemoryCapable")
    private String hugePageMemoryCapable;

    @XmlElement(name = "HugePageMemoryOverrideCapable")
    private String hugePageMemoryOverrideCapable;

    @XmlElement(name = "IBMiCapable")
    private String iBMiCapable;

    @XmlElement(name = "IBMiLogicalPartitionMobilityCapable")
    private String iBMiLogicalPartitionMobilityCapable;

    @XmlElement(name = "IBMiLogicalPartitionSuspendCapable")
    private String iBMiLogicalPartitionSuspendCapable;

    @XmlElement(name = "IBMiNetworkInstallCapable")
    private String iBMiNetworkInstallCapable;

    @XmlElement(name = "IBMiRestrictedIOModeCapable")
    private String iBMiRestrictedIOModeCapable;

    @XmlElement(name = "InactiveLogicalPartitionMobilityCapable")
    private String inactiveLogicalPartitionMobilityCapable;

    @XmlElement(name = "IntelligentPlatformManagementInterfaceCapable")
    private String intelligentPlatformManagementInterfaceCapable;

    @XmlElement(name = "LinuxCapable")
    private String linuxCapable;

    @XmlElement(name = "LogicalHostEthernetAdapterCapable")
    private String logicalHostEthernetAdapterCapable;

    @XmlElement(name = "LogicalPartitionAffinityGroupCapable")
    private String logicalPartitionAffinityGroupCapable;

    @XmlElement(name = "LogicalPartitionAvailabilityPriorityCapable")
    private String logicalPartitionAvailabilityPriorityCapable;

    @XmlElement(name = "LogicalPartitionEnergyManagementCapable")
    private String logicalPartitionEnergyManagementCapable;

    @XmlElement(name = "LogicalPartitionProcessorCompatibilityModeCapable")
    private String logicalPartitionProcessorCompatibilityModeCapable;

    @XmlElement(name = "LogicalPartitionRemoteRestartCapable")
    private String logicalPartitionRemoteRestartCapable;

    @XmlElement(name = "LogicalPartitionSuspendCapable")
    private String logicalPartitionSuspendCapable;

    @XmlElement(name = "MemoryMirroringCapable")
    private String memoryMirroringCapable;

    @XmlElement(name = "MicroLogicalPartitionCapable")
    private String microLogicalPartitionCapable;

    @XmlElement(name = "PowerVMLogicalPartitionSimplifiedRemoteRestartCapable")
    private V7PowerVMLogicalPartitionSimplifiedRemoteRestartCapable powerVMLogicalPartitionSimplifiedRemoteRestartCapable;

    @XmlElement(name = "RedundantErrorPathReportingCapable")
    private String redundantErrorPathReportingCapable;

    @XmlElement(name = "RemoteRestartToggleCapable")
    private String remoteRestartToggleCapable;

    @XmlElement(name = "ServiceProcessorConcurrentMaintenanceCapable")
    private String serviceProcessorConcurrentMaintenanceCapable;

    @XmlElement(name = "ServiceProcessorFailoverCapable")
    private String serviceProcessorFailoverCapable;

    @XmlElement(name = "SharedEthernetFailoverCapable")
    private String sharedEthernetFailoverCapable;

    @XmlElement(name = "SharedProcessorPoolCapable")
    private String sharedProcessorPoolCapable;

    @XmlElement(name = "SRIOVCapable")
    private String sRIOVCapable;

    @XmlElement(name = "SwitchNetworkInterfaceMessagePassingCapable")
    private String switchNetworkInterfaceMessagePassingCapable;

    @XmlElement(name = "Telnet5250ApplicationCapable")
    private String telnet5250ApplicationCapable;

    @XmlElement(name = "TurboCoreCapable")
    private String turboCoreCapable;

    @XmlElement(name = "VirtualEthernetAdapterDynamicLogicalPartitionCapable")
    private String virtualEthernetAdapterDynamicLogicalPartitionCapable;

    @XmlElement(name = "VirtualEthernetQualityOfServiceCapable")
    private String virtualEthernetQualityOfServiceCapable;

    @XmlElement(name = "VirtualFiberChannelCapable")
    private String virtualFiberChannelCapable;

    @XmlElement(name = "VirtualIOServerCapable")
    private String virtualIOServerCapable;

    @XmlElement(name = "VirtualizationEngineTechnologiesActivationCapable")
    private String virtualizationEngineTechnologiesActivationCapable;

    @XmlElement(name = "VirtualServerNetworkingPhase2Capable")
    private String virtualServerNetworkingPhase2Capable;

    @XmlElement(name = "VirtualSwitchCapable")
    private String virtualSwitchCapable;

    @XmlElement(name = "VirtualTrustedPlatformModuleCapable")
    private String virtualTrustedPlatformModuleCapable;

    @XmlElement(name = "VLANStatisticsCapable")
    private String vLANStatisticsCapable;

    @XmlElement(name = "VirtualEthernetCustomMACAddressCapable")
    private String virtualEthernetCustomMACAddressCapable;

    @XmlElement(name = "ManagementVLANForControlChannelCapable")
    private String managementVLANForControlChannelCapable;

    public V7AssociatedSystemCapabilities() {
    }

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public V7Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(V7Metadata metadata) {
        this.metadata = metadata;
    }

    public String getActiveLogicalPartitionMobilityCapable() {
        return activeLogicalPartitionMobilityCapable;
    }

    public void setActiveLogicalPartitionMobilityCapable(String activeLogicalPartitionMobilityCapable) {
        this.activeLogicalPartitionMobilityCapable = activeLogicalPartitionMobilityCapable;
    }

    public String getActiveLogicalPartitionSharedIdeProcessorsCapable() {
        return activeLogicalPartitionSharedIdeProcessorsCapable;
    }

    public void setActiveLogicalPartitionSharedIdeProcessorsCapable(
            String activeLogicalPartitionSharedIdeProcessorsCapable) {
        this.activeLogicalPartitionSharedIdeProcessorsCapable = activeLogicalPartitionSharedIdeProcessorsCapable;
    }

    public String getActiveMemoryDeduplicationCapable() {
        return activeMemoryDeduplicationCapable;
    }

    public void setActiveMemoryDeduplicationCapable(String activeMemoryDeduplicationCapable) {
        this.activeMemoryDeduplicationCapable = activeMemoryDeduplicationCapable;
    }

    public String getActiveMemoryExpansionCapable() {
        return activeMemoryExpansionCapable;
    }

    public void setActiveMemoryExpansionCapable(String activeMemoryExpansionCapable) {
        this.activeMemoryExpansionCapable = activeMemoryExpansionCapable;
    }

    public String getActiveMemoryMirroringCapable() {
        return activeMemoryMirroringCapable;
    }

    public void setActiveMemoryMirroringCapable(String activeMemoryMirroringCapable) {
        this.activeMemoryMirroringCapable = activeMemoryMirroringCapable;
    }

    public String getActiveMemorySharingCapable() {
        return activeMemorySharingCapable;
    }

    public void setActiveMemorySharingCapable(String activeMemorySharingCapable) {
        this.activeMemorySharingCapable = activeMemorySharingCapable;
    }

    public String getActiveSystemOptimizerCapable() {
        return activeSystemOptimizerCapable;
    }

    public void setActiveSystemOptimizerCapable(String activeSystemOptimizerCapable) {
        this.activeSystemOptimizerCapable = activeSystemOptimizerCapable;
    }

    public String getAddressBroadcastPolicyCapable() {
        return addressBroadcastPolicyCapable;
    }

    public void setAddressBroadcastPolicyCapable(String addressBroadcastPolicyCapable) {
        this.addressBroadcastPolicyCapable = addressBroadcastPolicyCapable;
    }

    public String getAIXCapable() {
        return aIXCapable;
    }

    public void setAIXCapable(String aIXCapable) {
        this.aIXCapable = aIXCapable;
    }

    public String getAutorecoveryPowerOnCapable() {
        return autorecoveryPowerOnCapable;
    }

    public void setAutorecoveryPowerOnCapable(String autorecoveryPowerOnCapable) {
        this.autorecoveryPowerOnCapable = autorecoveryPowerOnCapable;
    }

    public String getBarrierSynchronizationRegisterCapable() {
        return barrierSynchronizationRegisterCapable;
    }

    public void setBarrierSynchronizationRegisterCapable(String barrierSynchronizationRegisterCapable) {
        this.barrierSynchronizationRegisterCapable = barrierSynchronizationRegisterCapable;
    }

    public String getCapacityOnDemandMemoryCapable() {
        return capacityOnDemandMemoryCapable;
    }

    public void setCapacityOnDemandMemoryCapable(String capacityOnDemandMemoryCapable) {
        this.capacityOnDemandMemoryCapable = capacityOnDemandMemoryCapable;
    }

    public String getCapacityOnDemandProcessorCapable() {
        return capacityOnDemandProcessorCapable;
    }

    public void setCapacityOnDemandProcessorCapable(String capacityOnDemandProcessorCapable) {
        this.capacityOnDemandProcessorCapable = capacityOnDemandProcessorCapable;
    }

    public String getCustomLogicalPartitionPlacementCapable() {
        return customLogicalPartitionPlacementCapable;
    }

    public void setCustomLogicalPartitionPlacementCapable(String customLogicalPartitionPlacementCapable) {
        this.customLogicalPartitionPlacementCapable = customLogicalPartitionPlacementCapable;
    }

    public String getElectronicErrorReportingCapable() {
        return electronicErrorReportingCapable;
    }

    public void setElectronicErrorReportingCapable(String electronicErrorReportingCapable) {
        this.electronicErrorReportingCapable = electronicErrorReportingCapable;
    }

    public String getExternalIntrusionDetectionCapable() {
        return externalIntrusionDetectionCapable;
    }

    public void setExternalIntrusionDetectionCapable(String externalIntrusionDetectionCapable) {
        this.externalIntrusionDetectionCapable = externalIntrusionDetectionCapable;
    }

    public String getFirmwarePowerSaverCapable() {
        return firmwarePowerSaverCapable;
    }

    public void setFirmwarePowerSaverCapable(String firmwarePowerSaverCapable) {
        this.firmwarePowerSaverCapable = firmwarePowerSaverCapable;
    }

    public String getHardwareDiscoveryCapable() {
        return hardwareDiscoveryCapable;
    }

    public void setHardwareDiscoveryCapable(String hardwareDiscoveryCapable) {
        this.hardwareDiscoveryCapable = hardwareDiscoveryCapable;
    }

    public String getHardwareMemoryCompressionCapable() {
        return hardwareMemoryCompressionCapable;
    }

    public void setHardwareMemoryCompressionCapable(String hardwareMemoryCompressionCapable) {
        this.hardwareMemoryCompressionCapable = hardwareMemoryCompressionCapable;
    }

    public String getHardwareMemoryEncryptionCapable() {
        return hardwareMemoryEncryptionCapable;
    }

    public void setHardwareMemoryEncryptionCapable(String hardwareMemoryEncryptionCapable) {
        this.hardwareMemoryEncryptionCapable = hardwareMemoryEncryptionCapable;
    }

    public String getHardwarePowerSaverCapable() {
        return hardwarePowerSaverCapable;
    }

    public void setHardwarePowerSaverCapable(String hardwarePowerSaverCapable) {
        this.hardwarePowerSaverCapable = hardwarePowerSaverCapable;
    }

    public String getHostChannelAdapterCapable() {
        return hostChannelAdapterCapable;
    }

    public void setHostChannelAdapterCapable(String hostChannelAdapterCapable) {
        this.hostChannelAdapterCapable = hostChannelAdapterCapable;
    }

    public String getHugePageMemoryCapable() {
        return hugePageMemoryCapable;
    }

    public void setHugePageMemoryCapable(String hugePageMemoryCapable) {
        this.hugePageMemoryCapable = hugePageMemoryCapable;
    }

    public String getHugePageMemoryOverrideCapable() {
        return hugePageMemoryOverrideCapable;
    }

    public void setHugePageMemoryOverrideCapable(String hugePageMemoryOverrideCapable) {
        this.hugePageMemoryOverrideCapable = hugePageMemoryOverrideCapable;
    }

    public String getIBMiCapable() {
        return iBMiCapable;
    }

    public void setIBMiCapable(String iBMiCapable) {
        this.iBMiCapable = iBMiCapable;
    }

    public String getIBMiLogicalPartitionMobilityCapable() {
        return iBMiLogicalPartitionMobilityCapable;
    }

    public void setIBMiLogicalPartitionMobilityCapable(String iBMiLogicalPartitionMobilityCapable) {
        this.iBMiLogicalPartitionMobilityCapable = iBMiLogicalPartitionMobilityCapable;
    }

    public String getIBMiLogicalPartitionSuspendCapable() {
        return iBMiLogicalPartitionSuspendCapable;
    }

    public void setIBMiLogicalPartitionSuspendCapable(String iBMiLogicalPartitionSuspendCapable) {
        this.iBMiLogicalPartitionSuspendCapable = iBMiLogicalPartitionSuspendCapable;
    }

    public String getIBMiNetworkInstallCapable() {
        return iBMiNetworkInstallCapable;
    }

    public void setIBMiNetworkInstallCapable(String iBMiNetworkInstallCapable) {
        this.iBMiNetworkInstallCapable = iBMiNetworkInstallCapable;
    }

    public String getIBMiRestrictedIOModeCapable() {
        return iBMiRestrictedIOModeCapable;
    }

    public void setIBMiRestrictedIOModeCapable(String iBMiRestrictedIOModeCapable) {
        this.iBMiRestrictedIOModeCapable = iBMiRestrictedIOModeCapable;
    }

    public String getInactiveLogicalPartitionMobilityCapable() {
        return inactiveLogicalPartitionMobilityCapable;
    }

    public void setInactiveLogicalPartitionMobilityCapable(String inactiveLogicalPartitionMobilityCapable) {
        this.inactiveLogicalPartitionMobilityCapable = inactiveLogicalPartitionMobilityCapable;
    }

    public String getIntelligentPlatformManagementInterfaceCapable() {
        return intelligentPlatformManagementInterfaceCapable;
    }

    public void setIntelligentPlatformManagementInterfaceCapable(String intelligentPlatformManagementInterfaceCapable) {
        this.intelligentPlatformManagementInterfaceCapable = intelligentPlatformManagementInterfaceCapable;
    }

    public String getLinuxCapable() {
        return linuxCapable;
    }

    public void setLinuxCapable(String linuxCapable) {
        this.linuxCapable = linuxCapable;
    }

    public String getLogicalHostEthernetAdapterCapable() {
        return logicalHostEthernetAdapterCapable;
    }

    public void setLogicalHostEthernetAdapterCapable(String logicalHostEthernetAdapterCapable) {
        this.logicalHostEthernetAdapterCapable = logicalHostEthernetAdapterCapable;
    }

    public String getLogicalPartitionAffinityGroupCapable() {
        return logicalPartitionAffinityGroupCapable;
    }

    public void setLogicalPartitionAffinityGroupCapable(String logicalPartitionAffinityGroupCapable) {
        this.logicalPartitionAffinityGroupCapable = logicalPartitionAffinityGroupCapable;
    }

    public String getLogicalPartitionAvailabilityPriorityCapable() {
        return logicalPartitionAvailabilityPriorityCapable;
    }

    public void setLogicalPartitionAvailabilityPriorityCapable(String logicalPartitionAvailabilityPriorityCapable) {
        this.logicalPartitionAvailabilityPriorityCapable = logicalPartitionAvailabilityPriorityCapable;
    }

    public String getLogicalPartitionEnergyManagementCapable() {
        return logicalPartitionEnergyManagementCapable;
    }

    public void setLogicalPartitionEnergyManagementCapable(String logicalPartitionEnergyManagementCapable) {
        this.logicalPartitionEnergyManagementCapable = logicalPartitionEnergyManagementCapable;
    }

    public String getLogicalPartitionProcessorCompatibilityModeCapable() {
        return logicalPartitionProcessorCompatibilityModeCapable;
    }

    public void setLogicalPartitionProcessorCompatibilityModeCapable(
            String logicalPartitionProcessorCompatibilityModeCapable) {
        this.logicalPartitionProcessorCompatibilityModeCapable = logicalPartitionProcessorCompatibilityModeCapable;
    }

    public String getLogicalPartitionRemoteRestartCapable() {
        return logicalPartitionRemoteRestartCapable;
    }

    public void setLogicalPartitionRemoteRestartCapable(String logicalPartitionRemoteRestartCapable) {
        this.logicalPartitionRemoteRestartCapable = logicalPartitionRemoteRestartCapable;
    }

    public String getLogicalPartitionSuspendCapable() {
        return logicalPartitionSuspendCapable;
    }

    public void setLogicalPartitionSuspendCapable(String logicalPartitionSuspendCapable) {
        this.logicalPartitionSuspendCapable = logicalPartitionSuspendCapable;
    }

    public String getMemoryMirroringCapable() {
        return memoryMirroringCapable;
    }

    public void setMemoryMirroringCapable(String memoryMirroringCapable) {
        this.memoryMirroringCapable = memoryMirroringCapable;
    }

    public String getMicroLogicalPartitionCapable() {
        return microLogicalPartitionCapable;
    }

    public void setMicroLogicalPartitionCapable(String microLogicalPartitionCapable) {
        this.microLogicalPartitionCapable = microLogicalPartitionCapable;
    }

    public V7PowerVMLogicalPartitionSimplifiedRemoteRestartCapable getPowerVMLogicalPartitionSimplifiedRemoteRestartCapable() {
        return powerVMLogicalPartitionSimplifiedRemoteRestartCapable;
    }

    public void setPowerVMLogicalPartitionSimplifiedRemoteRestartCapable(
            V7PowerVMLogicalPartitionSimplifiedRemoteRestartCapable powerVMLogicalPartitionSimplifiedRemoteRestartCapable) {
        this.powerVMLogicalPartitionSimplifiedRemoteRestartCapable = powerVMLogicalPartitionSimplifiedRemoteRestartCapable;
    }

    public String getRedundantErrorPathReportingCapable() {
        return redundantErrorPathReportingCapable;
    }

    public void setRedundantErrorPathReportingCapable(String redundantErrorPathReportingCapable) {
        this.redundantErrorPathReportingCapable = redundantErrorPathReportingCapable;
    }

    public String getRemoteRestartToggleCapable() {
        return remoteRestartToggleCapable;
    }

    public void setRemoteRestartToggleCapable(String remoteRestartToggleCapable) {
        this.remoteRestartToggleCapable = remoteRestartToggleCapable;
    }

    public String getServiceProcessorConcurrentMaintenanceCapable() {
        return serviceProcessorConcurrentMaintenanceCapable;
    }

    public void setServiceProcessorConcurrentMaintenanceCapable(String serviceProcessorConcurrentMaintenanceCapable) {
        this.serviceProcessorConcurrentMaintenanceCapable = serviceProcessorConcurrentMaintenanceCapable;
    }

    public String getServiceProcessorFailoverCapable() {
        return serviceProcessorFailoverCapable;
    }

    public void setServiceProcessorFailoverCapable(String serviceProcessorFailoverCapable) {
        this.serviceProcessorFailoverCapable = serviceProcessorFailoverCapable;
    }

    public String getSharedEthernetFailoverCapable() {
        return sharedEthernetFailoverCapable;
    }

    public void setSharedEthernetFailoverCapable(String sharedEthernetFailoverCapable) {
        this.sharedEthernetFailoverCapable = sharedEthernetFailoverCapable;
    }

    public String getSharedProcessorPoolCapable() {
        return sharedProcessorPoolCapable;
    }

    public void setSharedProcessorPoolCapable(String sharedProcessorPoolCapable) {
        this.sharedProcessorPoolCapable = sharedProcessorPoolCapable;
    }

    public String getSRIOVCapable() {
        return sRIOVCapable;
    }

    public void setSRIOVCapable(String sRIOVCapable) {
        this.sRIOVCapable = sRIOVCapable;
    }

    public String getSwitchNetworkInterfaceMessagePassingCapable() {
        return switchNetworkInterfaceMessagePassingCapable;
    }

    public void setSwitchNetworkInterfaceMessagePassingCapable(String switchNetworkInterfaceMessagePassingCapable) {
        this.switchNetworkInterfaceMessagePassingCapable = switchNetworkInterfaceMessagePassingCapable;
    }

    public String getTelnet5250ApplicationCapable() {
        return telnet5250ApplicationCapable;
    }

    public void setTelnet5250ApplicationCapable(String telnet5250ApplicationCapable) {
        this.telnet5250ApplicationCapable = telnet5250ApplicationCapable;
    }

    public String getTurboCoreCapable() {
        return turboCoreCapable;
    }

    public void setTurboCoreCapable(String turboCoreCapable) {
        this.turboCoreCapable = turboCoreCapable;
    }

    public String getVirtualEthernetAdapterDynamicLogicalPartitionCapable() {
        return virtualEthernetAdapterDynamicLogicalPartitionCapable;
    }

    public void setVirtualEthernetAdapterDynamicLogicalPartitionCapable(
            String virtualEthernetAdapterDynamicLogicalPartitionCapable) {
        this.virtualEthernetAdapterDynamicLogicalPartitionCapable = virtualEthernetAdapterDynamicLogicalPartitionCapable;
    }

    public String getVirtualEthernetQualityOfServiceCapable() {
        return virtualEthernetQualityOfServiceCapable;
    }

    public void setVirtualEthernetQualityOfServiceCapable(String virtualEthernetQualityOfServiceCapable) {
        this.virtualEthernetQualityOfServiceCapable = virtualEthernetQualityOfServiceCapable;
    }

    public String getVirtualFiberChannelCapable() {
        return virtualFiberChannelCapable;
    }

    public void setVirtualFiberChannelCapable(String virtualFiberChannelCapable) {
        this.virtualFiberChannelCapable = virtualFiberChannelCapable;
    }

    public String getVirtualIOServerCapable() {
        return virtualIOServerCapable;
    }

    public void setVirtualIOServerCapable(String virtualIOServerCapable) {
        this.virtualIOServerCapable = virtualIOServerCapable;
    }

    public String getVirtualizationEngineTechnologiesActivationCapable() {
        return virtualizationEngineTechnologiesActivationCapable;
    }

    public void setVirtualizationEngineTechnologiesActivationCapable(
            String virtualizationEngineTechnologiesActivationCapable) {
        this.virtualizationEngineTechnologiesActivationCapable = virtualizationEngineTechnologiesActivationCapable;
    }

    public String getVirtualServerNetworkingPhase2Capable() {
        return virtualServerNetworkingPhase2Capable;
    }

    public void setVirtualServerNetworkingPhase2Capable(String virtualServerNetworkingPhase2Capable) {
        this.virtualServerNetworkingPhase2Capable = virtualServerNetworkingPhase2Capable;
    }

    public String getVirtualSwitchCapable() {
        return virtualSwitchCapable;
    }

    public void setVirtualSwitchCapable(String virtualSwitchCapable) {
        this.virtualSwitchCapable = virtualSwitchCapable;
    }

    public String getVirtualTrustedPlatformModuleCapable() {
        return virtualTrustedPlatformModuleCapable;
    }

    public void setVirtualTrustedPlatformModuleCapable(String virtualTrustedPlatformModuleCapable) {
        this.virtualTrustedPlatformModuleCapable = virtualTrustedPlatformModuleCapable;
    }

    public String getVLANStatisticsCapable() {
        return vLANStatisticsCapable;
    }

    public void setVLANStatisticsCapable(String vLANStatisticsCapable) {
        this.vLANStatisticsCapable = vLANStatisticsCapable;
    }

    public String getVirtualEthernetCustomMACAddressCapable() {
        return virtualEthernetCustomMACAddressCapable;
    }

    public void setVirtualEthernetCustomMACAddressCapable(String virtualEthernetCustomMACAddressCapable) {
        this.virtualEthernetCustomMACAddressCapable = virtualEthernetCustomMACAddressCapable;
    }

    public String getManagementVLANForControlChannelCapable() {
        return managementVLANForControlChannelCapable;
    }

    public void setManagementVLANForControlChannelCapable(String managementVLANForControlChannelCapable) {
        this.managementVLANForControlChannelCapable = managementVLANForControlChannelCapable;
    }

    @Override
    public String toString() {
        return "AssociatedSystemCapabilities [metadata" + metadata + ", activeLogicalPartitionMobilityCapable="
                + activeLogicalPartitionMobilityCapable + ", activeLogicalPartitionSharedIdeProcessorsCapable="
                + activeLogicalPartitionSharedIdeProcessorsCapable + ", activeMemoryDeduplicationCapable="
                + activeMemoryDeduplicationCapable + ", activeMemoryExpansionCapable=" + activeMemoryExpansionCapable
                + ", activeMemoryMirroringCapable=" + activeMemoryMirroringCapable + ", activeMemorySharingCapable="
                + activeMemorySharingCapable + ", activeSystemOptimizerCapable=" + activeSystemOptimizerCapable
                + ", addressBroadcastPolicyCapable=" + addressBroadcastPolicyCapable + ", aIXCapable=" + aIXCapable
                + ", autorecoveryPowerOnCapable=" + autorecoveryPowerOnCapable
                + ", barrierSynchronizationRegisterCapable=" + barrierSynchronizationRegisterCapable
                + ", capacityOnDemandMemoryCapable=" + capacityOnDemandMemoryCapable
                + ", capacityOnDemandProcessorCapable=" + capacityOnDemandProcessorCapable
                + ", customLogicalPartitionPlacementCapable=" + customLogicalPartitionPlacementCapable
                + ", electronicErrorReportingCapable=" + electronicErrorReportingCapable
                + ", externalIntrusionDetectionCapable=" + externalIntrusionDetectionCapable
                + ", firmwarePowerSaverCapable=" + firmwarePowerSaverCapable + ", hardwareDiscoveryCapable="
                + hardwareDiscoveryCapable + ", hardwareMemoryCompressionCapable=" + hardwareMemoryCompressionCapable
                + ", hardwareMemoryEncryptionCapable=" + hardwareMemoryEncryptionCapable
                + ", hardwarePowerSaverCapable=" + hardwarePowerSaverCapable + ", hostChannelAdapterCapable="
                + hostChannelAdapterCapable + ", hugePageMemoryCapable=" + hugePageMemoryCapable
                + ", hugePageMemoryOverrideCapable=" + hugePageMemoryOverrideCapable + ", iBMiCapable=" + iBMiCapable
                + ", iBMiLogicalPartitionMobilityCapable=" + iBMiLogicalPartitionMobilityCapable
                + ", iBMiLogicalPartitionSuspendCapable=" + iBMiLogicalPartitionSuspendCapable
                + ", iBMiNetworkInstallCapable=" + iBMiNetworkInstallCapable + ", iBMiRestrictedIOModeCapable="
                + iBMiRestrictedIOModeCapable + ", inactiveLogicalPartitionMobilityCapable="
                + inactiveLogicalPartitionMobilityCapable + ", intelligentPlatformManagementInterfaceCapable="
                + intelligentPlatformManagementInterfaceCapable + ", linuxCapable=" + linuxCapable
                + ", logicalHostEthernetAdapterCapable=" + logicalHostEthernetAdapterCapable
                + ", logicalPartitionAffinityGroupCapable=" + logicalPartitionAffinityGroupCapable
                + ", logicalPartitionAvailabilityPriorityCapable=" + logicalPartitionAvailabilityPriorityCapable
                + ", logicalPartitionEnergyManagementCapable=" + logicalPartitionEnergyManagementCapable
                + ", logicalPartitionProcessorCompatibilityModeCapable="
                + logicalPartitionProcessorCompatibilityModeCapable + ", logicalPartitionRemoteRestartCapable="
                + logicalPartitionRemoteRestartCapable + ", logicalPartitionSuspendCapable="
                + logicalPartitionSuspendCapable + ", memoryMirroringCapable=" + memoryMirroringCapable
                + ", microLogicalPartitionCapable=" + microLogicalPartitionCapable
                + ", powerVMLogicalPartitionSimplifiedRemoteRestartCapable="
                + powerVMLogicalPartitionSimplifiedRemoteRestartCapable + ", redundantErrorPathReportingCapable="
                + redundantErrorPathReportingCapable + ", remoteRestartToggleCapable=" + remoteRestartToggleCapable
                + ", serviceProcessorConcurrentMaintenanceCapable=" + serviceProcessorConcurrentMaintenanceCapable
                + ", serviceProcessorFailoverCapable=" + serviceProcessorFailoverCapable
                + ", sharedEthernetFailoverCapable=" + sharedEthernetFailoverCapable + ", sharedProcessorPoolCapable="
                + sharedProcessorPoolCapable + ", sRIOVCapable=" + sRIOVCapable
                + ", switchNetworkInterfaceMessagePassingCapable=" + switchNetworkInterfaceMessagePassingCapable
                + ", telnet5250ApplicationCapable=" + telnet5250ApplicationCapable + ", turboCoreCapable="
                + turboCoreCapable + ", virtualEthernetAdapterDynamicLogicalPartitionCapable="
                + virtualEthernetAdapterDynamicLogicalPartitionCapable + ", virtualEthernetQualityOfServiceCapable="
                + virtualEthernetQualityOfServiceCapable + ", virtualFiberChannelCapable=" + virtualFiberChannelCapable
                + ", virtualIOServerCapable=" + virtualIOServerCapable
                + ", virtualizationEngineTechnologiesActivationCapable="
                + virtualizationEngineTechnologiesActivationCapable + ", virtualServerNetworkingPhase2Capable="
                + virtualServerNetworkingPhase2Capable + ", virtualSwitchCapable=" + virtualSwitchCapable
                + ", virtualTrustedPlatformModuleCapable=" + virtualTrustedPlatformModuleCapable
                + ", vLANStatisticsCapable=" + vLANStatisticsCapable + ", virtualEthernetCustomMACAddressCapable="
                + virtualEthernetCustomMACAddressCapable + ", managementVLANForControlChannelCapable="
                + managementVLANForControlChannelCapable + "]";
    }

}
