package com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.common.V7Metadata;

import javax.xml.bind.annotation.*;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "AssociatedSystemIOConfiguration")
public class V7AssociatedSystemIOConfiguration {

    @XmlAttribute(name = "schemaVersion")
    private String schemaVersion;

    @XmlElement(name = "Metadata")
    private V7Metadata metadata;

    @XmlElement(name = "AvailableWWPNs")
    private String availableWWPNs;

    @XmlElement(name = "HostEthernetAdapters")
    private V7HostEthernetAdapters hostEthernetAdapters;

    @XmlElement(name = "IOAdapters")
    private V7IOAdapters ioAdapters;

    @XmlElement(name = "IOBuses")
    private V7IOBuses ioBuses;

    @XmlElement(name = "IOSlots")
    private V7IOSlots ioSlots;

    @XmlElement(name = "AssociatedSystemVirtualNetwork")
    private V7AssociatedSystemVirtualNetwork associatedSystemVirtualNetwork;

    @XmlElement(name = "WWPNPrefix")
    private String WWPNPrefix;

    public V7AssociatedSystemIOConfiguration() {
    }

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public V7Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(V7Metadata metadata) {
        this.metadata = metadata;
    }

    public String getAvailableWWPNs() {
        return availableWWPNs;
    }

    public void setAvailableWWPNs(String availableWWPNs) {
        this.availableWWPNs = availableWWPNs;
    }

    public V7HostEthernetAdapters getHostEthernetAdapters() {
        return hostEthernetAdapters;
    }

    public void setHostEthernetAdapters(V7HostEthernetAdapters hostEthernetAdapters) {
        this.hostEthernetAdapters = hostEthernetAdapters;
    }

    public V7IOAdapters getIoAdapters() {
        return ioAdapters;
    }

    public void setIoAdapters(V7IOAdapters ioAdapters) {
        this.ioAdapters = ioAdapters;
    }

    public V7IOBuses getIoBuses() {
        return ioBuses;
    }

    public void setIoBuses(V7IOBuses ioBuses) {
        this.ioBuses = ioBuses;
    }

    public V7IOSlots getIoSlots() {
        return ioSlots;
    }

    public void setIoSlots(V7IOSlots ioSlots) {
        this.ioSlots = ioSlots;
    }

    public V7AssociatedSystemVirtualNetwork getAssociatedSystemVirtualNetwork() {
        return associatedSystemVirtualNetwork;
    }

    public void setAssociatedSystemVirtualNetwork(V7AssociatedSystemVirtualNetwork associatedSystemVirtualNetwork) {
        this.associatedSystemVirtualNetwork = associatedSystemVirtualNetwork;
    }

    public String getWWPNPrefix() {
        return WWPNPrefix;
    }

    public void setWWPNPrefix(String wWPNPrefix) {
        WWPNPrefix = wWPNPrefix;
    }

}
