package com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.HmcSdkConstant;
import com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.common.V7Metadata;

import javax.xml.bind.annotation.*;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "CurrentDedicatedProcessorConfiguration")
public class V7CurrentDedicatedProcessorConfiguration {
    @XmlAttribute
    private String schemaVersion = HmcSdkConstant.SCHEMA_VERSION_V10;

    @XmlElement(name = "Metadata")
    private V7Metadata metadata;

    @XmlElement(name = "CurrentMaximumProcessors")
    private String currentMaximumProcessors;

    @XmlElement(name = "CurrentMinimumProcessors")
    private String currentMinimumProcessors;

    @XmlElement(name = "CurrentProcessors")
    private String currentProcessors;

    @XmlElement(name = "RunProcessors")
    private String runProcessors;

    public V7CurrentDedicatedProcessorConfiguration() {
    }

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public V7Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(V7Metadata metadata) {
        this.metadata = metadata;
    }

    public String getCurrentMaximumProcessors() {
        return currentMaximumProcessors;
    }

    public void setCurrentMaximumProcessors(String currentMaximumProcessors) {
        this.currentMaximumProcessors = currentMaximumProcessors;
    }

    public String getCurrentMinimumProcessors() {
        return currentMinimumProcessors;
    }

    public void setCurrentMinimumProcessors(String currentMinimumProcessors) {
        this.currentMinimumProcessors = currentMinimumProcessors;
    }

    public String getCurrentProcessors() {
        return currentProcessors;
    }

    public void setCurrentProcessors(String currentProcessors) {
        this.currentProcessors = currentProcessors;
    }

    public String getRunProcessors() {
        return runProcessors;
    }

    public void setRunProcessors(String runProcessors) {
        this.runProcessors = runProcessors;
    }

}
