package com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.common.V7Metadata;

import javax.xml.bind.annotation.*;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "EnergyManagementConfiguration")
public class V7EnergyManagementConfiguration {

    @XmlAttribute(name = "ksv")
    private String ksv;

    @XmlAttribute(name = "schemaVersion")
    private String schemaVersion;

    @XmlElement(name = "Metadata")
    private V7Metadata metadata;

    @XmlElement(name = "CurrentPowerSavingMode")
    private V7CurrentPowerSavingMode currentPowerSavingMode;

    @XmlElement(name = "RequiredPowerSavingMode")
    private V7RequiredPowerSavingMode requiredPowerSavingMode;

    public V7Metadata getMetadata() {
        return metadata;
    }

    public String getKsv() {
        return ksv;
    }

    public void setKsv(String ksv) {
        this.ksv = ksv;
    }

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public void setMetadata(V7Metadata metadata) {
        this.metadata = metadata;
    }

    public V7CurrentPowerSavingMode getCurrentPowerSavingMode() {
        return currentPowerSavingMode;
    }

    public void setCurrentPowerSavingMode(V7CurrentPowerSavingMode currentPowerSavingMode) {
        this.currentPowerSavingMode = currentPowerSavingMode;
    }

    public V7RequiredPowerSavingMode getRequiredPowerSavingMode() {
        return requiredPowerSavingMode;
    }

    public void setRequiredPowerSavingMode(V7RequiredPowerSavingMode requiredPowerSavingMode) {
        this.requiredPowerSavingMode = requiredPowerSavingMode;
    }
}
