package com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.HmcSdkConstant;
import com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.common.V7Metadata;

import javax.xml.bind.annotation.*;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "FreeEthenetBackingDevicesForSEA")
public class V7FreeEthenetBackingDevicesForSEA {
    @XmlAttribute(name = "group")
    private String group;

    @XmlAttribute(name = "schemaVersion")
    private String schemaVersion = HmcSdkConstant.SCHEMA_VERSION_V10;

    @XmlElement(name = "Metadata")
    private V7Metadata metadata;

    @XmlElement(name = "IOAdapterChoice")
    private V7IOAdapterChoice ioAdapterChoice;

    public String getGroup() {
        return group;
    }

    public void setGroup(String group) {
        this.group = group;
    }

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public V7Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(V7Metadata metadata) {
        this.metadata = metadata;
    }

    public V7IOAdapterChoice getIoAdapterChoice() {
        return ioAdapterChoice;
    }

    public void setIoAdapterChoice(V7IOAdapterChoice ioAdapterChoice) {
        this.ioAdapterChoice = ioAdapterChoice;
    }

}
