package com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.HmcSdkConstant;
import com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.common.V7Metadata;

import javax.xml.bind.annotation.*;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "HostEthernetAdapter")
public class V7HostEthernetAdapter {
    @XmlAttribute
    private String schemaVersion = HmcSdkConstant.SCHEMA_VERSION_V10;

    @XmlElement(name = "Metadata")
    private V7Metadata metadata;

    @XmlElement(name = "AdapterID")
    private String adapterID;

    @XmlElement(name = "AdapterState")
    private String adapterState;

    @XmlElement(name = "PhysicalLocationCode")
    private String physicalLocationCode;

    @XmlElement(name = "PortGroups")
    private V7PortGroups portGroups;

    public V7HostEthernetAdapter() {
    }

    public V7Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(V7Metadata metadata) {
        this.metadata = metadata;
    }

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public String getAdapterID() {
        return adapterID;
    }

    public void setAdapterID(String adapterID) {
        this.adapterID = adapterID;
    }

    public String getAdapterState() {
        return adapterState;
    }

    public void setAdapterState(String adapterState) {
        this.adapterState = adapterState;
    }

    public String getPhysicalLocationCode() {
        return physicalLocationCode;
    }

    public void setPhysicalLocationCode(String physicalLocationCode) {
        this.physicalLocationCode = physicalLocationCode;
    }

    public V7PortGroups getPortGroups() {
        return portGroups;
    }

    public void setPortGroups(V7PortGroups portGroups) {
        this.portGroups = portGroups;
    }

    @Override
    public String toString() {
        return "HostEthernetAdapter [metadata=" + metadata + ", adapterID=" + adapterID + ", adapterState="
                + adapterState + ", physicalLocationCode=" + physicalLocationCode + ", portGroups=" + portGroups + "]";
    }

}
