package com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.common.V7EntryBase;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * 指定的主机以太网适配器服务(V7)
 *
 * @author sxp
 * @since May 15, 2018
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "entry")
public class V7HostEthernetAdapterEntry extends V7EntryBase {
    private V7HostEthernetAdapterContent content;

    public V7HostEthernetAdapterEntry() {
    }

    public V7HostEthernetAdapterContent getContent() {
        return content;
    }

    public void setContent(V7HostEthernetAdapterContent content) {
        this.content = content;
    }

}
