package com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.HmcSdkConstant;
import com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.common.V7Metadata;

import javax.xml.bind.annotation.*;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "HostEthernetAdapterPhysicalPort")
public class V7HostEthernetAdapterPhysicalPort {
    @XmlAttribute
    private String schemaVersion = HmcSdkConstant.SCHEMA_VERSION_V10;

    @XmlElement(name = "Metadata")
    private V7Metadata metadata;

    @XmlElement(name = "CurrentConnectionSpeed")
    private String currentConnectionSpeed;

    @XmlElement(name = "CurrentDuplexMode")
    private String currentDuplexMode;

    @XmlElement(name = "LinkUp")
    private String linkUp;

    @XmlElement(name = "MaximumReceivePacketSize")
    private String maximumReceivePacketSize;

    @XmlElement(name = "PendingConnectionSpeed")
    private String pendingConnectionSpeed;

    @XmlElement(name = "PendingDuplexMode")
    private String pendingDuplexMode;

    @XmlElement(name = "PendingFlowControlEnabled")
    private String pendingFlowControlEnabled;

    @XmlElement(name = "PhysicalPortID")
    private String physicalPortID;

    @XmlElement(name = "PhysicalPortLocationCode")
    private String physicalPortLocationCode;

    @XmlElement(name = "PhysicalPortState")
    private String physicalPortState;

    @XmlElement(name = "PhysicalPortType")
    private String physicalPortType;

    @XmlElement(name = "ReceiveFlowControlEnabled")
    private String receiveFlowControlEnabled;

    @XmlElement(name = "TransmitFlowControlEnabled")
    private String transmitFlowControlEnabled;

    @XmlElement(name = "Dedicated")
    private String dedicated;

    @XmlElement(name = "Owner")
    private String owner;

    public V7HostEthernetAdapterPhysicalPort() {
    }

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public V7Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(V7Metadata metadata) {
        this.metadata = metadata;
    }

    public String getCurrentConnectionSpeed() {
        return currentConnectionSpeed;
    }

    public void setCurrentConnectionSpeed(String currentConnectionSpeed) {
        this.currentConnectionSpeed = currentConnectionSpeed;
    }

    public String getCurrentDuplexMode() {
        return currentDuplexMode;
    }

    public void setCurrentDuplexMode(String currentDuplexMode) {
        this.currentDuplexMode = currentDuplexMode;
    }

    public String getLinkUp() {
        return linkUp;
    }

    public void setLinkUp(String linkUp) {
        this.linkUp = linkUp;
    }

    public String getMaximumReceivePacketSize() {
        return maximumReceivePacketSize;
    }

    public void setMaximumReceivePacketSize(String maximumReceivePacketSize) {
        this.maximumReceivePacketSize = maximumReceivePacketSize;
    }

    public String getPendingConnectionSpeed() {
        return pendingConnectionSpeed;
    }

    public void setPendingConnectionSpeed(String pendingConnectionSpeed) {
        this.pendingConnectionSpeed = pendingConnectionSpeed;
    }

    public String getPendingDuplexMode() {
        return pendingDuplexMode;
    }

    public void setPendingDuplexMode(String pendingDuplexMode) {
        this.pendingDuplexMode = pendingDuplexMode;
    }

    public String getPendingFlowControlEnabled() {
        return pendingFlowControlEnabled;
    }

    public void setPendingFlowControlEnabled(String pendingFlowControlEnabled) {
        this.pendingFlowControlEnabled = pendingFlowControlEnabled;
    }

    public String getPhysicalPortID() {
        return physicalPortID;
    }

    public void setPhysicalPortID(String physicalPortID) {
        this.physicalPortID = physicalPortID;
    }

    public String getPhysicalPortLocationCode() {
        return physicalPortLocationCode;
    }

    public void setPhysicalPortLocationCode(String physicalPortLocationCode) {
        this.physicalPortLocationCode = physicalPortLocationCode;
    }

    public String getPhysicalPortState() {
        return physicalPortState;
    }

    public void setPhysicalPortState(String physicalPortState) {
        this.physicalPortState = physicalPortState;
    }

    public String getPhysicalPortType() {
        return physicalPortType;
    }

    public void setPhysicalPortType(String physicalPortType) {
        this.physicalPortType = physicalPortType;
    }

    public String getReceiveFlowControlEnabled() {
        return receiveFlowControlEnabled;
    }

    public void setReceiveFlowControlEnabled(String receiveFlowControlEnabled) {
        this.receiveFlowControlEnabled = receiveFlowControlEnabled;
    }

    public String getTransmitFlowControlEnabled() {
        return transmitFlowControlEnabled;
    }

    public void setTransmitFlowControlEnabled(String transmitFlowControlEnabled) {
        this.transmitFlowControlEnabled = transmitFlowControlEnabled;
    }

    public String getDedicated() {
        return dedicated;
    }

    public void setDedicated(String dedicated) {
        this.dedicated = dedicated;
    }

    public String getOwner() {
        return owner;
    }

    public void setOwner(String owner) {
        this.owner = owner;
    }

    @Override
    public String toString() {
        return "HostEthernetAdapterPhysicalPort [metadata=" + metadata + ", currentConnectionSpeed="
                + currentConnectionSpeed + ", currentDuplexMode=" + currentDuplexMode + ", linkUp=" + linkUp
                + ", maximumReceivePacketSize=" + maximumReceivePacketSize + ", pendingConnectionSpeed="
                + pendingConnectionSpeed + ", pendingDuplexMode=" + pendingDuplexMode + ", pendingFlowControlEnabled="
                + pendingFlowControlEnabled + ", physicalPortID=" + physicalPortID + ", physicalPortLocationCode="
                + physicalPortLocationCode + ", physicalPortState=" + physicalPortState + ", physicalPortType="
                + physicalPortType + ", receiveFlowControlEnabled=" + receiveFlowControlEnabled
                + ", transmitFlowControlEnabled=" + transmitFlowControlEnabled + ", dedicated=" + dedicated + ", owner="
                + owner + "]";
    }

}
