package com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.common.V7Metadata;

import javax.xml.bind.annotation.*;
import java.util.List;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "IOBuses")
public class V7IOBuses {

    @XmlAttribute(name = "schemaVersion")
    private String schemaVersion;

    @XmlElement(name = "Metadata")
    private V7Metadata metadata;

    @XmlElement(name = "IOBus")
    private List<V7IOBus> ioBusList;

    public V7IOBuses() {
    }

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public V7Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(V7Metadata metadata) {
        this.metadata = metadata;
    }

    public List<V7IOBus> getIoBusList() {
        return ioBusList;
    }

    public void setIoBusList(List<V7IOBus> ioBusList) {
        this.ioBusList = ioBusList;
    }

}
