package com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.module;

import com.alibaba.fastjson.JSON;
import com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.common.V7EntryBase;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * 查询指定逻辑分区的返回结果
 *
 * @author sxp
 * @since May 8, 2018
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "entry")
public class V7LogicalPartitionEntry extends V7EntryBase {
    private V7LogicalPartitionContent content;

    public V7LogicalPartitionEntry() {
    }

    public V7LogicalPartitionContent getContent() {
        return content;
    }

    public void setContent(V7LogicalPartitionContent content) {
        this.content = content;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }

}
