package com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.module;

import com.alibaba.fastjson.JSON;
import com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.common.V7EntryBase;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * 指定的逻辑分区概要文件
 *
 * @author sxp
 * @since May 11, 2018
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "entry")
public class V7LogicalPartitionProfileEntry extends V7EntryBase {
    private V7LogicalPartitionProfileContent content;

    public V7LogicalPartitionProfileEntry() {
    }

    public V7LogicalPartitionProfileContent getContent() {
        return content;
    }

    public void setContent(V7LogicalPartitionProfileContent content) {
        this.content = content;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this, true);
    }

}
