package com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.module;

import com.alibaba.fastjson.JSON;
import com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.common.V7ResponseBase;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import java.util.List;

/**
 * 逻辑分区概要文件（V7）
 *
 * @author sxp
 * @since May 11, 2018
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "feed")
public class V7LogicalPartitionProfileResponse extends V7ResponseBase {

    @XmlElement(name = "entry")
    private List<V7LogicalPartitionProfileEntry> entries;

    public V7LogicalPartitionProfileResponse() {
    }

    public List<V7LogicalPartitionProfileEntry> getEntries() {
        return entries;
    }

    public void setEntries(List<V7LogicalPartitionProfileEntry> entries) {
        this.entries = entries;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this, true);
    }

}
