package com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.common.V7EntryBase;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * HMC控制台管理的指定系统信息(V7)
 *
 * @author sxp
 * @since May 7, 2018
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "entry")
public class V7ManagedSystemEntry extends V7EntryBase {
    private V7ManagedSystemContent content;

    public V7ManagedSystemEntry() {
    }

    @Override
    public String getId() {
        return id;
    }

    @Override
    public void setId(String id) {
        this.id = id;
    }

    @Override
    public String getTitle() {
        return title;
    }

    @Override
    public void setTitle(String title) {
        this.title = title;
    }

    @Override
    public String getPublished() {
        return published;
    }

    @Override
    public void setPublished(String published) {
        this.published = published;
    }

    @Override
    public V7Author getAuthor() {
        return author;
    }

    @Override
    public void setAuthor(V7Author author) {
        this.author = author;
    }

    public V7ManagedSystemContent getContent() {
        return content;
    }

    public void setContent(V7ManagedSystemContent content) {
        this.content = content;
    }

    @Override
    public String toString() {
        return "ManagedSystemEntryV7 [id=" + id + ", title=" + title + ", published=" + published + ", link=" + link
                + ", author=" + author + ", content=" + content + "]";
    }

}
