package com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.HmcSdkConstant;
import com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.common.V7Metadata;

import javax.xml.bind.annotation.*;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "ManagementConsoleNetworkInterface")
public class V7ManagementConsoleNetworkInterface {
    @XmlAttribute
    private String schemaVersion = HmcSdkConstant.SCHEMA_VERSION_V10;

    @XmlElement(name = "Metadata")
    private V7Metadata metadata;

    @XmlElement(name = "InterfaceName")
    private V7InterfaceName interfaceName;

    @XmlElement(name = "NetworkAddress")
    private V7NetworkAddress networkAddress;

    public V7ManagementConsoleNetworkInterface() {
    }

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public V7Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(V7Metadata metadata) {
        this.metadata = metadata;
    }

    public V7InterfaceName getInterfaceName() {
        return interfaceName;
    }

    public void setInterfaceName(V7InterfaceName interfaceName) {
        this.interfaceName = interfaceName;
    }

    public V7NetworkAddress getNetworkAddress() {
        return networkAddress;
    }

    public void setNetworkAddress(V7NetworkAddress networkAddress) {
        this.networkAddress = networkAddress;
    }

    @Override
    public String toString() {
        return "ManagementConsoleNetworkInterface [schemaVersion=" + schemaVersion + ", metadata=" + metadata
                + ", interfaceName=" + interfaceName + ", networkAddress=" + networkAddress + "]";
    }

}
