package com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.HmcSdkConstant;
import com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.common.V7Metadata;

import javax.xml.bind.annotation.*;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "NetworkInterfaces")
public class V7NetworkInterfaces {
    @XmlAttribute
    private String kb;

    @XmlAttribute
    private String kxe;

    @XmlAttribute
    private String schemaVersion = HmcSdkConstant.SCHEMA_VERSION_V10;

    @XmlElement(name = "Metadata")
    private V7Metadata metadata;

    @XmlElement(name = "ManagementConsoleNetworkInterface")
    private V7ManagementConsoleNetworkInterface managementConsoleNetworkInterface;

    public V7NetworkInterfaces() {
    }

    public String getKb() {
        return kb;
    }

    public void setKb(String kb) {
        this.kb = kb;
    }

    public String getKxe() {
        return kxe;
    }

    public void setKxe(String kxe) {
        this.kxe = kxe;
    }

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public V7Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(V7Metadata metadata) {
        this.metadata = metadata;
    }

    public V7ManagementConsoleNetworkInterface getManagementConsoleNetworkInterface() {
        return managementConsoleNetworkInterface;
    }

    public void setManagementConsoleNetworkInterface(
            V7ManagementConsoleNetworkInterface managementConsoleNetworkInterface) {
        this.managementConsoleNetworkInterface = managementConsoleNetworkInterface;
    }

    @Override
    public String toString() {
        return "NetworkInterfaces [kb=" + kb + ", kxe=" + kxe + ", schemaVersion=" + schemaVersion + ", metadata="
                + metadata + ", managementConsoleNetworkInterface=" + managementConsoleNetworkInterface + "]";
    }

}
