package com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.HmcSdkConstant;
import com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.common.V7Metadata;

import javax.xml.bind.annotation.*;
import java.util.List;

/**
 * @author luyanchao
 * @since 2018/12/20 14:51
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "NportLoggedInStatus")
public class V7NportLoggedInStatus {

    @XmlAttribute
    private String schemaVersion = HmcSdkConstant.SCHEMA_VERSION_V10;

    @XmlElement(name = "Metadata")
    private V7Metadata metadata;

    @XmlElement(name = "VirtualFibreChannelNPortLoginStatus")
    private List<V7VirtualFibreChannelNPortLoginStatus> virtualFibreChannelNPortLoginStatusList;

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public V7Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(V7Metadata metadata) {
        this.metadata = metadata;
    }

    public List<V7VirtualFibreChannelNPortLoginStatus> getVirtualFibreChannelNPortLoginStatusList() {
        return virtualFibreChannelNPortLoginStatusList;
    }

    public void setVirtualFibreChannelNPortLoginStatusList(List<V7VirtualFibreChannelNPortLoginStatus> virtualFibreChannelNPortLoginStatusList) {
        this.virtualFibreChannelNPortLoginStatusList = virtualFibreChannelNPortLoginStatusList;
    }
}
