package com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.module;

import com.alibaba.fastjson.JSONObject;
import com.bocloud.cmp.provider.hmc.sdk.model.HmcSdkConstant;
import com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.common.V7Metadata;

import javax.xml.bind.annotation.*;
import java.util.List;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "OpticalMedia")
public class V7OpticalMedia {

    @XmlAttribute
    private String schemaVersion = HmcSdkConstant.SCHEMA_VERSION_V10;

    @XmlElement(name = "Metadata")
    private V7Metadata metadata;

    @XmlElement(name = "VirtualOpticalMedia")
    private List<V7VirtualOpticalMedia> virtualOpticalMediaList;

    /**
     * @return the schemaVersion
     */
    public String getSchemaVersion() {
        return schemaVersion;
    }

    /**
     * @param schemaVersion the schemaVersion to set
     */
    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    /**
     * @return the metadata
     */
    public V7Metadata getMetadata() {
        return metadata;
    }

    /**
     * @param metadata the metadata to set
     */
    public void setMetadata(V7Metadata metadata) {
        this.metadata = metadata;
    }

    /**
     * @return the virtualOpticalMediaList
     */
    public List<V7VirtualOpticalMedia> getVirtualOpticalMediaList() {
        return virtualOpticalMediaList;
    }

    /**
     * @param virtualOpticalMediaList the virtualOpticalMediaList to set
     */
    public void setVirtualOpticalMediaList(List<V7VirtualOpticalMedia> virtualOpticalMediaList) {
        this.virtualOpticalMediaList = virtualOpticalMediaList;
    }

    public V7OpticalMedia() {
    }

    @Override
    public String toString() {
        return JSONObject.toJSONString(this);
    }

}
