package com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.HmcSdkConstant;
import com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.common.V7Metadata;

import javax.xml.bind.annotation.*;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "PhysicalFibreChannelPort")
public class V7PhysicalFibreChannelPort {
    @XmlAttribute
    private String schemaVersion = HmcSdkConstant.SCHEMA_VERSION_V10;

    @XmlElement(name = "Metadata")
    private V7Metadata metadata;

    @XmlElement(name = "LocationCode")
    private String locationCode;

    @XmlElement(name = "PhysicalVolumes")
    private V7PhysicalVolumes physicalVolumes;

    @XmlElement(name = "PortName")
    private String portName;

    @XmlElement(name = "UniqueDeviceID")
    private String uniqueDeviceID;

    @XmlElement(name = "WWPN")
    private String wwpn;

    @XmlElement(name = "WWNN")
    private String wwnn;

    @XmlElement(name = "AvailablePorts")
    private String availablePorts;

    @XmlElement(name = "TotalPorts")
    private String totalPorts;

    public V7PhysicalFibreChannelPort() {
    }

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public V7Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(V7Metadata metadata) {
        this.metadata = metadata;
    }

    public String getLocationCode() {
        return locationCode;
    }

    public void setLocationCode(String locationCode) {
        this.locationCode = locationCode;
    }

    public V7PhysicalVolumes getPhysicalVolumes() {
        return physicalVolumes;
    }

    public void setPhysicalVolumes(V7PhysicalVolumes physicalVolumes) {
        this.physicalVolumes = physicalVolumes;
    }

    public String getPortName() {
        return portName;
    }

    public void setPortName(String portName) {
        this.portName = portName;
    }

    public String getUniqueDeviceID() {
        return uniqueDeviceID;
    }

    public void setUniqueDeviceID(String uniqueDeviceID) {
        this.uniqueDeviceID = uniqueDeviceID;
    }

    public String getWwpn() {
        return wwpn;
    }

    public void setWwpn(String wwpn) {
        this.wwpn = wwpn;
    }

    public String getWwnn() {
        return wwnn;
    }

    public void setWwnn(String wwnn) {
        this.wwnn = wwnn;
    }

    public String getAvailablePorts() {
        return availablePorts;
    }

    public void setAvailablePorts(String availablePorts) {
        this.availablePorts = availablePorts;
    }

    public String getTotalPorts() {
        return totalPorts;
    }

    public void setTotalPorts(String totalPorts) {
        this.totalPorts = totalPorts;
    }

    @Override
    public String toString() {
        return "PhysicalFibreChannelPort [metadata=" + metadata + ", locationCode=" + locationCode + ", portName="
                + portName + ", uniqueDeviceID=" + ", physicalVolumes=" + physicalVolumes + uniqueDeviceID + ", wwpn="
                + wwpn + ", availablePorts=" + availablePorts + ", totalPorts=" + totalPorts + ", wwnn=" + wwnn + "]";
    }
}
