package com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.HmcSdkConstant;
import com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.common.V7Metadata;

import javax.xml.bind.annotation.*;
import java.util.List;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "PhysicalPorts")
public class V7PhysicalPorts {
    @XmlAttribute
    private String schemaVersion = HmcSdkConstant.SCHEMA_VERSION_V10;

    @XmlElement(name = "Metadata")
    private V7Metadata metadata;

    @XmlElement(name = "HostEthernetAdapterPhysicalPort")
    private List<V7HostEthernetAdapterPhysicalPort> hostEthernetAdapterPhysicalPort;

    public V7PhysicalPorts() {
    }

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public V7Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(V7Metadata metadata) {
        this.metadata = metadata;
    }

    public List<V7HostEthernetAdapterPhysicalPort> getHostEthernetAdapterPhysicalPort() {
        return hostEthernetAdapterPhysicalPort;
    }

    public void setHostEthernetAdapterPhysicalPort(
            List<V7HostEthernetAdapterPhysicalPort> hostEthernetAdapterPhysicalPort) {
        this.hostEthernetAdapterPhysicalPort = hostEthernetAdapterPhysicalPort;
    }

    @Override
    public String toString() {
        return "PhysicalPorts [metadata=" + metadata + ", hostEthernetAdapterPhysicalPort="
                + hostEthernetAdapterPhysicalPort + "]";
    }

}
