package com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.HmcSdkConstant;
import com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.common.V7Metadata;

import javax.xml.bind.annotation.*;
import java.util.List;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "PortGroups")
public class V7PortGroups {
    @XmlAttribute
    private String schemaVersion = HmcSdkConstant.SCHEMA_VERSION_V10;

    @XmlElement(name = "Metadata")
    private V7Metadata metadata;

    @XmlElement(name = "HostEthernetAdapterPortGroup")
    private List<V7HostEthernetAdapterPortGroup> hostEthernetAdapterPortGroup;

    public V7PortGroups() {
    }

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public V7Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(V7Metadata metadata) {
        this.metadata = metadata;
    }

    public List<V7HostEthernetAdapterPortGroup> getHostEthernetAdapterPortGroup() {
        return hostEthernetAdapterPortGroup;
    }

    public void setHostEthernetAdapterPortGroup(List<V7HostEthernetAdapterPortGroup> hostEthernetAdapterPortGroup) {
        this.hostEthernetAdapterPortGroup = hostEthernetAdapterPortGroup;
    }

    @Override
    public String toString() {
        return "PortGroups [metadata=" + metadata + ", hostEthernetAdapterPortGroup=" + hostEthernetAdapterPortGroup
                + "]";
    }

}
