package com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.module;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * 虚拟SCSI适配器
 *
 * @author sxp
 * @since Jun 29, 2018
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "ProfileVirtualIOAdapterSubclass")
public class V7ProfileVirtualIOAdapterSubclass {
    @XmlElement(name = "ProfileClientNetworkAdapter")
    private V7ProfileClientNetworkAdapter profileClientNetworkAdapter;

    @XmlElement(name = "ProfileTrunkAdapter")
    private V7ProfileTrunkAdapter profileTrunkAdapter;

    @XmlElement(name = "ProfileVirtualSCSIClientAdapter")
    private V7ProfileVirtualSCSIClientAdapter profileVirtualSCSIClientAdapter;

    @XmlElement(name = "ProfileVirtualSCSIServerAdapter")
    private V7ProfileVirtualSCSIServerAdapter profileVirtualSCSIServerAdapter;

    @XmlElement(name = "ProfileVirtualFibreChannelClientAdapter")
    private V7ProfileVirtualFibreChannelClientAdapter profileVirtualFibreChannelClientAdapter;

    @XmlElement(name = "ProfileVirtualFibreChannelServerAdapter")
    private V7ProfileVirtualFibreChannelServerAdapter profileVirtualFibreChannelServerAdapter;

    public V7ProfileVirtualSCSIServerAdapter getProfileVirtualSCSIServerAdapter() {
        return profileVirtualSCSIServerAdapter;
    }

    public void setProfileVirtualSCSIServerAdapter(V7ProfileVirtualSCSIServerAdapter profileVirtualSCSIServerAdapter) {
        this.profileVirtualSCSIServerAdapter = profileVirtualSCSIServerAdapter;
    }

    public V7ProfileVirtualFibreChannelServerAdapter getProfileVirtualFibreChannelServerAdapter() {
        return profileVirtualFibreChannelServerAdapter;
    }

    public void setProfileVirtualFibreChannelServerAdapter(
            V7ProfileVirtualFibreChannelServerAdapter profileVirtualFibreChannelServerAdapter) {
        this.profileVirtualFibreChannelServerAdapter = profileVirtualFibreChannelServerAdapter;
    }

    public V7ProfileClientNetworkAdapter getProfileClientNetworkAdapter() {
        return profileClientNetworkAdapter;
    }

    public void setProfileClientNetworkAdapter(V7ProfileClientNetworkAdapter profileClientNetworkAdapter) {
        this.profileClientNetworkAdapter = profileClientNetworkAdapter;
    }

    public V7ProfileTrunkAdapter getProfileTrunkAdapter() {
        return profileTrunkAdapter;
    }

    public void setProfileTrunkAdapter(V7ProfileTrunkAdapter profileTrunkAdapter) {
        this.profileTrunkAdapter = profileTrunkAdapter;
    }

    public V7ProfileVirtualSCSIClientAdapter getProfileVirtualSCSIClientAdapter() {
        return profileVirtualSCSIClientAdapter;
    }

    public void setProfileVirtualSCSIClientAdapter(V7ProfileVirtualSCSIClientAdapter profileVirtualSCSIClientAdapter) {
        this.profileVirtualSCSIClientAdapter = profileVirtualSCSIClientAdapter;
    }

    public V7ProfileVirtualFibreChannelClientAdapter getProfileVirtualFibreChannelClientAdapter() {
        return profileVirtualFibreChannelClientAdapter;
    }

    public void setProfileVirtualFibreChannelClientAdapter(
            V7ProfileVirtualFibreChannelClientAdapter profileVirtualFibreChannelClientAdapter) {
        this.profileVirtualFibreChannelClientAdapter = profileVirtualFibreChannelClientAdapter;
    }

}
