package com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.HmcSdkConstant;
import com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.common.V7Metadata;

import javax.xml.bind.annotation.*;
import java.util.List;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "ProfileVirtualIOAdapters")
public class V7ProfileVirtualIOAdapters {
    @XmlAttribute
    private String schemaVersion = HmcSdkConstant.SCHEMA_VERSION_V10;

    @XmlElement(name = "Metadata")
    private V7Metadata metadata;

    @XmlElement(name = "ProfileVirtualIOAdapterSubclass")
    private List<V7ProfileVirtualIOAdapterSubclass> subclasses;

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public V7Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(V7Metadata metadata) {
        this.metadata = metadata;
    }

    public List<V7ProfileVirtualIOAdapterSubclass> getSubclasses() {
        return subclasses;
    }

    public void setSubclasses(List<V7ProfileVirtualIOAdapterSubclass> subclasses) {
        this.subclasses = subclasses;
    }

}
