package com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.HmcSdkConstant;
import com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.common.V7Metadata;

import javax.xml.bind.annotation.*;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "RelatedIBMiIOSlot")
public class V7RelatedIBMiIOSlot {
    @XmlAttribute
    private String schemaVersion = HmcSdkConstant.SCHEMA_VERSION_V10;

    @XmlElement(name = "Metadata")
    private V7Metadata metadata;

    @XmlElement(name = "AlternateLoadSourceAttached")
    private String alternateLoadSourceAttached;

    @XmlElement(name = "ConsoleCapable")
    private String consoleCapable;

    @XmlElement(name = "DirectOperationsConsoleCapable")
    private String directOperationsConsoleCapable;

    @XmlElement(name = "IOP")
    private String iOP;

    @XmlElement(name = "IOPInfoStale")
    private String iOPInfoStale;

    @XmlElement(name = "LANConsoleCapable")
    private String lANConsoleCapable;

    @XmlElement(name = "LoadSourceAttached")
    private String loadSourceAttached;

    @XmlElement(name = "LoadSourceCapable")
    private String loadSourceCapable;

    @XmlElement(name = "OperationsConsoleAttached")
    private String operationsConsoleAttached;

    @XmlElement(name = "OperationsConsoleCapable")
    private String operationsConsoleCapable;

    public V7RelatedIBMiIOSlot() {
    }

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public V7Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(V7Metadata metadata) {
        this.metadata = metadata;
    }

    public String getAlternateLoadSourceAttached() {
        return alternateLoadSourceAttached;
    }

    public void setAlternateLoadSourceAttached(String alternateLoadSourceAttached) {
        this.alternateLoadSourceAttached = alternateLoadSourceAttached;
    }

    public String getConsoleCapable() {
        return consoleCapable;
    }

    public void setConsoleCapable(String consoleCapable) {
        this.consoleCapable = consoleCapable;
    }

    public String getDirectOperationsConsoleCapable() {
        return directOperationsConsoleCapable;
    }

    public void setDirectOperationsConsoleCapable(String directOperationsConsoleCapable) {
        this.directOperationsConsoleCapable = directOperationsConsoleCapable;
    }

    public String getIOP() {
        return iOP;
    }

    public void setIOP(String iOP) {
        this.iOP = iOP;
    }

    public String getIOPInfoStale() {
        return iOPInfoStale;
    }

    public void setIOPInfoStale(String iOPInfoStale) {
        this.iOPInfoStale = iOPInfoStale;
    }

    public String getLANConsoleCapable() {
        return lANConsoleCapable;
    }

    public void setLANConsoleCapable(String lANConsoleCapable) {
        this.lANConsoleCapable = lANConsoleCapable;
    }

    public String getLoadSourceAttached() {
        return loadSourceAttached;
    }

    public void setLoadSourceAttached(String loadSourceAttached) {
        this.loadSourceAttached = loadSourceAttached;
    }

    public String getLoadSourceCapable() {
        return loadSourceCapable;
    }

    public void setLoadSourceCapable(String loadSourceCapable) {
        this.loadSourceCapable = loadSourceCapable;
    }

    public String getOperationsConsoleAttached() {
        return operationsConsoleAttached;
    }

    public void setOperationsConsoleAttached(String operationsConsoleAttached) {
        this.operationsConsoleAttached = operationsConsoleAttached;
    }

    public String getOperationsConsoleCapable() {
        return operationsConsoleCapable;
    }

    public void setOperationsConsoleCapable(String operationsConsoleCapable) {
        this.operationsConsoleCapable = operationsConsoleCapable;
    }

    @Override
    public String toString() {
        return "RelatedIBMiIOSlot [metadata=" + metadata + ", alternateLoadSourceAttached="
                + alternateLoadSourceAttached + ", consoleCapable=" + consoleCapable
                + ", directOperationsConsoleCapable=" + directOperationsConsoleCapable + ", iOP=" + iOP
                + ", iOPInfoStale=" + iOPInfoStale + ", lANConsoleCapable=" + lANConsoleCapable
                + ", loadSourceAttached=" + loadSourceAttached + ", loadSourceCapable=" + loadSourceCapable
                + ", operationsConsoleAttached=" + operationsConsoleAttached + ", operationsConsoleCapable="
                + operationsConsoleCapable + "]";
    }

}
