package com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.common.V7EntryBase;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * 指定唯一标识的CPU共享池实体
 *
 * @author sxp
 * @since May 15, 2018
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "entry")
public class V7SharedProcessorPoolEntry extends V7EntryBase {

    private V7SharedProcessorPoolContent content;

    public V7SharedProcessorPoolEntry() {
    }

    public V7SharedProcessorPoolContent getContent() {
        return content;
    }

    public void setContent(V7SharedProcessorPoolContent content) {
        this.content = content;
    }

    @Override
    public String toString() {
        return "SharedProcessorPoolEntryV7 [content=" + content + ", id=" + id + ", title=" + title + ", published="
                + published + ", link=" + link + ", author=" + author + "]";
    }

}
