package com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.module;

import com.alibaba.fastjson.JSONObject;

import javax.xml.bind.annotation.*;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "Storage")
public class V7Storage {
    @XmlAttribute
    private String schemaVersion;

    @XmlElement(name = "VirtualDisk")
    private V7VirtualDisk virtualDisk;

    @XmlElement(name = "PhysicalVolume")
    private V7PhysicalVolume physicalVolume;

    @XmlElement(name = "VirtualOpticalMedia")
    private V7VirtualOpticalMedia virtualOpticalMedia;

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public V7VirtualDisk getVirtualDisk() {
        return virtualDisk;
    }

    public void setVirtualDisk(V7VirtualDisk virtualDisk) {
        this.virtualDisk = virtualDisk;
    }

    /**
     * @return the physicalVolume
     */
    public V7PhysicalVolume getPhysicalVolume() {
        return physicalVolume;
    }

    /**
     * @param physicalVolume the physicalVolume to set
     */
    public void setPhysicalVolume(V7PhysicalVolume physicalVolume) {
        this.physicalVolume = physicalVolume;
    }

    public V7VirtualOpticalMedia getVirtualOpticalMedia() {
        return virtualOpticalMedia;
    }

    public void setVirtualOpticalMedia(V7VirtualOpticalMedia virtualOpticalMedia) {
        this.virtualOpticalMedia = virtualOpticalMedia;
    }

    @Override
    public String toString() {
        return JSONObject.toJSONString(this);
    }

}
