package com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.module;

import com.alibaba.fastjson.JSON;
import com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.common.V7EntryBase;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * 虚拟网络详细信息
 *
 * @author sxp
 * @since Jun 25, 2018
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "entry")
public class V7VirtualNetworkEntry extends V7EntryBase {
    private V7VirtualNetworkContent content;

    public V7VirtualNetworkContent getContent() {
        return content;
    }

    public void setContent(V7VirtualNetworkContent content) {
        this.content = content;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this, true);
    }

}
