package com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.module;

import com.alibaba.fastjson.JSON;
import com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.common.V7EntryBase;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * 指定唯一标识的虚拟SCSI客户端适配器(V7)
 *
 * @author sxp
 * @since Jun 27, 2018
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "entry")
public class V7VirtualSCSIClientAdapterEntry extends V7EntryBase {
    private V7VirtualSCSIClientAdapterContent content;

    public V7VirtualSCSIClientAdapterContent getContent() {
        return content;
    }

    public void setContent(V7VirtualSCSIClientAdapterContent content) {
        this.content = content;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this, true);
    }
}
