package com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.module;

import com.alibaba.fastjson.JSON;
import com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.common.V7EntryBase;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * 指定卷组(V7)
 *
 * @author sxp
 * @since Jul 4, 2018
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "entry")
public class V7VolumeGroupEntry extends V7EntryBase {
    private V7VolumeGroupContent content;

    public V7VolumeGroupContent getContent() {
        return content;
    }

    public void setContent(V7VolumeGroupContent content) {
        this.content = content;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this, true);
    }

}
