package com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.module;

import com.alibaba.fastjson.JSON;
import com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.common.V7ResponseBase;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import java.util.List;

/**
 * 卷组返回结果(V7)
 *
 * @author sxp
 * @since Jul 4, 2018
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "feed")
public class V7VolumeGroupResponse extends V7ResponseBase {
    @XmlElement(name = "entry")
    private List<V7VolumeGroupEntry> entries;

    public List<V7VolumeGroupEntry> getEntries() {
        return entries;
    }

    public void setEntries(List<V7VolumeGroupEntry> entries) {
        this.entries = entries;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this, true);
    }

}
