package com.bocloud.cmp.provider.hmc.sdk.model.v8.pcm;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.annotation.JSONField;

public class V8PartitionUtil {
    private Integer id;
    private String uuid;
    private String type;
    private String name;
    private String state;
    private String affinityScore;
    private V8PartitionMemory memory;
    private V8PartitionProcessor processor;
    private V8PartitionNetwork network;
    @JSONField(name = "Storage")
    private V8HypervisorStorage storage;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getAffinityScore() {
        return affinityScore;
    }

    public void setAffinityScore(String affinityScore) {
        this.affinityScore = affinityScore;
    }

    public V8PartitionMemory getMemory() {
        return memory;
    }

    public void setMemory(V8PartitionMemory memory) {
        this.memory = memory;
    }

    public V8PartitionProcessor getProcessor() {
        return processor;
    }

    public void setProcessor(V8PartitionProcessor processor) {
        this.processor = processor;
    }

    public V8PartitionNetwork getNetwork() {
        return network;
    }

    public void setNetwork(V8PartitionNetwork network) {
        this.network = network;
    }

    public V8HypervisorStorage getStorage() {
        return storage;
    }

    public void setStorage(V8HypervisorStorage storage) {
        this.storage = storage;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
