package com.bocloud.cmp.provider.hmc.sdk.model.v8.pcm;

/**
 * Power Hypervisor JSON Specification for Long/Short Term Monitoring metrics
 * PCM STM URI provides the following Power hypervisor utilization data when
 * LhortTermMonitorEnabled/ShortTermMonitorEnabled configuration value for a
 * managed system is enabled
 * <p>
 * 长期和短期共用一个实体类
 */
public class V8PcmPowerHypervsiorJson {
    private V8HypervisorSystemUtil systemUtil;
    private String category;

    public V8HypervisorSystemUtil getSystemUtil() {
        return systemUtil;
    }

    public void setSystemUtil(V8HypervisorSystemUtil systemUtil) {
        this.systemUtil = systemUtil;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

}
