package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.job;

import com.bocloud.cmp.provider.hmc.sdk.model.HmcSdkConstant;
import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.common.V8Metadata;

import javax.xml.bind.annotation.*;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "JobRequest")
public class V8JobRequest {
    @XmlAttribute
    private String schemaVersion = HmcSdkConstant.SCHEMA_VERSION_V120;

    @XmlElement(name = "Metadata")
    private V8Metadata metadata;

    @XmlElement(name = "RequestedOperation")
    private V8RequestedOperation requestedOperation;

    @XmlElement(name = "JobParameters")
    private V8JobParameters jobParameters;

    public V8JobRequest() {
    }

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public V8Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(V8Metadata metadata) {
        this.metadata = metadata;
    }

    public V8RequestedOperation getRequestedOperation() {
        return requestedOperation;
    }

    public void setRequestedOperation(V8RequestedOperation requestedOperation) {
        this.requestedOperation = requestedOperation;
    }

    public V8JobParameters getJobParameters() {
        return jobParameters;
    }

    public void setJobParameters(V8JobParameters jobParameters) {
        this.jobParameters = jobParameters;
    }

    @Override
    public String toString() {
        return "JobRequest [metadata=" + metadata + ", requestedOperation=" + requestedOperation + ", jobParameters="
                + jobParameters + "]";
    }
}
