package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.common.V8Metadata;

import javax.xml.bind.annotation.*;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "AssociatedSystemIOConfiguration")
public class V8AssociatedSystemIOConfiguration {

    @XmlAttribute(name = "schemaVersion")
    private String schemaVersion;

    @XmlElement(name = "Metadata")
    private V8Metadata metadata;

    @XmlElement(name = "AvailableWWPNs")
    private String availableWWPNs;

    @XmlElement(name = "HostEthernetAdapters")
    private V8HostEthernetAdapters hostEthernetAdapters;

    @XmlElement(name = "IOAdapters")
    private V8IOAdapters ioAdapters;

    @XmlElement(name = "IOBuses")
    private V8IOBuses ioBuses;

    @XmlElement(name = "IOSlots")
    private V8IOSlots ioSlots;

    @XmlElement(name = "AssociatedSystemVirtualNetwork")
    private V8AssociatedSystemVirtualNetwork associatedSystemVirtualNetwork;

    @XmlElement(name = "WWPNPrefix")
    private String WWPNPrefix;

    public V8AssociatedSystemIOConfiguration() {
    }

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public V8Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(V8Metadata metadata) {
        this.metadata = metadata;
    }

    public String getAvailableWWPNs() {
        return availableWWPNs;
    }

    public void setAvailableWWPNs(String availableWWPNs) {
        this.availableWWPNs = availableWWPNs;
    }

    public V8HostEthernetAdapters getHostEthernetAdapters() {
        return hostEthernetAdapters;
    }

    public void setHostEthernetAdapters(V8HostEthernetAdapters hostEthernetAdapters) {
        this.hostEthernetAdapters = hostEthernetAdapters;
    }

    public V8IOAdapters getIoAdapters() {
        return ioAdapters;
    }

    public void setIoAdapters(V8IOAdapters ioAdapters) {
        this.ioAdapters = ioAdapters;
    }

    public V8IOBuses getIoBuses() {
        return ioBuses;
    }

    public void setIoBuses(V8IOBuses ioBuses) {
        this.ioBuses = ioBuses;
    }

    public V8IOSlots getIoSlots() {
        return ioSlots;
    }

    public void setIoSlots(V8IOSlots ioSlots) {
        this.ioSlots = ioSlots;
    }

    public V8AssociatedSystemVirtualNetwork getAssociatedSystemVirtualNetwork() {
        return associatedSystemVirtualNetwork;
    }

    public void setAssociatedSystemVirtualNetwork(V8AssociatedSystemVirtualNetwork associatedSystemVirtualNetwork) {
        this.associatedSystemVirtualNetwork = associatedSystemVirtualNetwork;
    }

    public String getWWPNPrefix() {
        return WWPNPrefix;
    }

    public void setWWPNPrefix(String wWPNPrefix) {
        WWPNPrefix = wWPNPrefix;
    }

}
