package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module;

import com.alibaba.fastjson.JSON;
import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.common.V8EntryBase;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * 指定唯一标识的客户端网络适配器(V8)
 *
 * @author sxp
 * @since Jun 27, 2018
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "entry")
public class V8ClientNetworkAdapterEntry extends V8EntryBase {
    private V8ClientNetworkAdapterContent content;

    public V8ClientNetworkAdapterContent getContent() {
        return content;
    }

    public void setContent(V8ClientNetworkAdapterContent content) {
        this.content = content;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this, true);
    }
}
