package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.HmcSdkConstant;
import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.common.V8Metadata;

import javax.xml.bind.annotation.*;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "DedicatedProcessorConfiguration")
public class V8DedicatedProcessorConfiguration {
    @XmlAttribute
    private String schemaVersion = HmcSdkConstant.SCHEMA_VERSION_V120;

    @XmlElement(name = "Metadata")
    private V8Metadata metadata;

    @XmlElement(name = "DesiredProcessors")
    private String desiredProcessors;

    @XmlElement(name = "MaximumProcessors")
    private String maximumProcessors;

    @XmlElement(name = "MinimumProcessors")
    private String minimumProcessors;

    public V8DedicatedProcessorConfiguration() {
    }

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public V8Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(V8Metadata metadata) {
        this.metadata = metadata;
    }

    public String getDesiredProcessors() {
        return desiredProcessors;
    }

    public void setDesiredProcessors(String desiredProcessors) {
        this.desiredProcessors = desiredProcessors;
    }

    public String getMaximumProcessors() {
        return maximumProcessors;
    }

    public void setMaximumProcessors(String maximumProcessors) {
        this.maximumProcessors = maximumProcessors;
    }

    public String getMinimumProcessors() {
        return minimumProcessors;
    }

    public void setMinimumProcessors(String minimumProcessors) {
        this.minimumProcessors = minimumProcessors;
    }
}
