package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.HmcSdkConstant;
import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.common.V8Metadata;

import javax.xml.bind.annotation.*;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "HostEthernetAdapterPortGroup")
public class V8HostEthernetAdapterPortGroup {
    @XmlAttribute
    private String schemaVersion = HmcSdkConstant.SCHEMA_VERSION_V120;

    @XmlElement(name = "Metadata")
    private V8Metadata metadata;

    @XmlElement(name = "PortGroupID")
    private String portGroupID;

    @XmlElement(name = "CurrentMultiCoreScaling")
    private String currentMultiCoreScaling;

    @XmlElement(name = "PendingMultiCoreScaling")
    private String pendingMultiCoreScaling;

    @XmlElement(name = "SupportedMultiCoreScalingValues")
    private String supportedMultiCoreScalingValues;

    @XmlElement(name = "LogicalPorts")
    private V8LogicalPorts logicalPorts;

    @XmlElement(name = "PhysicalPorts")
    private V8PhysicalPorts physicalPorts;

    public V8Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(V8Metadata metadata) {
        this.metadata = metadata;
    }

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public String getPortGroupID() {
        return portGroupID;
    }

    public void setPortGroupID(String portGroupID) {
        this.portGroupID = portGroupID;
    }

    public String getCurrentMultiCoreScaling() {
        return currentMultiCoreScaling;
    }

    public void setCurrentMultiCoreScaling(String currentMultiCoreScaling) {
        this.currentMultiCoreScaling = currentMultiCoreScaling;
    }

    public String getPendingMultiCoreScaling() {
        return pendingMultiCoreScaling;
    }

    public void setPendingMultiCoreScaling(String pendingMultiCoreScaling) {
        this.pendingMultiCoreScaling = pendingMultiCoreScaling;
    }

    public String getSupportedMultiCoreScalingValues() {
        return supportedMultiCoreScalingValues;
    }

    public void setSupportedMultiCoreScalingValues(String supportedMultiCoreScalingValues) {
        this.supportedMultiCoreScalingValues = supportedMultiCoreScalingValues;
    }

    public V8LogicalPorts getLogicalPorts() {
        return logicalPorts;
    }

    public void setLogicalPorts(V8LogicalPorts logicalPorts) {
        this.logicalPorts = logicalPorts;
    }

    public V8PhysicalPorts getPhysicalPorts() {
        return physicalPorts;
    }

    public void setPhysicalPorts(V8PhysicalPorts physicalPorts) {
        this.physicalPorts = physicalPorts;
    }

}
