package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.common.V8Metadata;

import javax.xml.bind.annotation.*;
import java.util.List;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "IOAdapters")
public class V8IOAdapters {

    @XmlAttribute(name = "schemaVersion")
    private String schemaVersion;

    @XmlElement(name = "Metadata")
    private V8Metadata metadata;

    @XmlElement(name = "IOAdapterChoice")
    private List<V8IOAdapterChoice> iOAdapterChoice;

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public V8IOAdapters() {
    }

    public V8Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(V8Metadata metadata) {
        this.metadata = metadata;
    }

    public List<V8IOAdapterChoice> getiOAdapterChoice() {
        return iOAdapterChoice;
    }

    public void setiOAdapterChoice(List<V8IOAdapterChoice> iOAdapterChoice) {
        this.iOAdapterChoice = iOAdapterChoice;
    }

    @Override
    public String toString() {
        return "IOAdapters [metadata=" + metadata + ", iOAdapterChoice=" + iOAdapterChoice + "]";
    }

}
