package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.common.V8Metadata;

import javax.xml.bind.annotation.*;
import java.util.List;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "IOBuses")
public class V8IOBuses {

    @XmlAttribute(name = "schemaVersion")
    private String schemaVersion;

    @XmlElement(name = "Metadata")
    private V8Metadata metadata;

    @XmlElement(name = "IOBus")
    private List<V8IOBus> ioBusList;

    public V8IOBuses() {
    }

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public V8Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(V8Metadata metadata) {
        this.metadata = metadata;
    }

    public List<V8IOBus> getIoBusList() {
        return ioBusList;
    }

    public void setIoBusList(List<V8IOBus> ioBusList) {
        this.ioBusList = ioBusList;
    }

}
