package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.common.V8Metadata;

import javax.xml.bind.annotation.*;
import java.util.List;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "IOSlots")
public class V8IOSlots {

    @XmlAttribute(name = "schemaVersion")
    private String schemaVersion;

    @XmlElement(name = "Metadata")
    private V8Metadata metadata;

    @XmlElement(name = "IOSlot")
    private List<V8IOSlot> isSlotList;

    public V8IOSlots() {
    }

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public V8Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(V8Metadata metadata) {
        this.metadata = metadata;
    }

    public List<V8IOSlot> getIsSlotList() {
        return isSlotList;
    }

    public void setIsSlotList(List<V8IOSlot> isSlotList) {
        this.isSlotList = isSlotList;
    }

}
