package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module;

import com.alibaba.fastjson.JSONObject;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * 超链接
 *
 * @author sxp
 * @since May 4, 2018
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "link")
public class V8Link {
    @XmlAttribute
    private String rel;
    @XmlAttribute
    private String href;

    public V8Link() {
    }

    public String getRel() {
        return rel;
    }

    public void setRel(String rel) {
        this.rel = rel;
    }

    public String getHref() {
        return href;
    }

    public void setHref(String href) {
        this.href = href;
    }

    @Override
    public String toString() {
        return JSONObject.toJSONString(this);
    }

}
