package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module;

/**
 * 修改逻辑分区时的实体类
 * <p>
 * 比LogicalPartition少一些属性
 * </p>
 *
 * @author sxp
 * @since Jun 7, 2018
 */
public class V8LogicalPartitionForUpdate {
    private String currentProfileSync;

    private String isConnectionMonitoringEnabled;

    private String keylockPosition;

    private String allowPerformanceDataCollection;

    private V8PartitionIOConfiguration partitionIOConfiguration;

    private V8PartitionMemoryConfiguration partitionMemoryConfiguration;

    private String partitionName;

    private V8PartitionProcessorConfiguration partitionProcessorConfiguration;

    private V8HostEthernetAdapterLogicalPorts hostEthernetAdapterLogicalPorts;

    public V8LogicalPartitionForUpdate() {
    }

    public String getCurrentProfileSync() {
        return currentProfileSync;
    }

    public void setCurrentProfileSync(String currentProfileSync) {
        this.currentProfileSync = currentProfileSync;
    }

    public String getIsConnectionMonitoringEnabled() {
        return isConnectionMonitoringEnabled;
    }

    public String getAllowPerformanceDataCollection() {
        return allowPerformanceDataCollection;
    }

    public void setAllowPerformanceDataCollection(String allowPerformanceDataCollection) {
        this.allowPerformanceDataCollection = allowPerformanceDataCollection;
    }

    public void setIsConnectionMonitoringEnabled(String isConnectionMonitoringEnabled) {
        this.isConnectionMonitoringEnabled = isConnectionMonitoringEnabled;
    }

    public String getKeylockPosition() {
        return keylockPosition;
    }

    public void setKeylockPosition(String keylockPosition) {
        this.keylockPosition = keylockPosition;
    }

    public V8PartitionIOConfiguration getPartitionIOConfiguration() {
        return partitionIOConfiguration;
    }

    public void setPartitionIOConfiguration(V8PartitionIOConfiguration partitionIOConfiguration) {
        this.partitionIOConfiguration = partitionIOConfiguration;
    }

    public V8PartitionMemoryConfiguration getPartitionMemoryConfiguration() {
        return partitionMemoryConfiguration;
    }

    public void setPartitionMemoryConfiguration(V8PartitionMemoryConfiguration partitionMemoryConfiguration) {
        this.partitionMemoryConfiguration = partitionMemoryConfiguration;
    }

    public String getPartitionName() {
        return partitionName;
    }

    public void setPartitionName(String partitionName) {
        this.partitionName = partitionName;
    }

    public V8PartitionProcessorConfiguration getPartitionProcessorConfiguration() {
        return partitionProcessorConfiguration;
    }

    public void setPartitionProcessorConfiguration(V8PartitionProcessorConfiguration partitionProcessorConfiguration) {
        this.partitionProcessorConfiguration = partitionProcessorConfiguration;
    }

    public V8HostEthernetAdapterLogicalPorts getHostEthernetAdapterLogicalPorts() {
        return hostEthernetAdapterLogicalPorts;
    }

    public void setHostEthernetAdapterLogicalPorts(V8HostEthernetAdapterLogicalPorts hostEthernetAdapterLogicalPorts) {
        this.hostEthernetAdapterLogicalPorts = hostEthernetAdapterLogicalPorts;
    }

}
