package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module;

import javax.xml.bind.annotation.*;

/**
 * 控制台信息的Content部分
 * <p>
 * ManagementConsoleContent
 * </p>
 *
 * @author sxp
 * @since May 4, 2018
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "content")
public class V8MCEntryContent {
    @XmlAttribute
    private String type;

    @XmlElement(name = "ManagementConsole")
    private V8MC mc;

    public V8MCEntryContent() {
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public V8MC getMc() {
        return mc;
    }

    public void setMc(V8MC mc) {
        this.mc = mc;
    }

    @Override
    public String toString() {
        return "MCEntryContent [type=" + type + ", mc=" + mc + "]";
    }

}
