package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module;

import com.alibaba.fastjson.JSON;
import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.common.V8ResponseBase;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import java.util.List;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "feed")
public class V8ManagedSystemPcmPreferenceResponse extends V8ResponseBase {
    @XmlElement(name = "entry")
    private List<V8ManagedSystemPcmPreferenceEntry> entries;

    public V8ManagedSystemPcmPreferenceResponse() {
    }

    public List<V8ManagedSystemPcmPreferenceEntry> getEntries() {
        return entries;
    }

    public void setEntries(List<V8ManagedSystemPcmPreferenceEntry> entries) {
        this.entries = entries;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this, true);
    }
}
