package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.HmcSdkConstant;
import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.common.V8Metadata;

import javax.xml.bind.annotation.*;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "ManagementConsoleNetworkInterface")
public class V8ManagementConsoleNetworkInterface {
    @XmlAttribute
    private String schemaVersion = HmcSdkConstant.SCHEMA_VERSION_V120;

    @XmlElement(name = "Metadata")
    private V8Metadata metadata;

    @XmlElement(name = "InterfaceName")
    private V8InterfaceName interfaceName;

    @XmlElement(name = "NetworkAddress")
    private V8NetworkAddress networkAddress;

    public V8ManagementConsoleNetworkInterface() {
    }

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public V8Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(V8Metadata metadata) {
        this.metadata = metadata;
    }

    public V8InterfaceName getInterfaceName() {
        return interfaceName;
    }

    public void setInterfaceName(V8InterfaceName interfaceName) {
        this.interfaceName = interfaceName;
    }

    public V8NetworkAddress getNetworkAddress() {
        return networkAddress;
    }

    public void setNetworkAddress(V8NetworkAddress networkAddress) {
        this.networkAddress = networkAddress;
    }

    @Override
    public String toString() {
        return "ManagementConsoleNetworkInterface [schemaVersion=" + schemaVersion + ", metadata=" + metadata
                + ", interfaceName=" + interfaceName + ", networkAddress=" + networkAddress + "]";
    }

}
