package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module;

import com.alibaba.fastjson.JSON;
import com.bocloud.cmp.provider.hmc.sdk.model.HmcSdkConstant;
import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.common.V8Metadata;

import javax.xml.bind.annotation.*;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "ManagementConsolePcmPreference")
public class V8ManagementConsolePcmPreference {
    @XmlAttribute
    private String schemaVersion = HmcSdkConstant.SCHEMA_VERSION_V120;

    @XmlElement(name = "Metadata")
    private V8Metadata metadata;

    @XmlElement(name = "MaximumManagedSystemsForLongTermMonitor")
    private String maximumManagedSystemsForLongTermMonitor;

    @XmlElement(name = "MaximumManagedSystemsForComputeLTM")
    private String maximumManagedSystemsForComputeLTM;

    @XmlElement(name = "MaximumManagedSystemsForAggregation")
    private String maximumManagedSystemsForAggregation;

    @XmlElement(name = "MaximumManagedSystemsForShortTermMonitor")
    private String maximumManagedSystemsForShortTermMonitor;

    @XmlElement(name = "AggregatedMetricsStorageDuration")
    private String aggregatedMetricsStorageDuration;

    @XmlElement(name = "ManagedSystemPcmPreference")
    private V8ManagedSystemPcmPreference managedSystemPcmPreference;

    public V8ManagementConsolePcmPreference() {
    }

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public V8Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(V8Metadata metadata) {
        this.metadata = metadata;
    }

    public String getMaximumManagedSystemsForLongTermMonitor() {
        return maximumManagedSystemsForLongTermMonitor;
    }

    public void setMaximumManagedSystemsForLongTermMonitor(String maximumManagedSystemsForLongTermMonitor) {
        this.maximumManagedSystemsForLongTermMonitor = maximumManagedSystemsForLongTermMonitor;
    }

    public String getMaximumManagedSystemsForComputeLTM() {
        return maximumManagedSystemsForComputeLTM;
    }

    public void setMaximumManagedSystemsForComputeLTM(String maximumManagedSystemsForComputeLTM) {
        this.maximumManagedSystemsForComputeLTM = maximumManagedSystemsForComputeLTM;
    }

    public String getMaximumManagedSystemsForAggregation() {
        return maximumManagedSystemsForAggregation;
    }

    public void setMaximumManagedSystemsForAggregation(String maximumManagedSystemsForAggregation) {
        this.maximumManagedSystemsForAggregation = maximumManagedSystemsForAggregation;
    }

    public String getMaximumManagedSystemsForShortTermMonitor() {
        return maximumManagedSystemsForShortTermMonitor;
    }

    public void setMaximumManagedSystemsForShortTermMonitor(String maximumManagedSystemsForShortTermMonitor) {
        this.maximumManagedSystemsForShortTermMonitor = maximumManagedSystemsForShortTermMonitor;
    }

    public String getAggregatedMetricsStorageDuration() {
        return aggregatedMetricsStorageDuration;
    }

    public void setAggregatedMetricsStorageDuration(String aggregatedMetricsStorageDuration) {
        this.aggregatedMetricsStorageDuration = aggregatedMetricsStorageDuration;
    }

    public V8ManagedSystemPcmPreference getManagedSystemPcmPreference() {
        return managedSystemPcmPreference;
    }

    public void setManagedSystemPcmPreference(V8ManagedSystemPcmPreference managedSystemPcmPreference) {
        this.managedSystemPcmPreference = managedSystemPcmPreference;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this, true);
    }
}
