package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.HmcSdkConstant;
import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.common.V8Metadata;

import javax.xml.bind.annotation.*;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "NetworkInterfaces")
public class V8NetworkInterfaces {
    @XmlAttribute
    private String kb;

    @XmlAttribute
    private String kxe;

    @XmlAttribute
    private String schemaVersion = HmcSdkConstant.SCHEMA_VERSION_V120;

    @XmlElement(name = "Metadata")
    private V8Metadata metadata;

    @XmlElement(name = "ManagementConsoleNetworkInterface")
    private V8ManagementConsoleNetworkInterface managementConsoleNetworkInterface;

    public V8NetworkInterfaces() {
    }

    public String getKb() {
        return kb;
    }

    public void setKb(String kb) {
        this.kb = kb;
    }

    public String getKxe() {
        return kxe;
    }

    public void setKxe(String kxe) {
        this.kxe = kxe;
    }

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public V8Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(V8Metadata metadata) {
        this.metadata = metadata;
    }

    public V8ManagementConsoleNetworkInterface getManagementConsoleNetworkInterface() {
        return managementConsoleNetworkInterface;
    }

    public void setManagementConsoleNetworkInterface(
            V8ManagementConsoleNetworkInterface managementConsoleNetworkInterface) {
        this.managementConsoleNetworkInterface = managementConsoleNetworkInterface;
    }

    @Override
    public String toString() {
        return "NetworkInterfaces [kb=" + kb + ", kxe=" + kxe + ", schemaVersion=" + schemaVersion + ", metadata="
                + metadata + ", managementConsoleNetworkInterface=" + managementConsoleNetworkInterface + "]";
    }

}
