package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.HmcSdkConstant;
import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.common.V8Metadata;

import javax.xml.bind.annotation.*;
import java.util.List;

/**
 * @author luyanchao
 * @since 2018/12/20 14:51
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "NportLoggedInStatus")
public class V8NportLoggedInStatus {

    @XmlAttribute
    private String schemaVersion = HmcSdkConstant.SCHEMA_VERSION_V120;

    @XmlElement(name = "Metadata")
    private V8Metadata metadata;

    @XmlElement(name = "VirtualFibreChannelNPortLoginStatus")
    private List<V8VirtualFibreChannelNPortLoginStatus> virtualFibreChannelNPortLoginStatusList;

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public V8Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(V8Metadata metadata) {
        this.metadata = metadata;
    }

    public List<V8VirtualFibreChannelNPortLoginStatus> getVirtualFibreChannelNPortLoginStatusList() {
        return virtualFibreChannelNPortLoginStatusList;
    }

    public void setVirtualFibreChannelNPortLoginStatusList(List<V8VirtualFibreChannelNPortLoginStatus> virtualFibreChannelNPortLoginStatusList) {
        this.virtualFibreChannelNPortLoginStatusList = virtualFibreChannelNPortLoginStatusList;
    }
}
