package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.common.V8EntryBase;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "entry")
public class V8PcmEntry extends V8EntryBase implements Comparable<V8PcmEntry> {
    private String updated;
    private V8Category category;

    public V8PcmEntry() {
    }

    public String getUpdated() {
        return updated;
    }

    public void setUpdated(String updated) {
        this.updated = updated;
    }

    public V8Category getCategory() {
        return category;
    }

    public void setCategory(V8Category category) {
        this.category = category;
    }

    @Override
    public int compareTo(V8PcmEntry o) {
        return this.updated.compareTo(o.getUpdated());
    }
}
