package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.HmcSdkConstant;
import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.common.V8Metadata;

import javax.xml.bind.annotation.*;
import java.util.List;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "PhysicalFibreChannelPorts")
public class V8PhysicalFibreChannelPorts {
    @XmlAttribute
    private String schemaVersion = HmcSdkConstant.SCHEMA_VERSION_V120;

    @XmlElement(name = "Metadata")
    private V8Metadata metadata;

    @XmlElement(name = "PhysicalFibreChannelPort")
    private List<V8PhysicalFibreChannelPort> physicalFibreChannelPort;

    public V8PhysicalFibreChannelPorts() {
    }

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public V8Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(V8Metadata metadata) {
        this.metadata = metadata;
    }

    public List<V8PhysicalFibreChannelPort> getPhysicalFibreChannelPort() {
        return physicalFibreChannelPort;
    }

    public void setPhysicalFibreChannelPort(List<V8PhysicalFibreChannelPort> physicalFibreChannelPort) {
        this.physicalFibreChannelPort = physicalFibreChannelPort;
    }

    @Override
    public String toString() {
        return "PhysicalFibreChannelPorts [metadata=" + metadata + ", physicalFibreChannelPort="
                + physicalFibreChannelPort + "]";
    }
}
