package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.HmcSdkConstant;
import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.common.V8Metadata;

import javax.xml.bind.annotation.*;
import java.util.List;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "PhysicalPorts")
public class V8PhysicalPorts {
    @XmlAttribute
    private String schemaVersion = HmcSdkConstant.SCHEMA_VERSION_V120;

    @XmlElement(name = "Metadata")
    private V8Metadata metadata;

    @XmlElement(name = "HostEthernetAdapterPhysicalPort")
    private List<V8HostEthernetAdapterPhysicalPort> hostEthernetAdapterPhysicalPort;

    public V8PhysicalPorts() {
    }

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public V8Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(V8Metadata metadata) {
        this.metadata = metadata;
    }

    public List<V8HostEthernetAdapterPhysicalPort> getHostEthernetAdapterPhysicalPort() {
        return hostEthernetAdapterPhysicalPort;
    }

    public void setHostEthernetAdapterPhysicalPort(
            List<V8HostEthernetAdapterPhysicalPort> hostEthernetAdapterPhysicalPort) {
        this.hostEthernetAdapterPhysicalPort = hostEthernetAdapterPhysicalPort;
    }

    @Override
    public String toString() {
        return "PhysicalPorts [metadata=" + metadata + ", hostEthernetAdapterPhysicalPort="
                + hostEthernetAdapterPhysicalPort + "]";
    }

}
