package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.HmcSdkConstant;
import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.common.V8Metadata;

import javax.xml.bind.annotation.*;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "ProfileIOSlot")
public class V8ProfileIOSlot {
    @XmlAttribute
    private String schemaVersion = HmcSdkConstant.SCHEMA_VERSION_V120;

    @XmlElement(name = "Metadata")
    private V8Metadata metadata;

    @XmlElement(name = "AssociatedIOSlot")
    private V8AssociatedIOSlot associatedIOSlot;

    @XmlElement(name = "IsRequired")
    private String isRequired;

    public V8ProfileIOSlot() {
    }

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public V8Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(V8Metadata metadata) {
        this.metadata = metadata;
    }

    /**
     * @return the associatedIOSlot
     */
    public V8AssociatedIOSlot getAssociatedIOSlot() {
        return associatedIOSlot;
    }

    /**
     * @param associatedIOSlot the associatedIOSlot to set
     */
    public void setAssociatedIOSlot(V8AssociatedIOSlot associatedIOSlot) {
        this.associatedIOSlot = associatedIOSlot;
    }

    /**
     * @return the isRequired
     */
    public String getIsRequired() {
        return isRequired;
    }

    /**
     * @param isRequired the isRequired to set
     */
    public void setIsRequired(String isRequired) {
        this.isRequired = isRequired;
    }

    @Override
    public String toString() {
        return "ProfileIOSlot [metadata=" + metadata + ", associatedIOSlot=" + associatedIOSlot + "]";
    }

}
