package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.HmcSdkConstant;
import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.common.V8Metadata;

import javax.xml.bind.annotation.*;
import java.util.List;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "ProfileIOSlots")
public class V8ProfileIOSlots {
    @XmlAttribute
    private String schemaVersion = HmcSdkConstant.SCHEMA_VERSION_V120;

    @XmlElement(name = "Metadata")
    private V8Metadata metadata;

    @XmlElement(name = "ProfileIOSlot")
    private List<V8ProfileIOSlot> profileIOSlot;

    public V8ProfileIOSlots() {
    }

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public V8Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(V8Metadata metadata) {
        this.metadata = metadata;
    }

    public List<V8ProfileIOSlot> getProfileIOSlot() {
        return profileIOSlot;
    }

    public void setProfileIOSlot(List<V8ProfileIOSlot> profileIOSlot) {
        this.profileIOSlot = profileIOSlot;
    }

    @Override
    public String toString() {
        return "ProfileIOSlots [metadata=" + metadata + ", profileIOSlot=" + profileIOSlot + "]";
    }

}
