package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * 虚拟SCSI适配器
 *
 * @author sxp
 * @since Jun 29, 2018
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "ProfileVirtualIOAdapterSubclass")
public class V8ProfileVirtualIOAdapterSubclass {
    @XmlElement(name = "ProfileClientNetworkAdapter")
    private V8ProfileClientNetworkAdapter profileClientNetworkAdapter;

    @XmlElement(name = "ProfileTrunkAdapter")
    private V8ProfileTrunkAdapter profileTrunkAdapter;

    @XmlElement(name = "ProfileVirtualSCSIClientAdapter")
    private V8ProfileVirtualSCSIClientAdapter profileVirtualSCSIClientAdapter;

    @XmlElement(name = "ProfileVirtualSCSIServerAdapter")
    private V8ProfileVirtualSCSIServerAdapter profileVirtualSCSIServerAdapter;

    @XmlElement(name = "ProfileVirtualFibreChannelClientAdapter")
    private V8ProfileVirtualFibreChannelClientAdapter profileVirtualFibreChannelClientAdapter;

    @XmlElement(name = "ProfileVirtualFibreChannelServerAdapter")
    private V8ProfileVirtualFibreChannelServerAdapter profileVirtualFibreChannelServerAdapter;

    public V8ProfileVirtualSCSIServerAdapter getProfileVirtualSCSIServerAdapter() {
        return profileVirtualSCSIServerAdapter;
    }

    public void setProfileVirtualSCSIServerAdapter(V8ProfileVirtualSCSIServerAdapter profileVirtualSCSIServerAdapter) {
        this.profileVirtualSCSIServerAdapter = profileVirtualSCSIServerAdapter;
    }

    public V8ProfileVirtualFibreChannelServerAdapter getProfileVirtualFibreChannelServerAdapter() {
        return profileVirtualFibreChannelServerAdapter;
    }

    public void setProfileVirtualFibreChannelServerAdapter(
            V8ProfileVirtualFibreChannelServerAdapter profileVirtualFibreChannelServerAdapter) {
        this.profileVirtualFibreChannelServerAdapter = profileVirtualFibreChannelServerAdapter;
    }

    public V8ProfileClientNetworkAdapter getProfileClientNetworkAdapter() {
        return profileClientNetworkAdapter;
    }

    public void setProfileClientNetworkAdapter(V8ProfileClientNetworkAdapter profileClientNetworkAdapter) {
        this.profileClientNetworkAdapter = profileClientNetworkAdapter;
    }

    public V8ProfileTrunkAdapter getProfileTrunkAdapter() {
        return profileTrunkAdapter;
    }

    public void setProfileTrunkAdapter(V8ProfileTrunkAdapter profileTrunkAdapter) {
        this.profileTrunkAdapter = profileTrunkAdapter;
    }

    public V8ProfileVirtualSCSIClientAdapter getProfileVirtualSCSIClientAdapter() {
        return profileVirtualSCSIClientAdapter;
    }

    public void setProfileVirtualSCSIClientAdapter(V8ProfileVirtualSCSIClientAdapter profileVirtualSCSIClientAdapter) {
        this.profileVirtualSCSIClientAdapter = profileVirtualSCSIClientAdapter;
    }

    public V8ProfileVirtualFibreChannelClientAdapter getProfileVirtualFibreChannelClientAdapter() {
        return profileVirtualFibreChannelClientAdapter;
    }

    public void setProfileVirtualFibreChannelClientAdapter(
            V8ProfileVirtualFibreChannelClientAdapter profileVirtualFibreChannelClientAdapter) {
        this.profileVirtualFibreChannelClientAdapter = profileVirtualFibreChannelClientAdapter;
    }

}
