package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.common.V8Metadata;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import java.util.List;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "SharedProcessorPool")
public class V8SharedProcessorPool {
    private List<String> link;

    @XmlElement(name = "Metadata")
    private V8Metadata metadata;

    @XmlElement(name = "AssignedPartitions")
    private V8AssignedPartitions assignedPartitions;

    @XmlElement(name = "CurrentReservedProcessingUnits")
    private String currentReservedProcessingUnits;

    @XmlElement(name = "MaximumProcessingUnits")
    private String maximumProcessingUnits;

    @XmlElement(name = "PendingReservedProcessingUnits")
    private String pendingReservedProcessingUnits;

    @XmlElement(name = "PoolID")
    private String poolID;

    @XmlElement(name = "AvailableProcUnits")
    private String availableProcUnits;

    @XmlElement(name = "PoolName")
    private String poolName;

    public V8SharedProcessorPool() {
    }

    public List<String> getLink() {
        return link;
    }

    public void setLink(List<String> link) {
        this.link = link;
    }

    public V8Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(V8Metadata metadata) {
        this.metadata = metadata;
    }

    public V8AssignedPartitions getAssignedPartitions() {
        return assignedPartitions;
    }

    public void setAssignedPartitions(V8AssignedPartitions assignedPartitions) {
        this.assignedPartitions = assignedPartitions;
    }

    public String getPoolID() {
        return poolID;
    }

    public void setPoolID(String poolID) {
        this.poolID = poolID;
    }

    public String getAvailableProcUnits() {
        return availableProcUnits;
    }

    public void setAvailableProcUnits(String availableProcUnits) {
        this.availableProcUnits = availableProcUnits;
    }

    public String getPoolName() {
        return poolName;
    }

    public void setPoolName(String poolName) {
        this.poolName = poolName;
    }

    public String getCurrentReservedProcessingUnits() {
        return currentReservedProcessingUnits;
    }

    public void setCurrentReservedProcessingUnits(String currentReservedProcessingUnits) {
        this.currentReservedProcessingUnits = currentReservedProcessingUnits;
    }

    public String getMaximumProcessingUnits() {
        return maximumProcessingUnits;
    }

    public void setMaximumProcessingUnits(String maximumProcessingUnits) {
        this.maximumProcessingUnits = maximumProcessingUnits;
    }

    public String getPendingReservedProcessingUnits() {
        return pendingReservedProcessingUnits;
    }

    public void setPendingReservedProcessingUnits(String pendingReservedProcessingUnits) {
        this.pendingReservedProcessingUnits = pendingReservedProcessingUnits;
    }

    @Override
    public String toString() {
        return "SharedProcessorPool [link=" + link + ", metadata=" + metadata + ", assignedPartitions="
                + assignedPartitions + ",currentReservedProcessingUnits= " + currentReservedProcessingUnits + "," +
                "maximumProcessingUnits=" + maximumProcessingUnits + ",pendingReservedProcessingUnits=" + pendingReservedProcessingUnits + ", " +
                "poolID=" + poolID + ", availableProcUnits=" + availableProcUnits
                + ", poolName=" + poolName + "]";
    }

}
