package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.common.V8Metadata;

import javax.xml.bind.annotation.*;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "SystemMigrationInformation")
public class V8SystemMigrationInformation {

    @XmlAttribute(name = "schemaVersion")
    private String schemaVersion;

    @XmlElement(name = "Metadata")
    private V8Metadata metadata;

    @XmlElement(name = "MaximumInactiveMigrations")
    private String maximumInactiveMigrations;

    @XmlElement(name = "MaximumActiveMigrations")
    private String maximumActiveMigrations;

    @XmlElement(name = "NumberOfInactiveMigrationsInProgress")
    private String numberOfInactiveMigrationsInProgress;

    @XmlElement(name = "NumberOfActiveMigrationsInProgress")
    private String numberOfActiveMigrationsInProgress;

    @XmlElement(name = "MaximumFirmwareActiveMigrations")
    private String maximumFirmwareActiveMigrations;

    public V8SystemMigrationInformation() {
    }

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public V8Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(V8Metadata metadata) {
        this.metadata = metadata;
    }

    public String getMaximumInactiveMigrations() {
        return maximumInactiveMigrations;
    }

    public void setMaximumInactiveMigrations(String maximumInactiveMigrations) {
        this.maximumInactiveMigrations = maximumInactiveMigrations;
    }

    public String getMaximumActiveMigrations() {
        return maximumActiveMigrations;
    }

    public void setMaximumActiveMigrations(String maximumActiveMigrations) {
        this.maximumActiveMigrations = maximumActiveMigrations;
    }

    public String getNumberOfInactiveMigrationsInProgress() {
        return numberOfInactiveMigrationsInProgress;
    }

    public void setNumberOfInactiveMigrationsInProgress(String numberOfInactiveMigrationsInProgress) {
        this.numberOfInactiveMigrationsInProgress = numberOfInactiveMigrationsInProgress;
    }

    public String getNumberOfActiveMigrationsInProgress() {
        return numberOfActiveMigrationsInProgress;
    }

    public void setNumberOfActiveMigrationsInProgress(String numberOfActiveMigrationsInProgress) {
        this.numberOfActiveMigrationsInProgress = numberOfActiveMigrationsInProgress;
    }

    public String getMaximumFirmwareActiveMigrations() {
        return maximumFirmwareActiveMigrations;
    }

    public void setMaximumFirmwareActiveMigrations(String maximumFirmwareActiveMigrations) {
        this.maximumFirmwareActiveMigrations = maximumFirmwareActiveMigrations;
    }

    @Override
    public String toString() {
        return "SystemMigrationInformation [metadata=" + metadata + ", maximumInactiveMigrations="
                + maximumInactiveMigrations + ", maximumActiveMigrations=" + maximumActiveMigrations
                + ", numberOfInactiveMigrationsInProgress=" + numberOfInactiveMigrationsInProgress
                + ", numberOfActiveMigrationsInProgress=" + numberOfActiveMigrationsInProgress
                + ", maximumFirmwareActiveMigrations=" + maximumFirmwareActiveMigrations + "]";
    }

}
