package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.HmcSdkConstant;
import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.common.V8Metadata;

import javax.xml.bind.annotation.*;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "TrunkAdapter")
public class V8TrunkAdapter {
    @XmlAttribute(name = "schemaVersion")
    private String schemaVersion = HmcSdkConstant.SCHEMA_VERSION_V120;

    @XmlElement(name = "Metadata")
    private V8Metadata metadata;

    @XmlElement(name = "DynamicReconfigurationConnectorName")
    private String dynamicReconfigurationConnectorName;

    @XmlElement(name = "LocationCode")
    private String locationCode;

    @XmlElement(name = "RequiredAdapter")
    private String requiredAdapter;

    @XmlElement(name = "VariedOn")
    private String variedOn;

    @XmlElement(name = "VirtualSlotNumber")
    private String virtualSlotNumber;

    @XmlElement(name = "MACAddress")
    private String macAddress;

    @XmlElement(name = "PortVLANID")
    private String portVLANID;

    @XmlElement(name = "QualityOfServicePriorityEnabled")
    private String qualityOfServicePriorityEnabled;

    @XmlElement(name = "TaggedVLANIDs")
    private String TaggedVlanIds;

    @XmlElement(name = "TaggedVLANSupported")
    private String taggedVLANSupported;

    @XmlElement(name = "AssociatedVirtualSwitch")
    private V8AssociatedVirtualSwitch associatedVirtualSwitch;

    @XmlElement(name = "VirtualSwitchID")
    private String virtualSwitchID;

    @XmlElement(name = "DeviceName")
    private String deviceName;

    @XmlElement(name = "TrunkPriority")
    private String trunkPriority;

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public V8Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(V8Metadata metadata) {
        this.metadata = metadata;
    }

    public String getDynamicReconfigurationConnectorName() {
        return dynamicReconfigurationConnectorName;
    }

    public void setDynamicReconfigurationConnectorName(String dynamicReconfigurationConnectorName) {
        this.dynamicReconfigurationConnectorName = dynamicReconfigurationConnectorName;
    }

    public String getLocationCode() {
        return locationCode;
    }

    public void setLocationCode(String locationCode) {
        this.locationCode = locationCode;
    }

    public String getRequiredAdapter() {
        return requiredAdapter;
    }

    public void setRequiredAdapter(String requiredAdapter) {
        this.requiredAdapter = requiredAdapter;
    }

    public String getVariedOn() {
        return variedOn;
    }

    public void setVariedOn(String variedOn) {
        this.variedOn = variedOn;
    }

    public String getVirtualSlotNumber() {
        return virtualSlotNumber;
    }

    public void setVirtualSlotNumber(String virtualSlotNumber) {
        this.virtualSlotNumber = virtualSlotNumber;
    }

    public String getMacAddress() {
        return macAddress;
    }

    public void setMacAddress(String macAddress) {
        this.macAddress = macAddress;
    }

    public String getPortVLANID() {
        return portVLANID;
    }

    public void setPortVLANID(String portVLANID) {
        this.portVLANID = portVLANID;
    }

    public String getQualityOfServicePriorityEnabled() {
        return qualityOfServicePriorityEnabled;
    }

    public void setQualityOfServicePriorityEnabled(String qualityOfServicePriorityEnabled) {
        this.qualityOfServicePriorityEnabled = qualityOfServicePriorityEnabled;
    }

    public String getTaggedVLANSupported() {
        return taggedVLANSupported;
    }

    public void setTaggedVLANSupported(String taggedVLANSupported) {
        this.taggedVLANSupported = taggedVLANSupported;
    }

    public V8AssociatedVirtualSwitch getAssociatedVirtualSwitch() {
        return associatedVirtualSwitch;
    }

    public void setAssociatedVirtualSwitch(V8AssociatedVirtualSwitch associatedVirtualSwitch) {
        this.associatedVirtualSwitch = associatedVirtualSwitch;
    }

    public String getVirtualSwitchID() {
        return virtualSwitchID;
    }

    public void setVirtualSwitchID(String virtualSwitchID) {
        this.virtualSwitchID = virtualSwitchID;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getTrunkPriority() {
        return trunkPriority;
    }

    public void setTrunkPriority(String trunkPriority) {
        this.trunkPriority = trunkPriority;
    }

    public String getTaggedVlanIds() {
        return TaggedVlanIds;
    }

    public void setTaggedVlanIds(String taggedVlanIds) {
        TaggedVlanIds = taggedVlanIds;
    }
}
