package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.HmcSdkConstant;
import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.common.V8Metadata;

import javax.xml.bind.annotation.*;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "VirtualFibreChannelMapping")
public class V8VirtualFibreChannelMapping {
    @XmlAttribute(name = "schemaVersion")
    private String schemaVersion = HmcSdkConstant.SCHEMA_VERSION_V120;

    @XmlElement(name = "Metadata")
    private V8Metadata metadata;

    @XmlElement(name = "AssociatedLogicalPartition")
    private V8Link associatedLogicalPartition;

    @XmlElement(name = "ClientAdapter")
    private V8ClientAdapter clientAdapter;

    @XmlElement(name = "Port")
    private V8Port port;

    @XmlElement(name = "ServerAdapter")
    private V8ServerAdapter serverAdapter;

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public V8Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(V8Metadata metadata) {
        this.metadata = metadata;
    }

    public V8Link getAssociatedLogicalPartition() {
        return associatedLogicalPartition;
    }

    public void setAssociatedLogicalPartition(V8Link associatedLogicalPartition) {
        this.associatedLogicalPartition = associatedLogicalPartition;
    }

    public V8ClientAdapter getClientAdapter() {
        return clientAdapter;
    }

    public void setClientAdapter(V8ClientAdapter clientAdapter) {
        this.clientAdapter = clientAdapter;
    }

    public V8Port getPort() {
        return port;
    }

    public void setPort(V8Port port) {
        this.port = port;
    }

    public V8ServerAdapter getServerAdapter() {
        return serverAdapter;
    }

    public void setServerAdapter(V8ServerAdapter serverAdapter) {
        this.serverAdapter = serverAdapter;
    }

}
