package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.HmcSdkConstant;
import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.common.V8Metadata;

import javax.xml.bind.annotation.*;

/**
 * @author luyanchao
 * @since 2018/12/20 14:58
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "VirtualFibreChannelNPortLoginStatus")
public class V8VirtualFibreChannelNPortLoginStatus {

    @XmlAttribute
    private String schemaVersion = HmcSdkConstant.SCHEMA_VERSION_V120;

    @XmlElement(name = "Metadata")
    private V8Metadata metadata;

    @XmlElement(name = "WWPN")
    private String wwpn;

    @XmlElement(name = "WWPNStatus")
    private String wwpnStatus;

    @XmlElement(name = "LoggedInBy")
    private String loggedInBy;

    @XmlElement(name = "StatusReason")
    private String statusReason;

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public V8Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(V8Metadata metadata) {
        this.metadata = metadata;
    }

    public String getWwpn() {
        return wwpn;
    }

    public void setWwpn(String wwpn) {
        this.wwpn = wwpn;
    }

    public String getWwpnStatus() {
        return wwpnStatus;
    }

    public void setWwpnStatus(String wwpnStatus) {
        this.wwpnStatus = wwpnStatus;
    }

    public String getLoggedInBy() {
        return loggedInBy;
    }

    public void setLoggedInBy(String loggedInBy) {
        this.loggedInBy = loggedInBy;
    }

    public String getStatusReason() {
        return statusReason;
    }

    public void setStatusReason(String statusReason) {
        this.statusReason = statusReason;
    }
}
