package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module;

import com.alibaba.fastjson.JSON;
import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.common.V8EntryBase;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * 指定虚拟IO服务器查询结果(V8)
 *
 * @author sxp
 * @since May 11, 2018
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "entry")
public class V8VirtualIOServerEntry extends V8EntryBase {
    private V8VirtualIOServerContent content;

    public V8VirtualIOServerEntry() {
    }

    public V8VirtualIOServerContent getContent() {
        return content;
    }

    public void setContent(V8VirtualIOServerContent content) {
        this.content = content;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this, true);
    }

}
