package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module;

import com.alibaba.fastjson.JSON;
import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.common.V8EntryBase;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;


@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "entry")
public class V8VirtualNetworkBridgeEntry extends V8EntryBase {

    private V8NetworkBridgeContent content;

    /**
     * @return the content
     */
    public V8NetworkBridgeContent getContent() {
        return content;
    }

    /**
     * @param content the content to set
     */
    public void setContent(V8NetworkBridgeContent content) {
        this.content = content;
    }

    public V8VirtualNetworkBridgeEntry() {
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }

}
