package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module;

import com.alibaba.fastjson.JSON;
import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.common.V8ResponseBase;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import java.util.List;

/**
 * 虚拟SCSI客户端适配器返回结果(V8)
 * <p>
 * 属于虚拟适配器
 * </p>
 *
 * @author sxp
 * @since Jun 27, 2018
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "feed")
public class V8VirtualSCSIClientAdapterResponse extends V8ResponseBase {
    @XmlElement(name = "entry")
    private List<V8VirtualSCSIClientAdapterEntry> entries;

    public List<V8VirtualSCSIClientAdapterEntry> getEntries() {
        return entries;
    }

    public void setEntries(List<V8VirtualSCSIClientAdapterEntry> entries) {
        this.entries = entries;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this, true);
    }
}
