package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module;

import com.alibaba.fastjson.JSON;
import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.common.V8ResponseBase;

import javax.xml.bind.annotation.*;
import java.util.List;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "feed")
public class V8VirtualSwitchResponse extends V8ResponseBase {
    @XmlAttribute
    private String xmlns;

    @XmlElement(name = "entry")
    private List<V8VirtualSwitchEntry> entries;

    public V8VirtualSwitchResponse() {
    }

    public String getXmlns() {
        return xmlns;
    }

    public void setXmlns(String xmlns) {
        this.xmlns = xmlns;
    }

    public List<V8VirtualSwitchEntry> getEntries() {
        return entries;
    }

    public void setEntries(List<V8VirtualSwitchEntry> entries) {
        this.entries = entries;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }

}
