package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module;

import com.alibaba.fastjson.JSON;
import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.common.V8ResponseBase;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import java.util.List;

/**
 * 卷组返回结果(V8)
 *
 * @author sxp
 * @since Jul 4, 2018
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "feed")
public class V8VolumeGroupResponse extends V8ResponseBase {
    @XmlElement(name = "entry")
    private List<V8VolumeGroupEntry> entries;

    public List<V8VolumeGroupEntry> getEntries() {
        return entries;
    }

    public void setEntries(List<V8VolumeGroupEntry> entries) {
        this.entries = entries;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this, true);
    }

}
