package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module;

import javax.xml.bind.annotation.*;

/**
 * X-API-Session
 *
 * @author sxp
 * @since May 3, 2018
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "X-API-Session")
public class V8XAPISession {
    @XmlAttribute
    private String kb;

    @XmlAttribute
    private String kxe;

    @XmlValue
    private String value;

    public V8XAPISession() {
    }

    public V8XAPISession(String kb, String kxe, String value) {
        super();
        this.kb = kb;
        this.kxe = kxe;
        this.value = value;
    }

    public String getKb() {
        return kb;
    }

    public void setKb(String kb) {
        this.kb = kb;
    }

    public String getKxe() {
        return kxe;
    }

    public void setKxe(String kxe) {
        this.kxe = kxe;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

}
