package com.bocloud.sdk.hmc.api;

import com.bocloud.cmp.provider.hmc.sdk.api.v8.V8ClientNetworkAdapterService;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.sdk.hmc.api.base.BaseTest;
import org.junit.Assert;
import org.junit.Test;

/**
 * 客户端网络适配器服务单元测试
 * <p>
 * 备忘录：只要在分区为未激活状态下，才能进行CUD操作。
 * </p>
 * 
 * @author sxp
 * @since Jun 28, 2018
 */
public class V8ClientNetworkAdapterServiceTest extends BaseTest {
	//private static String clientNetworkAdapterUuid;

	@Test
	public void testGet1() {
//		BocloudResult result = ClientNetworkAdapterService.get(auth, "28F8F4C7-D199-4B81-BD6C-93E7A088BED4");
//		BocloudResult result = ClientNetworkAdapterService.get(auth, "209F9122-BB4C-4B2B-84F3-AE27B544BD81");
//		BocloudResult result = ClientNetworkAdapterService.get(auth, "2BDBD386-3F60-4770-A334-D15E43E9529A");
		BocloudResult result = V8ClientNetworkAdapterService.get(auth, "17EBE3A4-AC85-4A9E-A53F-09CBEA6D5090");
		Assert.assertTrue(result.getMessage(), result.isSuccess());
		System.out.println(result.getData());
	}

	@Test
	public void testGet2() {
		BocloudResult result = V8ClientNetworkAdapterService.get(auth, "28F8F4C7-D199-4B81-BD6C-93E7A088BED4",
				"e8dd856f-a76d-38ba-859f-f7ea8d86aa4a");
		Assert.assertTrue(result.getMessage(), result.isSuccess());
		System.out.println(result.getData());
	}

	/*@Test
	public void testCreate() {
		ClientNetworkAdapter clientNetworkAdapter = new ClientNetworkAdapter();
		clientNetworkAdapter.setPortVlanId("3");

		BocloudResult result = ClientNetworkAdapterService.create(auth, "209F9122-BB4C-4B2B-84F3-AE27B544BD81",
				clientNetworkAdapter);
		Assert.assertTrue(result.getMessage(), result.isSuccess());

		ClientNetworkAdapterEntry entry = (ClientNetworkAdapterEntry) result.getData();
		Assert.assertTrue(entry != null);
		clientNetworkAdapterUuid = entry.getId();

		System.out.println(entry);
	}

	@Test
	public void testDelete() {
		if (clientNetworkAdapterUuid == null) {
			testCreate();
		}
		BocloudResult result = ClientNetworkAdapterService.delete(auth, "209F9122-BB4C-4B2B-84F3-AE27B544BD81",
				clientNetworkAdapterUuid);
		Assert.assertTrue(result.getMessage(), result.isSuccess());
	}
	
	@Test
	public void testUpdate() {
		//clientNetworkAdapterUuid = "b4cd18c7-f2ce-379c-b08a-3a80b2874375";
		if (clientNetworkAdapterUuid == null) {
			testCreate();
		}
		ClientNetworkAdapterForUpdate updateAdapter = new ClientNetworkAdapterForUpdate();
		updateAdapter.setPortVlanId("4");
		
		BocloudResult result = ClientNetworkAdapterService.update(auth, "209F9122-BB4C-4B2B-84F3-AE27B544BD81",
				clientNetworkAdapterUuid, updateAdapter);
		Assert.assertTrue(result.getMessage(), result.isSuccess());
		System.out.println(result.getData());		
	}*/
}
