package com.bocloud.sdk.hmc.api;

import com.alibaba.fastjson.JSONObject;
import com.bocloud.cmp.provider.hmc.sdk.api.v8.V8JobService;
import com.bocloud.cmp.provider.hmc.sdk.api.v8.V8LogicalPartitionService;
import com.bocloud.cmp.provider.hmc.sdk.api.v8.V8ManagedSystemService;
import com.bocloud.cmp.provider.hmc.sdk.model.HmcSdkConstant;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.sdk.hmc.api.base.BaseTest;
import org.junit.Assert;
import org.junit.Test;

public class V8JobServiceTest extends BaseTest {
	@Test
	public void test() {
		
	}

	//@Test
	public void testGetJobStatus1() {
		BocloudResult result = V8LogicalPartitionService.powerOnPartition(auth, "74A2E73F-9AD4-47A5-8CA2-8D3CDA37C49E");
		Assert.assertTrue(result.getMessage(), result.isSuccess());

		JSONObject jsonObject = (JSONObject) result.getData();
		String jobId = jsonObject.getString(HmcSdkConstant.JOB_ID);

		result = V8JobService.getJobStatus(auth, jobId, 1000);
		System.out.println(result);
	}

	//@Test
	public void testGetJobStatus2() {
		BocloudResult result = V8LogicalPartitionService.powerOffPartition(auth, "74A2E73F-9AD4-47A5-8CA2-8D3CDA37C49E");
		Assert.assertTrue(result.getMessage(), result.isSuccess());

		JSONObject jsonObject = (JSONObject) result.getData();
		String jobId = jsonObject.getString(HmcSdkConstant.JOB_ID);

		result = V8JobService.getJobStatus(auth, jobId, 1000);
		System.out.println(result);
	}
	
	//@Test
	public void testGetJobStatus3() {
		String managedSystemUuid = "25cc2a4e-b946-3b98-acaa-cdf90628809a";
		BocloudResult result = V8ManagedSystemService.powerOnManagedSystem(auth, managedSystemUuid);
		Assert.assertTrue(result.getMessage(), result.isSuccess());
		
		JSONObject jsonObject = (JSONObject) result.getData();
		String jobId = jsonObject.getString(HmcSdkConstant.JOB_ID);

		result = V8JobService.getJobStatus(auth, jobId, 1000);
		System.out.println(result);
	}

}
