package com.bocloud.sdk.hmc.api;

import com.bocloud.cmp.provider.hmc.sdk.api.v8.V8VirtualNetworkService;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.sdk.hmc.api.base.BaseTest;
import org.junit.Assert;
import org.junit.Test;

/**
 * 虚拟网络服务单元测试
 * 
 * @author sxp
 * @since Jun 25, 2018
 */
public class V8VirtualNetworkServiceTest extends BaseTest {

	@Test
	public void get1() {
		BocloudResult result = V8VirtualNetworkService.get(auth, "25cc2a4e-b946-3b98-acaa-cdf90628809a");
		Assert.assertTrue(result.getMessage(), result.isSuccess());
		System.out.println(result.getData());
	}
	
	@Test
	public void get2() {
		BocloudResult result = V8VirtualNetworkService.get(auth, "25cc2a4e-b946-3b98-acaa-cdf90628809a", "e709aadd-73fc-330c-965c-699bea1d93ac");
		Assert.assertTrue(result.getMessage(), result.isSuccess());
		System.out.println(result.getData());
	}

}
