package com.bocloud.sdk.hmc.entity.request;

import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.common.V8Atom;
import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.common.V8LogonRequest;
import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.common.V8Metadata;
import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module.V8Password;
import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module.V8UserID;
import com.bocloud.cmp.provider.hmc.sdk.util.XmlUtils;
import com.bocloud.sdk.hmc.api.base.BaseTest;
import org.junit.Test;

public class LogonRequestTest extends BaseTest {

	@Test
	public void usage() {
		V8LogonRequest request = new V8LogonRequest();
		
		V8Metadata metadata = new V8Metadata(new V8Atom());
		
		V8UserID userId = new V8UserID(auth.getUsername());
		userId.setKb("CUR");
		userId.setKxe("false");

		V8Password password = new V8Password(auth.getPassword());
		password.setKb("CUR");
		password.setKxe("false");

		request.setMetadata(metadata);
		request.setUserId(userId);
		request.setPassword(password);

		System.out.println(XmlUtils.toXmlString(request));
	}

}
