package com.bocloud.cmp.provider.jdconvertor.enums;

/** @Author: lxy
 * @Description: 安全组规则方向
 * @Date 2021/6/16 20:48
 * @Param null
 * @return
 * @throws:
 **/
public enum DirectionEnum {
    INGRESS("ingress",0), //入规则
    EGRESS("egress",1); //出规则
    // 成员变量
    private String name;
    private Integer num;
    DirectionEnum(String name, Integer num) {
        this.name = name;
        this.num = num;
    }

    public static DirectionEnum getByNum(Integer num) {
        for (DirectionEnum transactType : values()) {
            if (transactType.getNum().intValue() == num) {
                //获取指定的枚举
                return transactType;
            }
        }
        return null;
    }

    public static DirectionEnum getByName(String name) {
        for (DirectionEnum transactType : values()) {
            if (transactType.getName().equals(name)) {
                //获取指定的枚举
                return transactType;
            }
        }
        return null;
    }

    public String getName() {
        return this.name;
    }

    public void setName(final String name) {
        this.name = name;
    }

    public Integer getNum() {
        return this.num;
    }

    public void setNum(final Integer num) {
        this.num = num;
    }
}
