package com.bocloud.cmp.provider.jdconvertor.enums;

/** @Author: lxy
 * @Description: 规则限定协议
 * @Date 2021/6/16 20:48
 * @Param null
 * @return
 * @throws:
 **/
public enum ProtocolEnum {
    ALL("ALL",300),
    TCP("TCP",6),
    UDP("UDP",17),
    ICMP("ICMP",1);
    // 成员变量
    private String name;
    private Integer num;
    ProtocolEnum(String name, Integer num) {
        this.name = name;
        this.num = num;
    }

    public static ProtocolEnum getByNum(Integer num) {
        for (ProtocolEnum transactType : values()) {
            if (transactType.getNum().intValue() == num) {
                //获取指定的枚举
                return transactType;
            }
        }
        return null;
    }

    public static ProtocolEnum getByName(String name) {
        for (ProtocolEnum transactType : values()) {
            if (transactType.getName().equals(name)) {
                //获取指定的枚举
                return transactType;
            }
        }
        return null;
    }
    public String getName() {
        return this.name;
    }

    public void setName(final String name) {
        this.name = name;
    }

    public Integer getNum() {
        return this.num;
    }

    public void setNum(final Integer num) {
        this.num = num;
    }
}
