package com.bocloud.cmp.provider.loadbalance;

import com.bocloud.cmp.model.Butler;
import com.bocloud.cmp.model.HealthMonitorModel;
import com.bocloud.cmp.model.LbListenerModel;
import com.bocloud.cmp.model.LbMemberModel;
import com.bocloud.cmp.model.LbModel;
import com.bocloud.cmp.model.LbPoolModel;
import com.bocloud.cmp.model.VipModel;
import com.bocloud.cmp.provider.JdCloudProvider;
import com.bocloud.common.annotations.Provider;
import com.bocloud.common.model.BocloudResult;

/**
 * @author : guopeng create at: 2018/11/15 3:35 PM
 * @description:
 */
@Provider("bocloud.cmp.jdcloud")
public class JdCloudLoadBalanceProvider extends JdCloudProvider implements LoadBalanceProvider {

	// private static Logger logger =
	// LoggerFactory.getLogger(JdCloudLoadBalanceProvider.class);

	/**
	 * 构造方法，所有的云平台驱动都必须要实现或重写该构造方法
	 *
	 * @param butler
	 *            云平台认证信息
	 */
	public JdCloudLoadBalanceProvider(Butler butler) {
		super(butler);
	}

	@Override
	public BocloudResult list() {
		return null;
	}

	@Override
	public BocloudResult create(LbModel lb) {
		return null;
	}

	@Override
	public BocloudResult update(LbModel lb) {
		return null;
	}

	@Override
	public BocloudResult remove(String lbId) {
		return null;
	}

	@Override
	public BocloudResult detail(String lbId) {
		return null;
	}

	@Override
	public BocloudResult listVip() {
		return null;
	}

	@Override
	public BocloudResult createVip(VipModel vModel) {
		return null;
	}

	@Override
	public BocloudResult updateVip(VipModel vModel) {
		return null;
	}

	@Override
	public BocloudResult removeVip(String vipId) {
		return null;
	}

	@Override
	public BocloudResult detailVip(String vipId) {
		return null;
	}

	@Override
	public BocloudResult listListener() {
		return null;
	}

	@Override
	public BocloudResult createListener(LbListenerModel lbListenerModel) {
		return null;
	}

	@Override
	public BocloudResult updateListener(LbListenerModel lbListenerModel) {
		return null;
	}

	@Override
	public BocloudResult removeListener(String listenerId) {
		return null;
	}

	@Override
	public BocloudResult detailListener(String listenerId) {
		return null;
	}

	@Override
	public BocloudResult listHealMonitor() {
		return null;
	}

	@Override
	public BocloudResult createHealMonitor(HealthMonitorModel hmModel) {
		return null;
	}

	@Override
	public BocloudResult updateHealMonitor(HealthMonitorModel hmModel) {
		return null;
	}

	@Override
	public BocloudResult removeHealMonitor(String hmId) {
		return null;
	}

	@Override
	public BocloudResult detailHealMonitor(String hmId) {
		return null;
	}

	@Override
	public BocloudResult listMember(String poolId) {
		return null;
	}

	@Override
	public BocloudResult createMember(LbMemberModel mbModel) {
		return null;
	}

	@Override
	public BocloudResult updateMember(LbMemberModel mbModel) {
		return null;
	}

	@Override
	public BocloudResult removeMember(String poolId, String mbId) {
		return null;
	}

	@Override
	public BocloudResult detailMember(String poolId, String mbId) {
		return null;
	}

	@Override
	public BocloudResult listPool() {
		return null;
	}

	@Override
	public BocloudResult createPool(LbPoolModel poolModel) {
		return null;
	}

	@Override
	public BocloudResult removePool(String poolId) {
		return null;
	}

	@Override
	public BocloudResult updatePool(LbPoolModel poolModel) {
		return null;
	}

	@Override
	public BocloudResult detailPool(String poolId) {
		return null;
	}

	@Override
	public BocloudResult listListener(String lbId) {
		// TODO Auto-generated method stub
		return null;
	}

}
