package com.bocloud.cmp.provider.powervc4j.api.compute;

import com.bocloud.cmp.provider.powervc4j.api.base.BaseService;
import com.bocloud.cmp.provider.powervc4j.model.NovaHost;
import com.bocloud.cmp.provider.powervc4j.model.NovaHostResource;
import com.bocloud.common.model.BocloudResult;

import java.util.Map;

/**
 * 宿主机服务接口
 * 
 * @author sxp
 * @since Mar 28, 2018
 */
public interface HostService extends BaseService<NovaHostResource> {
    /**
     * 根据宿主机名称获取宿主机信息
     * 
     * @author sxp
     * @since Mar 28, 2018
     */
    NovaHost hostDescribe(String hostName);


    /**
     * 注册或者添加新的计算主机。
     *
     * @param params
     * @return
     */
    BocloudResult create(Map<String, Object> params);



}
