package com.bocloud.cmp.provider.powervc4j.api.compute;

import com.bocloud.cmp.model.ClusterModel;
import com.bocloud.cmp.model.ClusterOperateModel;
import com.bocloud.cmp.provider.powervc4j.api.base.BaseService;
import com.bocloud.common.model.BocloudResult;

/**
 * 主机组
 * @author luyanchao
 * @since 2019/1/30 15:03
 */
public interface OsAggregateService extends BaseService<ClusterModel> {

    public BocloudResult get(String uuid);

    public BocloudResult create(String name);

    public BocloudResult setMetadata(String uuid, String initialPolicy);

    public BocloudResult modify(String uuid, String name);

    public BocloudResult remove(String uuid);

    public BocloudResult addServer(String uuid, String hostName);

    public BocloudResult removeServer(String uuid, String hostName);

}
