package com.bocloud.cmp.provider.powervc4j.api.compute;

import com.bocloud.cmp.model.OsHost;
import com.bocloud.cmp.provider.powervc4j.api.base.BaseService;
import com.bocloud.common.model.BocloudResult;

import java.util.List;

public interface OsHostService extends BaseService<OsHost> {

    BocloudResult create(OsHost host);

    BocloudResult modify(OsHost host);

    OsHost get(String hostName);

    BocloudResult delete(String hostName);

    BocloudResult onboard(String hostName, List<String> serverUuids);

    BocloudResult unmanage(String hostName, List<String> serverUuids);

    BocloudResult allServers(String hostName);
}
