package com.bocloud.cmp.provider.powervc4j.api.validation;


import com.alibaba.fastjson.JSONObject;
import com.bocloud.cmp.provider.powervc4j.api.base.BaseService;
import com.bocloud.common.model.BocloudResult;

/**
 * PowerVC ttv服务接口
 * <p>
 * 验证环境使用
 *
 * @author lkx007
 */
public interface PowervcValidateService extends BaseService<JSONObject> {
    /**
     * 请求验证环境接口
     *
     * @return
     */
    public BocloudResult validate();

    /**
     * 获取当前验证环境的进度和结果的接口
     *
     * @return
     */
    public BocloudResult result();
}
