package com.bocloud.cmp.provider.powervc4j.core;

/**
 * PowerVC常量
 * 
 * @author sxp
 * @since Mar 19, 2018
 */
public class Constant {
    public static final String HEADER_CONTENT_TYPE = "Content-Type";
    public static final String HEADER_X_AUTH_TOKEN = "X-Auth-Token";
    public static final String HEADER_X_SUBJECT_TOKEN = "X-Subject-Token";
    public static final String HEADER_LANGUAGE = "Accept-Language";
    public static final String DEFAULT_LANGUAGE = "zh-CN,zh;q=0.9";

    public static final String CONTENT_TYPE_JSON = "application/json";

    /**
     * bocloud的HttpClient出现401错误是的错误信息
     */
    public static final String HTTP_CLIENT_401_ERROR = "Unauthorized";

    /**
     * 云平台供应商类型
     */
    public static final String VENDOR_TYPE = "POWERVC";

}
