package com.bocloud.cmp.provider.powervc4j.impl.networking.v14;

import com.bocloud.cmp.model.powervc.PowervcConstant;
import com.bocloud.cmp.provider.powervc4j.api.Apis;
import com.bocloud.cmp.provider.powervc4j.api.networking.NetworkService;
import com.bocloud.cmp.provider.powervc4j.api.networking.NetworkingService;
import com.bocloud.cmp.provider.powervc4j.api.networking.PortService;
import com.bocloud.cmp.provider.powervc4j.api.networking.SubnetService;

;

/**
 * 网络服务API实现类
 * 
 * @author sxp
 * @since Mar 21, 2018
 */
public class NetworkingServiceImpl implements NetworkingService {

    @Override
    public NetworkService network(PowervcConstant.Version version) {
        return Apis.get(NetworkService.class, version);
    }

    @Override
    public SubnetService subnet(PowervcConstant.Version version) {
        return Apis.get(SubnetService.class, version);
    }

    @Override
    public PortService port(PowervcConstant.Version version) {
        return Apis.get(PortService.class, version);
    }

}
