package com.bocloud.cmp.provider.powervc4j.model.compute;

/**
 * 云主机的操作
 * 
 * @author sxp
 * @since Mar 30, 2018
 */
public enum ServerAction {
    START("os-start"), STOP("os-stop"), LIVE_MIGRATE("os-migrateLive"), CONFIRM_RESIZE("confirmResize"), REVERT_RESIZE(
            "revertResize"), CREATE_IMAGE("createImage");

    private String url;

    ServerAction(String url) {
        this.url = url;
    }

    public String getUrl() {
        return url;
    }


}
