package com.bocloud.cmp.provider.sdk;

import java.util.List;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.qingcloud.sdk.exception.QCException;
import com.qingcloud.sdk.service.InstanceService.DescribeInstanceTypesInput;

/**
 * 重写青云 规格查询INPUT (青云原有的 DescribeInstanceTypesInput 不支持分页查询)
 * 
 * @author ymh
 * @时间 2019年11月1日
 */
public class QcloudDescribeInstanceTypesInput extends DescribeInstanceTypesInput {

    private List<String> instanceTypes;

    @JsonProperty(value = "instance_types")
    public void setInstanceTypes(List<String> instanceTypes) {
        this.instanceTypes = instanceTypes;
    }

    private Integer limit;

    @JsonProperty(value = "limit")
    public void setLimit(Integer limit) {
        this.limit = limit;
    }

    @JsonProperty(value = "limit")
    public Integer getLimit() {
        return this.limit;
    }

    private Integer offset;

    @JsonProperty(value = "offset")
    public void setOffset(Integer offset) {
        this.offset = offset;
    }

    @JsonProperty(value = "offset")
    public Integer getOffset() {
        return this.offset;
    }

    @JsonProperty(value = "instance_types")
    public List<String> getInstanceTypes() {
        return this.instanceTypes;
    }

    public String validateParam() throws QCException {
        return null;
    }
}