package com.bocloud.cmp.provider.v63.common;

import com.bocloud.cmp.model.Butler;
import com.bocloud.cmp.provider.common.AuthProvider;
import com.bocloud.cmp.provider.SangforProvider;
import com.bocloud.common.annotations.Provider;
import com.bocloud.common.model.BocloudResult;

@Provider("bocloud.cmp.sangfor.v63")
public class SangforAuthProvider extends SangforProvider implements AuthProvider {
    public SangforAuthProvider(Butler butler) {
        super(butler);
    }

    @Override
    public boolean accessable() {
        return super.accessable();
    }

    @Override
    public BocloudResult auth() {
        BocloudResult result = getToken();
        if (result.isSuccess()) {
            return new BocloudResult(true, "认证成功");
        }
        return new BocloudResult(false, "认证失败");
    }
}
