package com.bocloud.cmp.provider.v68;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.bocloud.cmp.model.Butler;
import com.bocloud.cmp.provider.GenericProvider;
import com.bocloud.cmp.provider.SangforProvider;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.Result;
import org.apache.commons.lang3.StringUtils;

public class SangForProvider68 extends SangforProvider {
    public SangForProvider68(Butler butler) {
        super(butler);
    }

    @Override
    public boolean accessable() {
        Result result = this.doGet("/janus/20180725/system/version", null);
        if (result.isSuccess() && !StringUtils.isEmpty(result.getMessage())) {
            JSONObject returnData = JSON.parseObject(result.getMessage());
            if (null != returnData && returnData.getInteger("code") == 0) {
                return true;
            }
        }
        return false;
    }
}
