package com.bocloud.cmp.provider.smart.sdk.constant;

public class Constant {

    public static final String HEADER_TOKEN_V2 = "X-SmartX-Token";
    public static final String HEADER_TOKEN_V3 = "Grpc-Metadata-Token";
    public static final String RESPONSE_EOK = "EOK";

    public static final String URL_SESSION = "/api/v3/sessions";

    public static final String URL_CLUSTERS = "/api/v3/clusters";
    public static final String URL_CLUSTER = "/api/v3/clusters/%s";

    public static final String URL_CLUSTER_STORAGE = "/api/v2/cluster/storage";
    public static final String URL_COMPUTE_SUMMARY = "/api/v2/compute/summary";
    public static final String URL_METRICS_QUERY = "/api/v3/metrics:query";

    public static final String URL_HOSTS = "/api/v2/management/hosts";
    public static final String URL_HOST_CHANGE_HOSTNAME = "/api/v2/management/host/%s/change_hostname";

    public static final String URL_VMS = "/api/v2/vms";
    public static final String URL_VM = "/api/v2/vms/%s";
    public static final String URL_VM_START = "/api/v2/vms/%s/start";
    public static final String URL_VM_PAUSE = "/api/v2/vms/%s/pause";
    public static final String URL_VM_RESUME = "/api/v2/vms/%s/resume";
    public static final String URL_VM_REBOOT = "/api/v2/vms/%s/reboot";
    public static final String URL_VM_STOP = "/api/v2/vms/%s/stop";
    public static final String URL_VM_MIGRATE = "/api/v2/vms/%s/migrate";
    public static final String URL_VM_CLONE = "/api/v2/vms/%s/clone";
    public static final String URL_VM_AS_VM_TEMPLATE = "/api/v2/vms/%s/as_vm_template";

    public static final String URL_VM_TEMPLATES = "/api/v2/vm_templates";
    public static final String URL_VM_TEMPLATE = "/api/v2/vm_templates/%s";
    public static final String URL_VM_TEMPLATE_AS_VM = "/api/v2/vm_templates/%s/as_vm";
    public static final String URL_VM_TEMPLATE_CREATE_VM = "/api/v2/vm_templates/%s/vm_create";
    public static final String URL_VM_TEMPLATE_CREATE_VMS = "/api/v2/vm_templates/%s/create_vms";

    public static final String URL_VM_SNAPSHOTS = "/api/v2/vm_snapshots";
    public static final String URL_VM_SNAPSHOT = "/api/v2/vm_snapshots/%s";
    public static final String URL_VM_SNAPSHOT_ROLLBACK = "/api/v2/vm_snapshots/%s/rollback";
    public static final String URL_VM_SNAPSHOT_REBUILD = "/api/v2/vm_snapshots/%s/rebuild";

    public static final String URL_VOLUMES = "/api/v2/volumes";
    public static final String URL_VOLUME = "/api/v2/volumes/%s";
    public static final String URL_VOLUME_CLONE = "/api/v2/volumes/%s/clone";

    public static final String URL_VOLUME_SNAPSHOTS = "/api/v2/volume_snapshots";
    public static final String URL_VOLUME_SNAPSHOT = "/api/v2/volume_snapshots/%s";
    public static final String URL_VOLUME_SNAPSHOT_ROLLBACK = "/api/v2/volume_snapshots/%s/rollback";
    public static final String URL_VOLUME_SNAPSHOT_REBUILD = "/api/v2/volume_snapshots/%s/rebuild";

    public static final String URL_IMAGES = "/api/v2/images";
    public static final String URL_IMAGE = "/api/v2/images/%s";
    public static final String URL_IMAGE_STATS = "/api/v2/images/%s/stats";
    public static final String URL_IMAGE_UPLOAD = "/api/v2/images/upload";
    public static final String URL_IMAGE_UPLOAD_VOLUME = "/api/v2/images/upload/volume";

    public static final String URL_FOLDERS = "/api/v2/folders";
    public static final String URL_FOLDER = "/api/v2/folders/%s";

    public static final String URL_AVAILABLE_NICS = "/api/v2/network/available_nics";

    public static final String URL_VDSES = "/api/v2/network/vds";
    public static final String URL_VDS = "/api/v2/network/vds/%s";
    public static final String URL_VDS_VLANS = "/api/v2/network/vds/%s/vlans";
    public static final String URL_VDS_VLAN = "/api/v2/network/vds/%s/vlans/%s";
    public static final String URL_VDS_VLAN_AVAILABLE_IPS = "/api/v2/network/vds/%s/vlans/%s/filter_available_ips";
    public static final String URL_VDS_VLAN_AVAILABLE_STATS = "/api/v2/network/vds/%s/vlans/%s/stats";

    public static final String URL_STORAGE_POLICIES = "/api/v2/storage_policies";
    public static final String URL_STORAGE_POLICY = "/api/v2/storage_policies/%s";

    public static final String URL_JOBS = "/api/v2/jobs";
    public static final String URL_JOB = "/api/v2/jobs/%s";



    public static final String DEFAULT_VM_SNAPSHOT_CONSISTENT_TYPE = "crash_consistent";

    public static final String METRIC_CLUSTER_CPU_USAGE_PERCENT = "cluster_cpu_usage_percent";
    public static final String METRIC_CLUSTER_MEMORY_USAGE_PERCENT = "cluster_memory_usage_percent";

}
