package com.bocloud.cmp.provider.smart.sdk.convert;

import com.bocloud.cmp.provider.smart.sdk.model.HostModel;

import java.util.List;
import java.util.stream.Collectors;

public class HostNicConvert {

    public List<com.bocloud.cmp.model.NetworkCardModel> convert(List<HostModel.Nic> params) {
        return params.stream().map(this::convert).collect(Collectors.toList());
    }

    public com.bocloud.cmp.model.NetworkCardModel convert(HostModel.Nic params) {
        com.bocloud.cmp.model.NetworkCardModel result = new com.bocloud.cmp.model.NetworkCardModel();
        result.setNetworkcardUuid(params.getHwaddr());
        result.setName(params.getName());
        result.setMac(params.getHwaddr());
        result.setUsed(params.getRunning());
        result.setIpAddress(params.getIpaddr());
        result.setNetmask(params.getNetmask());
        result.setGateway(params.getGateway());
        result.setVlan(params.getVlan());
        result.setMtu(params.getMtu());
        result.setSpeed(params.getSpeed());
        result.setIsPrimary(params.getIsPhysical());
        return result;
    }
}
