package com.bocloud.cmp.provider.smart.sdk.convert;

import com.bocloud.cmp.model.storage.StorageDiskPartitionModel;
import com.bocloud.cmp.provider.smart.sdk.model.HostModel;

import java.util.List;
import java.util.stream.Collectors;

public class PartitionConvert {

    public List<StorageDiskPartitionModel> convert(List<HostModel.Disk.Partition> params) {
        return params.stream().map(this::convert).collect(Collectors.toList());
    }

    public StorageDiskPartitionModel convert(HostModel.Disk.Partition params) {
        StorageDiskPartitionModel result = new StorageDiskPartitionModel();
        result.setName(params.getName());
        result.setMountPath(params.getPath());
        result.setUsages(params.getUsage());
        result.setSizeByte(params.getSize());
        result.setUsedSizeByte(params.getUsedSize());
        return result;
    }
}
