package com.bocloud.cmp.provider.smart.sdk.convert;

import com.bocloud.cmp.provider.smart.sdk.model.StoragePolicyModel;

import java.util.List;
import java.util.stream.Collectors;

public class StoragePolicyConvert {

    public List<com.bocloud.cmp.model.VolumeTemplateModel> convert(List<StoragePolicyModel> params) {
        return params.stream().map(this::convert).collect(Collectors.toList());
    }

    public com.bocloud.cmp.model.VolumeTemplateModel convert(StoragePolicyModel params) {
        com.bocloud.cmp.model.VolumeTemplateModel result = new com.bocloud.cmp.model.VolumeTemplateModel();
        result.setUuid(params.getUuid());
        result.setName(params.getName());
        result.setStatus(params.getResourceState());
        result.setDescription(params.getDescription());

        result.setReadonly(params.getReadOnly());
        result.setThin(params.getThinProvision());

        result.setReplicaNum(params.getReplicaNum());
        result.setStripeNum(params.getStripeNum());
        result.setStripeSize(params.getStripeSize());

        result.setCreatedTime(params.getCreatedTime());
        result.setModifiedTime(params.getModifiedTime());

        result.setWhitelist(params.getWhitelist());
        return result;
    }
}
