package com.bocloud.cmp.provider.smart.sdk.model;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
public class ImageModel {

    private String uuid;
    private String name;
    private String type;
    private String path;
    private Long size;
    private Long time;
    private String os;
    @JSONField(name = "file_name")
    private String fileName;
    @JSONField(name = "resource_state")
    private String resourceState;
    private String description;

    @JSONField(name = "vm_snapshots_count")
    private Long vmSnapshotsCount;
    @JSONField(name = "vm_templates_count")
    private Long vmTemplatesCount;
    @JSONField(name = "vms_count")
    private Long vmsCount;

}
