package com.bocloud.cmp.provider.smart.sdk.model;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@NoArgsConstructor
public class ImageUploadModel {

    @JSONField(name = "image_uuid")
    private String imageUuid;
    @JSONField(name = "image_path")
    private String imagePath;
    @JSONField(name = "zbs_volume_id")
    private String zbsVolumeId;
    @JSONField(name = "to_upload")
    private List<Long> toUpload;
    @JSONField(name = "chunk_size")
    private Long chunkSize;
    @JSONField(name = "chunk_num")
    private Long chunkNum;

}
