package com.bocloud.cmp.provider.smart.sdk.model;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@NoArgsConstructor
public class PageModel<T> {

    private Long count;
    private List<T> entities;
    @JSONField(name = "filter_criteria")
    private String filterCriteria;
    @JSONField(name = "sort_criteria")
    private String sortCriteria;
    @JSONField(name = "start_uuid")
    private String startUuid;
    @JSONField(name = "end_uuid")
    private String endUuid;
    @JSONField(name = "page_entities")
    private Long pageEntities;
    @JSONField(name = "total_entities")
    private Long totalEntities;
}
