package com.bocloud.cmp.provider.smart.sdk.model;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@NoArgsConstructor
public class StoragePolicyModel {

    private String uuid;
    private String name;
    private String description;
    @JSONField(name = "read_only")
    private Boolean readOnly;
    @JSONField(name = "thin_provision")
    private Boolean thinProvision;
    @JSONField(name = "resource_state")
    private String resourceState;
    @JSONField(name = "storage_pool_id")
    private String storagePoolId;

    @JSONField(name = "replica_num")
    private Long replicaNum;
    @JSONField(name = "stripe_num")
    private Long stripeNum;
    @JSONField(name = "stripe_size")
    private Long stripeSize;

    @JSONField(name = "created_time")
    private Long createdTime;
    @JSONField(name = "modified_time")
    private Long modifiedTime;

    @JSONField(name = "whitelist")
    private String whitelist;
    private List<String> datastores;
}
