package com.bocloud.cmp.provider.smart.sdk.model.create;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
public class ClusterCreateModel {

    @JSONField(name = "management_ip")
    private String managementIp;
    private String role;
    private Authentication authentication;
    @JSONField(name = "ca_crt")
    private String caCrt;

    @Data
    @NoArgsConstructor
    public static class Authentication{

        @JSONField(name = "login_info")
        private LoginInfo loginInfo;

        @Data
        @NoArgsConstructor
        public static class LoginInfo{
            private String username;
            private String password;
        }
    }

}
