package com.bocloud.cmp.provider.smart.sdk.model.create;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
public class StoragePolicyCreateModel {

    private String uuid;
    private String name;
    private String description;
    @JSONField(name = "read_only")
    private Boolean readOnly;
    @JSONField(name = "thin_provision")
    private Boolean thinProvision;
    @JSONField(name = "storage_pool_id")
    private String storagePoolId;

    @JSONField(name = "replica_num")
    private Long replicaNum;
    @JSONField(name = "stripe_num")
    private Long stripeNum;
    @JSONField(name = "stripe_size")
    private Long stripeSize;

    @JSONField(name = "whitelist")
    private String whitelist;
}
