package com.bocloud.cmp.provider.smart.sdk.model.modify;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@NoArgsConstructor
public class VdsModifyModel {

    private String name;
    private String description;
    @JSONField(name = "bond_mode")
    private String bondMode;
    @JSONField(name = "hosts_associated")
    private List<Host> hostsAssociated;

    @Data
    @NoArgsConstructor
    public static class Host {

        @JSONField(name = "host_uuid")
        private String hostUuid;
        @JSONField(name = "data_ip")
        private String dataIp;
        @JSONField(name = "nics_associated")
        private List<String> nicsAssociated;
    }
}
