package com.bocloud.cmp.provider.smart.sdk.session;

import java.util.HashMap;
import java.util.Map;

public class SessionHolder {

    public static final Map<SessionParams, SessionToken> sessionHolder = new HashMap<>();


    public static void clearSession(SessionParams params) {
        sessionHolder.remove(params);
    }

    public static SessionToken getSession(SessionParams params) {
        return sessionHolder.get(params);
    }

    public static SessionToken setSession(SessionParams params, SessionToken token) {
        return sessionHolder.put(params, token);
    }
}
