package com.bocloud.cmp.provider.smart.sdk.session;

import java.util.Objects;

public abstract class SessionParams {

    public abstract String getHost();
    public abstract String getUser();
    public abstract String getPass();

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        SessionParams that = (SessionParams) o;
        return Objects.equals(this.getHost(), that.getHost()) &&
                Objects.equals(this.getUser(), that.getUser());
    }

    @Override
    public int hashCode() {
        return Objects.hash(this.getHost(), this.getUser());
    }
}
