package com.bocloud.cmp.provider.smart.sdk.session;

import com.bocloud.cmp.model.Butler;

public class SessionParamsAdapter extends SessionParams {

    private final Butler butler;

    public SessionParamsAdapter(Butler butler) {
        this.butler = butler;
    }

    @Override
    public String getHost() {
        return butler.getUrl();
    }

    @Override
    public String getUser() {
        return butler.getUsername();
    }

    @Override
    public String getPass() {
        return butler.getPassword();
    }
}
