package com.bocloud.cmp.provider.common;

import com.alibaba.fastjson.JSON;
import com.bocloud.cmp.provider.DefaultSetting;
import com.bocloud.cmp.provider.smart.sdk.api.ClusterApiTest;
import com.bocloud.common.model.BocloudResult;
import org.apache.log4j.Level;
import org.apache.log4j.Logger;
import org.junit.Before;
import org.junit.Test;

public class SmartLocationProviderTest {

    private static final Logger logger = Logger.getLogger(ClusterApiTest.class);

    @Before
    public void before() {
        logger.getLoggerRepository().getLogger("com.bocloud").setLevel(Level.DEBUG);
        System.setProperty("smart.debug", Boolean.TRUE.toString());
    }

    @Test
    public void sync() {
        LocationProvider locationProvider = new SmartLocationProvider(DefaultSetting.butler);
        BocloudResult bocloudResult = locationProvider.sync();
        System.out.println(JSON.toJSONString(bocloudResult));
    }
}