package com.bocloud.cmp.provider.smart.sdk.api;

import com.alibaba.fastjson.JSON;
import com.bocloud.cmp.provider.DefaultSetting;
import com.bocloud.cmp.provider.smart.sdk.model.ClusterModel;
import org.apache.log4j.Level;
import org.apache.log4j.Logger;
import org.junit.Before;
import org.junit.Test;

import java.util.List;

public class ClusterApiTest {

    private static final Logger logger = Logger.getLogger(ClusterApiTest.class);

    @Before
    public void before() {
        logger.getLoggerRepository().getLogger("com.bocloud").setLevel(Level.DEBUG);
        System.setProperty("smart.debug", Boolean.TRUE.toString());
    }

    @Test
    public void list() {
        ClusterApi clusterApi = new ClusterApi(DefaultSetting.SESSION_PARAMS);
        List<ClusterModel> clusterModels = clusterApi.list("FULL");
        System.out.println(JSON.toJSONString(clusterModels));
    }
}