package com.bocloud.cmp.provider.smart.sdk.api;

import com.bocloud.cmp.model.TaskMsgModel;
import com.bocloud.cmp.provider.DefaultSetting;
import com.bocloud.cmp.provider.smart.sdk.convert.JobConvert;
import com.bocloud.cmp.provider.smart.sdk.model.JobModel;
import org.apache.log4j.Level;
import org.apache.log4j.Logger;
import org.junit.Before;
import org.junit.Test;

import java.util.List;

public class JobApiTest {

    private static final Logger logger = Logger.getLogger(ClusterApiTest.class);

    @Before
    public void before() {
        logger.getLoggerRepository().getLogger("com.bocloud").setLevel(Level.DEBUG);
        System.setProperty("smart.debug", Boolean.TRUE.toString());
    }

    @Test
    public void list() {
        JobApi jobApi = new JobApi(DefaultSetting.SESSION_PARAMS);
        List<JobModel> jobModels = jobApi.list();
        JobConvert jobConvert = new JobConvert();
        List<TaskMsgModel> taskMsgModels = jobConvert.convert(jobModels);
        System.out.println(taskMsgModels);
    }

    @Test
    public void get() {
        JobApi jobApi = new JobApi(DefaultSetting.SESSION_PARAMS);
        JobModel jobModel = jobApi.get("BoyunTest1JOB");
        System.out.println(jobModel.getJobId());
    }
}