package com.bocloud.cmp.provider.volmodel;

import lombok.Data;

import java.util.List;

/**
 * @ClassName: Flavor
 * @Description: 规格
 * @Author lxy
 * @Date 2021/9/14 16:37
 */
@Data
public class Flavor {
    //描述
    private String Description;
    private String AccountID;
    private Integer PrivateIpQuota;
    private String Architecture;
    private List<String> ResourceTags;
    private Integer MemMB;
    private Integer NetKppsQuota;
    private Integer NetSessionQuota;
    private String CreatedAt;
    private Integer ClusterNum;
    private Integer Cpu;
    private Integer NetMbpsQuota;
    private Integer BlkIopsQuota;
    private Integer InstanceNum;

    private List<String> Zones;
    private String Compute;
    private List<String> VolumeTypes;
    private String BlkByteSecQuota;
    private MetaData MetaData;
    private Integer PortNumQuota;
    private String TypeFamily;
    private String Visibility;
    private String Id;
    private Boolean Disabled;

}
