package com.bocloud.cmp.provider.volmodel;

import lombok.Data;

import java.util.List;

/**
 * @ClassName: SecurityGroupsDes
 * @Description: 安全组详细描述
 * @Author lxy
 * @Date 2021/9/14 10:54
 */
@Data
public class SecurityGroupsDes {
    //安全组描述信息。  testDescription1
    private String Description;
    //安全组内网络连通策略。Accept：内网互通 Drop：内网隔离
    private String InnerAccessPolicy;
    //安全组权限规则集合
    private List<Permissions> Permissions;
    //请求ID。 2021062415303301022514515207C4****
    private String RequestId;
    //目标安全组ID。 	sg-bp1gxw6bznjjvhu3****
    private String SecurityGroupId;
    //目标安全组名称。 testSecurityGroupName2
    private String SecurityGroupName;
    //VPC的ID。如果返回VPC ID，表示该安全组网络类型为私有网络。否则，表示该安全组网络类型为经典网络。  vpc-bp1opxu1zkhn00gzv****
    private String VpcId;
}
