package com.bocloud.cmp.provider.volmodel;

import lombok.Data;

/**
 * @ClassName: Servers
 * @Description:
 * @Author lxy
 * @Date 2021/10/12 17:05
 */
@Data
public class Servers {
    //后端服务器ID。
    private String ServerId;
    //云服务器实例或网卡的ID。
    private String InstanceId;
    //后端服务器实例类型。● ecs：云服务器实例。● eni：网卡。
    private String Type;
    //后端服务器的权重。
    private String Weight;
    //后端服务器的私网IP地址。
    private String Ip;
    //后端服务器接收请求的端口号。
    private String Port;
    //后端服务器的描述。
    private String Description;
}
