package com.bocloud.cmp.provider.volmodel;

import lombok.Data;

/**
 * @ClassName: VolumeRes
 * @Description: 实例挂载的云盘信息
 * @Author lxy
 * @Date 2021/9/13 10:10
 */
@Data
public class VolumeRes {
    //云盘ID vol-3tiu4lfn5y4l92******
    private String VolumeId;
    //云盘名称 	instance-test-volume-1
    private String VolumeName;
    //云盘类型，取值：PTSSD  	PTSSD
    private String VolumeType;
    //当云盘属性为系统盘时，返回镜像ID，否则返回空字符串。 image-3tefr6wgx63vj0******
    private String ImageId;
    //容量，单位GiB 20
    private String Size;
    //云盘属性，取值：system：系统盘 data：数据盘   system
    private String Kind;
    //云盘状态： attached：已挂载 deleting：删除中  attached
    private String Status;
}
