package com.bocloud.cmp.common.enums;


/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: AwsInstanceType
 * @Description: 仅录入通用型的实例规格
 * @author: zhenpingLi/李振平
 * @date: 2019/10/31 15:12
 */
public enum AwsInstanceType {

    T2_NANO("t2.nano", 1, 0.5),

    T2_MICRO("t2.micro", 1, 1),

    T2_SMALL("t2.small", 1, 2),

    T2_MEDIUM("t2.medium", 2, 4),

    T2_LARGE("t2.large", 2, 8),

    T2_XLARGE("t2.xlarge", 4, 16),

    T2_2_XLARGE("t2.2xlarge", 8, 32),

    T3_NANO("t3.nano", 2, 0.5),

    T3_MICRO("t3.micro", 2, 1),

    T3_SMALL("t3.small", 2, 2),

    T3_MEDIUM("t3.medium", 2, 4),

    T3_LARGE("t3.large", 2, 8),

    T3_XLARGE("t3.xlarge", 4, 16),

    T3_2_XLARGE("t3.2xlarge", 8, 32),

    T3_A_NANO("t3a.nano", 2, 0.5),

    T3_A_MICRO("t3a.micro", 2, 1),

    T3_A_SMALL("t3a.small", 2, 2),

    T3_A_MEDIUM("t3a.medium", 2, 4),

    T3_A_LARGE("t3a.large", 2, 8),

    T3_A_XLARGE("t3a.xlarge", 4, 16),

    T3_A_2_XLARGE("t3a.2xlarge", 8, 32),

    M5_LARGE("m5.large", 2, 8),

    M5_XLARGE("m5.xlarge", 4, 16),

    M5_2_XLARGE("m5.2xlarge", 8, 32),

    M5_4_XLARGE("m5.4xlarge", 16, 64),

    M5_8_XLARGE("m5.8xlarge", 32, 128),

    M5_12_XLARGE("m5.12xlarge", 48, 192),

    M5_16_XLARGE("m5.16xlarge", 64, 256),

    M5_24_XLARGE("m5.24xlarge", 96, 384),

    M5_METAL("m5.metal", 96, 284),

    M5_A_LARGE("m5a.large", 2, 8),

    M5_A_XLARGE("m5a.xlarge", 4, 16),

    M5_A_2_XLARGE("m5a.2xlarge", 8, 32),

    M5_A_4_XLARGE("m5a.4xlarge", 16, 64),

    M5_A_8_XLARGE("m5a.8xlarge", 32, 128),

    M5_A_12_XLARGE("m5a.12xlarge", 48, 192),

    M5_A_16_XLARGE("m5a.16xlarge", 64, 256),

    M5_A_24_XLARGE("m5a.24xlarge", 96, 384),

    M5_D_LARGE("m5d.large", 2, 8),

    M5_D_XLARGE("m5d.xlarge", 4, 16),

    M5_D_2_XLARGE("m5d.2xlarge", 8, 32),

    M5_D_4_XLARGE("m5d.4xlarge", 16, 64),

    M5_D_8_XLARGE("m5d.8xlarge", 32, 128),

    M5_D_12_XLARGE("m5d.12xlarge", 48, 192),

    M5_D_16_XLARGE("m5d.16xlarge", 64, 256),

    M5_D_24_XLARGE("m5d.24xlarge", 96, 384),

    M5_D_METAL("m5d.metal", 96, 384),

    M5_AD_LARGE("m5ad.large", 2, 8),

    M5_AD_XLARGE("m5ad.xlarge", 4, 16),

    M5_AD_2_XLARGE("m5ad.2xlarge", 8, 32),

    M5_AD_4_XLARGE("m5ad.4xlarge", 16, 64),

    M5_AD_12_XLARGE("m5ad.12xlarge", 48, 192),

    M5_AD_24_XLARGE("m5ad.24xlarge", 96, 384),

    A1_MEDIUM("a1.medium", 1, 2),

    A1_LARGE("a1.large", 2, 4),

    A1_XLARGE("a1.xlarge", 4, 8),

    A1_2_XLARGE("a1.2xlarge", 8, 16),

    A1_4_XLARGE("a1.4xlarge", 16, 32),

    A1_METAL("a1.metal", 16, 32),

    M5_DN_LARGE("m5dn.large", 2, 8),

    M5_DN_XLARGE("m5dn.xlarge", 4, 16),

    M5_DN_2_XLARGE("m5dn.2xlarge", 8, 32),

    M5_DN_4_XLARGE("m5dn.4xlarge", 16, 64),

    M5_DN_8_XLARGE("m5dn.8xlarge", 32, 128),

    M5_DN_12_XLARGE("m5dn.12xlarge", 48, 192),

    M5_DN_16_XLARGE("m5dn.16xlarge", 64, 256),

    M5_DN_24_XLARGE("m5dn.24xlarge", 96, 384),

    M5_N_LARGE("m5n.large", 2, 8),

    M5_N_XLARGE("m5n.xlarge", 4, 16),

    M5_N_2_XLARGE("m5n.2xlarge", 8, 32),

    M5_N_4_XLARGE("m5n.4xlarge", 16, 64),

    M5_N_8_XLARGE("m5n.8xlarge", 32, 128),

    M5_N_12_XLARGE("m5n.12xlarge", 48, 192),

    M5_N_16_XLARGE("m5n.16xlarge", 64, 256),

    M5_N_24_XLARGE("m5n.24xlarge", 96, 384),

    M4_LARGE("m4.large", 2, 8),

    M4_XLARGE("m4.xlarge", 4, 16),

    M4_2_XLARGE("m4.2xlarge", 8, 32),

    M4_4_XLARGE("m4.4xlarge", 16, 64),

    M4_10_XLARGE("m4.10xlarge", 40, 160),

    M4_16_XLARGE("m4.16xlarge", 64, 256);


    private final String value;
    private final int vcpu;
    private final double memory;

    AwsInstanceType(String value, int vcpu, double memory) {
        this.value = value;
        this.vcpu = vcpu;
        this.memory = memory;
    }


    public String getValue() {
        return value;
    }

    public int getVcpu() {
        return vcpu;
    }

    public double getMemory() {
        return memory;
    }
}
