package com.bocloud.cmp.provider.config;

import org.openstack4j.model.identity.v2.Access;
import org.openstack4j.model.identity.v3.Token;

/**
 * easystack v2和v3两个版本的认证信息
 */
public class AccessToken {

    private Access access;
    private Token token;

    /**
     * 构造方法
     *
     * @param access
     * @param token
     */
    public AccessToken(Access access, Token token) {
        super();
        this.access = access;
        this.token = token;
    }

    /**
     * @return the access
     */
    public Access getAccess() {
        return access;
    }

    /**
     * @param access the access to set
     */
    public void setAccess(Access access) {
        this.access = access;
    }

    /**
     * @return the token
     */
    public Token getToken() {
        return token;
    }

    /**
     * @param token the token to set
     */
    public void setToken(Token token) {
        this.token = token;
    }

}
