package com.bocloud.cmp.common.model;

/**
 * 华为私有云认证实体类
 * 
 * @author wangyu
 * @version 1.0
 * @since 2018年9月16日
 *
 */
public class FusionCloudAuth {

	private FusionCloudIdentity identity;
	private FusionCloudScope scope;

	/**
	 * 
	 */
	public FusionCloudAuth() {
		super();
	}

	/**
	 * @param identity
	 * @param scope
	 */
	public FusionCloudAuth(FusionCloudIdentity identity, FusionCloudScope scope) {
		super();
		this.identity = identity;
		this.scope = scope;
	}

	/**
	 * @return the identity
	 */
	public FusionCloudIdentity getIdentity() {
		return identity;
	}

	/**
	 * @param identity
	 *            the identity to set
	 */
	public void setIdentity(FusionCloudIdentity identity) {
		this.identity = identity;
	}

	/**
	 * @return the scope
	 */
	public FusionCloudScope getScope() {
		return scope;
	}

	/**
	 * @param scope
	 *            the scope to set
	 */
	public void setScope(FusionCloudScope scope) {
		this.scope = scope;
	}

}
