package com.bocloud.cmp.common.model;

public class FusionCloudUser {

	private String id;
	//《ManageOne 6.5.1 OTenantSecurity服务API参考》4.9.2 获取用户token：用户名称
	private String name;
	//《ManageOne 6.5.1 OTenantSecurity服务API参考》4.9.2 获取用户token：用户登录时的密码
	private String password;
    //《ManageOne 6.5.1 OTenantSecurity服务API参考》4.9.2 获取用户token：用户所属的企业帐户名称
	private FusionCloudDomain domain;

	/**
	 * 
	 */
	public FusionCloudUser() {
		super();
	}

	/**
	 * @param name
	 * @param password
	 * @param domain
	 */
	public FusionCloudUser(String name, String password, FusionCloudDomain domain) {
		super();
		this.name = name;
		this.password = password;
		this.domain = domain;
	}

	/**
	 * @return the id
	 */
	public String getId() {
		return id;
	}

	/**
	 * @param id
	 *            the id to set
	 */
	public void setId(String id) {
		this.id = id;
	}

	/**
	 * @return the name
	 */
	public String getName() {
		return name;
	}

	/**
	 * @param name
	 *            the name to set
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * @return the password
	 */
	public String getPassword() {
		return password;
	}

	/**
	 * @param password
	 *            the password to set
	 */
	public void setPassword(String password) {
		this.password = password;
	}

	/**
	 * @return the domain
	 */
	public FusionCloudDomain getDomain() {
		return domain;
	}

	/**
	 * @param domain
	 *            the domain to set
	 */
	public void setDomain(FusionCloudDomain domain) {
		this.domain = domain;
	}

}
