package com.bocloud.cmp.convertor;

import com.alibaba.fastjson.JSONObject;
import com.bocloud.cmp.model.fusionsphere.HostPortModel;
import com.bocloud.cmp.provider.convertor.BeanJsonConvertor;

/**
 * @ClassName: HostPortConvertor
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2021/11/2 12:10
 */
public class HostPortConvertor implements BeanJsonConvertor<HostPortModel> {

    @Override
    public HostPortModel convertModel(JSONObject object) {
        HostPortModel model = new HostPortModel();
        model.setPortUuid(object.getString("urn"));
        model.setUri(object.getString("uri"));
        model.setFlag(object.getInteger("flag"));
        model.setName(object.getString("name"));
        model.setIsUsed(object.getString("isUsed"));
        model.setBindStatus(object.getString("bindStatus"));
        model.setStatus(object.getString("status"));
        model.setSpeed(object.getInteger("speed"));
        model.setStrategy(object.getString("strategy"));
        model.setNicUid(object.getInteger("nicId"));
        model.setNicName(object.getString("nicName"));
        model.setNicType(object.getString("nicType"));
        model.setNicMode(object.getString("nicMode"));
        model.setSystemIntfNum(object.getInteger("systemIntfNum"));
        model.setDvsName(object.getString("dvsName"));
        model.setDvsUuid(object.getString("dvsUrn"));
        model.setNicSpeed(object.getInteger("nicSpeed"));
        model.setDriverMode(object.getString("driverMode"));
        model.setNumaNode(object.getInteger("numaNode"));
        return model;
    }

}