package com.bocloud.cmp.convertor;

import com.alibaba.fastjson.JSONObject;
import com.bocloud.cmp.model.VDCModel;
import com.bocloud.cmp.provider.convertor.BeanJsonConvertor;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: SiteConvertor
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2021/10/14 14:22
 */
public class VdcConvertor implements BeanJsonConvertor<VDCModel> {

    @Override
    public VDCModel convertModel(JSONObject object) {
        VDCModel model = new VDCModel();
        model.setVdcVal(object.getString("urn"));
        model.setUri(object.getString("uri"));
        model.setName(object.getString("name"));
        model.setIp(object.getString("ip"));
        model.setIsDc(object.getBoolean("isDC"));
        model.setIsSelf(object.getBoolean("isSelf"));
        model.setStatus(object.getString("status"));
        model.setMgntNetworkType(object.getString("mgntNetworkType"));
        return model;
    }
}