package com.bocloud.cmp.provider.common;

import com.bocloud.cmp.model.Butler;
import com.bocloud.cmp.provider.HmcDispatcherProvider;
import com.bocloud.common.annotations.Provider;
import com.bocloud.common.model.BocloudResult;

@Provider("bocloud.cmp.hmc")
public class HmcAuthProvider extends HmcDispatcherProvider implements AuthProvider {

    public HmcAuthProvider(Butler butler) {
        super(butler);
    }

    @Override
    public BocloudResult auth() {
        return super.getHmcProviderImpl(AuthProvider.class, this.getClass()).auth();
    }

    @Override
    public BocloudResult removeAuthFromMemory(String endpoint, String username) {
        return super.getHmcProviderImpl(AuthProvider.class, this.getClass()).removeAuthFromMemory(endpoint, username);
    }
}
