package com.bocloud.cmp.provider.hmc;

import com.bocloud.cmp.model.Butler;
import com.bocloud.cmp.model.hmc.HmcHostEthernetAdapterModel;
import com.bocloud.cmp.provider.HmcDispatcherProvider;
import com.bocloud.common.annotations.Provider;
import com.bocloud.common.model.BocloudResult;

@Provider("bocloud.cmp.hmc")
public class HmcHEAProvider extends HmcDispatcherProvider implements HEAProvider {

    public HmcHEAProvider(Butler bulter) {
        super(bulter);
    }

    @Override
    public BocloudResult updatePhysicalPorts(HmcHostEthernetAdapterModel hmcHostEthernetAdapter, String serverUuid, String heaUuid) {
        return getHmcProviderImpl(HEAProvider.class, this.getClass()).updatePhysicalPorts(hmcHostEthernetAdapter, serverUuid, heaUuid);
    }
}
