package com.bocloud.cmp.provider.hmc.sdk.enums;

/**
 * 逻辑分区快速查询属性
 * 
 * @author sxp
 * @since May 9, 2018
 */
public enum LogicalPartitionQuickProperty {
    // The virtual service attention LED state
    IsVirtualServiceAttentionLEDOn,

    // The state of the partition's migration operation
    MigrationState,

    // The progress state of the partition's hibernation operation
    ProgressState,

    // The partition environment, as an enumeration key (e.g. 'AIX_LINUX',
    // 'OS_400', etc.).
    PartitionType,

    // The name of the partition
    PartitionName,

    // The integer ID of the partition
    PartitionID,

    // The state of the partition
    PartitionState,

    // The state of the partition's Remote Restart operation
    RemoteRestartState,

    // The REST URI of the partition's parent Managed System
    AssociatedManagedSystem,

    // The state of the partition's Resource Monitoring Control (RMC)
    // connection.
    RMCState,

    // The power management mode
    PowerManagementMode;
}
