package com.bocloud.cmp.provider.hmc.sdk.enums;

/**
 * Quick properties of Managed System
 * 
 * @author sxp
 * @since May 8, 2018
 */
public enum ManagedSystemQuickProperty {
    // Fetch current state of the system.
    State,

    // Fetch name of the system.
    SystemName,

    // IP Address of the system.
    IPAddress,

    // System Machine type, Model and Serial number
    MTMS,

    // LED state of the system
    PhysicalSystemAttentionLEDState,

    // Fetch memory defragmentation state of the system
    MemoryDefragmentationState;

}
