package com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.common;

import com.alibaba.fastjson.JSON;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import java.util.List;

/**
 * 控制台信息返回结果
 *
 * @author sxp
 * @since May 4, 2018
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "feed")
public class V7ManagementConsoleResponse extends V7EntryBase {
    @XmlElement(name = "entry")
    private List<V7ManagementConsoleEntry> entries;

    public V7ManagementConsoleResponse() {
    }

    public List<V7ManagementConsoleEntry> getEntries() {
        return entries;
    }

    public void setEntries(List<V7ManagementConsoleEntry> entries) {
        this.entries = entries;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this, true);
    }

}
