package com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.job;

import com.bocloud.cmp.provider.hmc.sdk.model.HmcSdkConstant;
import com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.common.V7Metadata;

import javax.xml.bind.annotation.*;
import java.util.List;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "JobParameters")
public class V7JobParameters {
    @XmlAttribute
    private String schemaVersion = HmcSdkConstant.SCHEMA_VERSION_V10;

    @XmlElement(name = "Metadata")
    private V7Metadata metadata;

    @XmlElement(name = "JobParameter")
    private List<V7JobParameter> jobParameters;

    public V7JobParameters() {
    }

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public V7Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(V7Metadata metadata) {
        this.metadata = metadata;
    }

    public List<V7JobParameter> getJobParameters() {
        return jobParameters;
    }

    public void setJobParameters(List<V7JobParameter> jobParameters) {
        this.jobParameters = jobParameters;
    }

    @Override
    public String toString() {
        return "JobParameters [metadata=" + metadata + ", jobParameters=" + jobParameters + "]";
    }
}
