package com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.common.V7Metadata;

import javax.xml.bind.annotation.*;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "AssociatedSystemVirtualNetwork")
public class V7AssociatedSystemVirtualNetwork {

    @XmlAttribute(name = "schemaVersion")
    private String schemaVersion;

    @XmlAttribute(name = "group")
    private String group;

    @XmlElement(name = "Metadata")
    private V7Metadata metadata;

    @XmlElement(name = "VirtualEthernetAdapterMACAddressPrefix")
    private String virtualEthernetAdapterMACAddressPrefix;

    @XmlElement(name = "VirtualSwitches")
    private V7VirtualSwitches virtualSwitches;

    public V7AssociatedSystemVirtualNetwork() {
    }

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public String getGroup() {
        return group;
    }

    public void setGroup(String group) {
        this.group = group;
    }

    public V7Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(V7Metadata metadata) {
        this.metadata = metadata;
    }

    public String getVirtualEthernetAdapterMACAddressPrefix() {
        return virtualEthernetAdapterMACAddressPrefix;
    }

    public void setVirtualEthernetAdapterMACAddressPrefix(String virtualEthernetAdapterMACAddressPrefix) {
        this.virtualEthernetAdapterMACAddressPrefix = virtualEthernetAdapterMACAddressPrefix;
    }

    public V7VirtualSwitches getVirtualSwitches() {
        return virtualSwitches;
    }

    public void setVirtualSwitches(V7VirtualSwitches virtualSwitches) {
        this.virtualSwitches = virtualSwitches;
    }

    @Override
    public String toString() {
        return "AssociatedSystemVirtualNetwork [metadata=" + metadata + ", virtualEthernetAdapterMACAddressPrefix="
                + virtualEthernetAdapterMACAddressPrefix + "]";
    }

}
