package com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.module;

import javax.xml.bind.annotation.*;

/**
 * 基本输入输出系统
 *
 * @author sxp
 * @since May 4, 2018
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "BIOS")
public class V7BIOS {
    @XmlAttribute
    private String ksv;

    @XmlAttribute
    private String kb;

    @XmlAttribute
    private String kxe;

    @XmlValue
    private String value;

    public V7BIOS() {
    }

    public String getKsv() {
        return ksv;
    }

    public void setKsv(String ksv) {
        this.ksv = ksv;
    }

    public String getKb() {
        return kb;
    }

    public void setKb(String kb) {
        this.kb = kb;
    }

    public String getKxe() {
        return kxe;
    }

    public void setKxe(String kxe) {
        this.kxe = kxe;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    @Override
    public String toString() {
        return "BIOS [ksv=" + ksv + ", kb=" + kb + ", kxe=" + kxe + ", value=" + value + "]";
    }

}
