package com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.HmcSdkConstant;
import com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.common.V7Metadata;

import javax.xml.bind.annotation.*;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "HostEthernetAdapterPortGroup")
public class V7HostEthernetAdapterPortGroup {
    @XmlAttribute
    private String schemaVersion = HmcSdkConstant.SCHEMA_VERSION_V10;

    @XmlElement(name = "Metadata")
    private V7Metadata metadata;

    @XmlElement(name = "PortGroupID")
    private String portGroupID;

    @XmlElement(name = "CurrentMultiCoreScaling")
    private String currentMultiCoreScaling;

    @XmlElement(name = "PendingMultiCoreScaling")
    private String pendingMultiCoreScaling;

    @XmlElement(name = "SupportedMultiCoreScalingValues")
    private String supportedMultiCoreScalingValues;

    @XmlElement(name = "LogicalPorts")
    private V7LogicalPorts logicalPorts;

    @XmlElement(name = "PhysicalPorts")
    private V7PhysicalPorts physicalPorts;

    public V7Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(V7Metadata metadata) {
        this.metadata = metadata;
    }

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public String getPortGroupID() {
        return portGroupID;
    }

    public void setPortGroupID(String portGroupID) {
        this.portGroupID = portGroupID;
    }

    public String getCurrentMultiCoreScaling() {
        return currentMultiCoreScaling;
    }

    public void setCurrentMultiCoreScaling(String currentMultiCoreScaling) {
        this.currentMultiCoreScaling = currentMultiCoreScaling;
    }

    public String getPendingMultiCoreScaling() {
        return pendingMultiCoreScaling;
    }

    public void setPendingMultiCoreScaling(String pendingMultiCoreScaling) {
        this.pendingMultiCoreScaling = pendingMultiCoreScaling;
    }

    public String getSupportedMultiCoreScalingValues() {
        return supportedMultiCoreScalingValues;
    }

    public void setSupportedMultiCoreScalingValues(String supportedMultiCoreScalingValues) {
        this.supportedMultiCoreScalingValues = supportedMultiCoreScalingValues;
    }

    public V7LogicalPorts getLogicalPorts() {
        return logicalPorts;
    }

    public void setLogicalPorts(V7LogicalPorts logicalPorts) {
        this.logicalPorts = logicalPorts;
    }

    public V7PhysicalPorts getPhysicalPorts() {
        return physicalPorts;
    }

    public void setPhysicalPorts(V7PhysicalPorts physicalPorts) {
        this.physicalPorts = physicalPorts;
    }

}
