package com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.common.V7Metadata;

import javax.xml.bind.annotation.*;
import java.util.List;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "IOAdapters")
public class V7IOAdapters {

    @XmlAttribute(name = "schemaVersion")
    private String schemaVersion;

    @XmlElement(name = "Metadata")
    private V7Metadata metadata;

    @XmlElement(name = "IOAdapterChoice")
    private List<V7IOAdapterChoice> iOAdapterChoice;

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public V7IOAdapters() {
    }

    public V7Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(V7Metadata metadata) {
        this.metadata = metadata;
    }

    public List<V7IOAdapterChoice> getiOAdapterChoice() {
        return iOAdapterChoice;
    }

    public void setiOAdapterChoice(List<V7IOAdapterChoice> iOAdapterChoice) {
        this.iOAdapterChoice = iOAdapterChoice;
    }

    @Override
    public String toString() {
        return "IOAdapters [metadata=" + metadata + ", iOAdapterChoice=" + iOAdapterChoice + "]";
    }

}
