package com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.HmcSdkConstant;
import com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.common.V7Metadata;

import javax.xml.bind.annotation.*;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "IOConfigurationInstance")
public class V7IOConfigurationInstance {
    @XmlAttribute
    private String schemaVersion = HmcSdkConstant.SCHEMA_VERSION_V10;

    @XmlElement(name = "Metadata")
    private V7Metadata metadata;

    @XmlElement(name = "MaximumVirtualIOSlots")
    private String maximumVirtualIoSlots;

    @XmlElement(name = "ProfileIOSlots")
    private V7ProfileIOSlots profileIoSlots;

    @XmlElement(name = "ProfileVirtualIOAdapters")
    private V7ProfileVirtualIOAdapters profileVirtualIoAdapters;

    @XmlElement(name = "VirtualOpticonnectPool")
    private String virtualOpticonnectPool;

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public V7Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(V7Metadata metadata) {
        this.metadata = metadata;
    }

    public String getMaximumVirtualIoSlots() {
        return maximumVirtualIoSlots;
    }

    public void setMaximumVirtualIoSlots(String maximumVirtualIoSlots) {
        this.maximumVirtualIoSlots = maximumVirtualIoSlots;
    }

    public V7ProfileIOSlots getProfileIoSlots() {
        return profileIoSlots;
    }

    public void setProfileIoSlots(V7ProfileIOSlots profileIoSlots) {
        this.profileIoSlots = profileIoSlots;
    }

    public V7ProfileVirtualIOAdapters getProfileVirtualIoAdapters() {
        return profileVirtualIoAdapters;
    }

    public void setProfileVirtualIoAdapters(V7ProfileVirtualIOAdapters profileVirtualIoAdapters) {
        this.profileVirtualIoAdapters = profileVirtualIoAdapters;
    }

    public String getVirtualOpticonnectPool() {
        return virtualOpticonnectPool;
    }

    public void setVirtualOpticonnectPool(String virtualOpticonnectPool) {
        this.virtualOpticonnectPool = virtualOpticonnectPool;
    }

}
