package com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.HmcSdkConstant;
import com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.common.V7Metadata;

import javax.xml.bind.annotation.*;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "LoadGroup")
public class V7LoadGroup {

    @XmlAttribute
    private String schemaVersion = HmcSdkConstant.SCHEMA_VERSION_V10;

    @XmlElement(name = "Metadata")
    private V7Metadata metadata;

    @XmlElement(name = "TrunkAdapters")
    private V7TrunkAdapters TrunkAdapters;

    @XmlElement(name = "VirtualNetworks")
    private V7VirtualNetworks VirtualNetworks;

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public V7Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(V7Metadata metadata) {
        this.metadata = metadata;
    }

    public V7TrunkAdapters getTrunkAdapters() {
        return TrunkAdapters;
    }

    public void setTrunkAdapters(V7TrunkAdapters trunkAdapters) {
        TrunkAdapters = trunkAdapters;
    }

    public V7VirtualNetworks getVirtualNetworks() {
        return VirtualNetworks;
    }

    public void setVirtualNetworks(V7VirtualNetworks virtualNetworks) {
        VirtualNetworks = virtualNetworks;
    }
}
