package com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.module;

import javax.xml.bind.annotation.*;

/**
 * 查询指定逻辑分区的content节点
 *
 * @author sxp
 * @since May 8, 2018
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "content")
public class V7LogicalPartitionContent {
    @XmlAttribute
    private String type;

    @XmlElement(name = "LogicalPartition")
    private V7LogicalPartition logicalPartition;

    public V7LogicalPartitionContent() {
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public V7LogicalPartition getLogicalPartition() {
        return logicalPartition;
    }

    public void setLogicalPartition(V7LogicalPartition logicalPartition) {
        this.logicalPartition = logicalPartition;
    }

    @Override
    public String toString() {
        return "LogicalPartitionContent [type=" + type + ", logicalPartition=" + logicalPartition + "]";
    }

}
