package com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.HmcSdkConstant;
import com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.common.V7Metadata;

import javax.xml.bind.annotation.*;
import java.util.List;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "LogicalPorts")
public class V7LogicalPorts {
    @XmlAttribute
    private String schemaVersion = HmcSdkConstant.SCHEMA_VERSION_V10;

    @XmlElement(name = "Metadata")
    private V7Metadata metadata;

    @XmlElement(name = "HostEthernetAdapterLogicalPort")
    private List<V7HostEthernetAdapterLogicalPort> hostEthernetAdapterLogicalPort;

    public V7LogicalPorts() {
    }

    public V7Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(V7Metadata metadata) {
        this.metadata = metadata;
    }

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public List<V7HostEthernetAdapterLogicalPort> getHostEthernetAdapterLogicalPort() {
        return hostEthernetAdapterLogicalPort;
    }

    public void setHostEthernetAdapterLogicalPort(List<V7HostEthernetAdapterLogicalPort> hostEthernetAdapterLogicalPort) {
        this.hostEthernetAdapterLogicalPort = hostEthernetAdapterLogicalPort;
    }

    @Override
    public String toString() {
        return "LogicalPorts [metadata=" + metadata + ", hostEthernetAdapterLogicalPort="
                + hostEthernetAdapterLogicalPort + "]";
    }

}
