package com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.HmcSdkConstant;
import com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.common.V7Metadata;

import javax.xml.bind.annotation.*;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "ManagedSystemPcmPreference")
public class V7ManagedSystemPcmPreference {
    @XmlAttribute
    private String schemaVersion = HmcSdkConstant.SCHEMA_VERSION_V10;

    @XmlElement(name = "Metadata")
    private V7Metadata metadata;

    @XmlElement(name = "SystemName")
    private String systemName;

    @XmlElement(name = "MachineTypeModelSerialNumber")
    private V7MachineTypeModelSerialNumber machineTypeModelSerialNumber;

    @XmlElement(name = "LongTermMonitorEnabled")
    private String longTermMonitorEnabled;

    @XmlElement(name = "AggregationEnabled")
    private String aggregationEnabled;

    @XmlElement(name = "ShortTermMonitorEnabled")
    private String shortTermMonitorEnabled;

    @XmlElement(name = "ComputeLTMEnabled")
    private String computeLTMEnabled;

    @XmlElement(name = "AssociatedManagedSystem")
    private String associatedManagedSystem;

    public V7ManagedSystemPcmPreference() {
    }

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public V7Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(V7Metadata metadata) {
        this.metadata = metadata;
    }

    public String getSystemName() {
        return systemName;
    }

    public void setSystemName(String systemName) {
        this.systemName = systemName;
    }

    public V7MachineTypeModelSerialNumber getMachineTypeModelSerialNumber() {
        return machineTypeModelSerialNumber;
    }

    public void setMachineTypeModelSerialNumber(V7MachineTypeModelSerialNumber machineTypeModelSerialNumber) {
        this.machineTypeModelSerialNumber = machineTypeModelSerialNumber;
    }

    public String getLongTermMonitorEnabled() {
        return longTermMonitorEnabled;
    }

    public void setLongTermMonitorEnabled(String longTermMonitorEnabled) {
        this.longTermMonitorEnabled = longTermMonitorEnabled;
    }

    public String getAggregationEnabled() {
        return aggregationEnabled;
    }

    public void setAggregationEnabled(String aggregationEnabled) {
        this.aggregationEnabled = aggregationEnabled;
    }

    public String getShortTermMonitorEnabled() {
        return shortTermMonitorEnabled;
    }

    public void setShortTermMonitorEnabled(String shortTermMonitorEnabled) {
        this.shortTermMonitorEnabled = shortTermMonitorEnabled;
    }

    public String getComputeLTMEnabled() {
        return computeLTMEnabled;
    }

    public void setComputeLTMEnabled(String computeLTMEnabled) {
        this.computeLTMEnabled = computeLTMEnabled;
    }

    public String getAssociatedManagedSystem() {
        return associatedManagedSystem;
    }

    public void setAssociatedManagedSystem(String associatedManagedSystem) {
        this.associatedManagedSystem = associatedManagedSystem;
    }

    @Override
    public String toString() {
        return "ManagedSystemPcmPreference [metadata=" + metadata + ", systemName=" + systemName
                + ", machineTypeModelSerialNumber=" + machineTypeModelSerialNumber + ", longTermMonitorEnabled="
                + longTermMonitorEnabled + ", aggregationEnabled=" + aggregationEnabled + ", shortTermMonitorEnabled="
                + shortTermMonitorEnabled + ", computeLTMEnabled=" + computeLTMEnabled + ", associatedManagedSystem="
                + associatedManagedSystem + "]";
    }
}
