package com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.common.V7EntryBase;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "entry")
public class V7PcmEntry extends V7EntryBase implements Comparable<V7PcmEntry> {
    private String updated;
    private V7Category category;

    public V7PcmEntry() {
    }

    public String getUpdated() {
        return updated;
    }

    public void setUpdated(String updated) {
        this.updated = updated;
    }

    public V7Category getCategory() {
        return category;
    }

    public void setCategory(V7Category category) {
        this.category = category;
    }

    @Override
    public int compareTo(V7PcmEntry o) {
        return this.updated.compareTo(o.getUpdated());
    }
}
