package com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.HmcSdkConstant;
import com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.common.V7Metadata;

import javax.xml.bind.annotation.*;
import java.util.List;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "PhysicalVolumes")
public class V7PhysicalVolumes {
    @XmlAttribute
    private String group;

    @XmlAttribute
    private String schemaVersion = HmcSdkConstant.SCHEMA_VERSION_V10;

    @XmlElement(name = "Metadata")
    private V7Metadata metadata;

    @XmlElement(name = "PhysicalVolume")
    private List<V7PhysicalVolume> physicalVolumeList;

    public String getGroup() {
        return group;
    }

    public void setGroup(String group) {
        this.group = group;
    }

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public V7Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(V7Metadata metadata) {
        this.metadata = metadata;
    }

    /**
     * @return the physicalVolumeList
     */
    public List<V7PhysicalVolume> getPhysicalVolumeList() {
        return physicalVolumeList;
    }

    /**
     * @param physicalVolumeList the physicalVolumeList to set
     */
    public void setPhysicalVolumeList(List<V7PhysicalVolume> physicalVolumeList) {
        this.physicalVolumeList = physicalVolumeList;
    }

}
