package com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.HmcSdkConstant;
import com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.common.V7Metadata;

import javax.xml.bind.annotation.*;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "ProfileMemory")
public class V7ProfileMemory {
    @XmlAttribute
    private String schemaVersion = HmcSdkConstant.SCHEMA_VERSION_V10;

    @XmlElement(name = "Metadata")
    private V7Metadata metadata;

    @XmlElement(name = "ActiveMemoryExpansionEnabled")
    private String activeMemoryExpansionEnabled;

    @XmlElement(name = "ActiveMemorySharingEnabled")
    private String activeMemorySharingEnabled;

    @XmlElement(name = "BarrierSynchronizationRegisterArrayCount")
    private String barrierSynchronizationRegisterArrayCount;

    @XmlElement(name = "DesiredHugePageCount")
    private String desiredHugePageCount;

    @XmlElement(name = "DesiredMemory")
    private String desiredMemory;

    @XmlElement(name = "HardwarePageTableRatio")
    private String hardwarePageTableRatio;

    @XmlElement(name = "MaximumHugePageCount")
    private String maximumHugePageCount;

    @XmlElement(name = "MaximumMemory")
    private String maximumMemory;

    @XmlElement(name = "MinimumHugePageCount")
    private String minimumHugePageCount;

    @XmlElement(name = "MinimumMemory")
    private String minimumMemory;

    public V7ProfileMemory() {
    }

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public V7Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(V7Metadata metadata) {
        this.metadata = metadata;
    }

    public String getActiveMemoryExpansionEnabled() {
        return activeMemoryExpansionEnabled;
    }

    public void setActiveMemoryExpansionEnabled(String activeMemoryExpansionEnabled) {
        this.activeMemoryExpansionEnabled = activeMemoryExpansionEnabled;
    }

    public String getActiveMemorySharingEnabled() {
        return activeMemorySharingEnabled;
    }

    public void setActiveMemorySharingEnabled(String activeMemorySharingEnabled) {
        this.activeMemorySharingEnabled = activeMemorySharingEnabled;
    }

    public String getBarrierSynchronizationRegisterArrayCount() {
        return barrierSynchronizationRegisterArrayCount;
    }

    public void setBarrierSynchronizationRegisterArrayCount(String barrierSynchronizationRegisterArrayCount) {
        this.barrierSynchronizationRegisterArrayCount = barrierSynchronizationRegisterArrayCount;
    }

    public String getDesiredHugePageCount() {
        return desiredHugePageCount;
    }

    public void setDesiredHugePageCount(String desiredHugePageCount) {
        this.desiredHugePageCount = desiredHugePageCount;
    }

    public String getDesiredMemory() {
        return desiredMemory;
    }

    public void setDesiredMemory(String desiredMemory) {
        this.desiredMemory = desiredMemory;
    }

    public String getHardwarePageTableRatio() {
        return hardwarePageTableRatio;
    }

    public void setHardwarePageTableRatio(String hardwarePageTableRatio) {
        this.hardwarePageTableRatio = hardwarePageTableRatio;
    }

    public String getMaximumHugePageCount() {
        return maximumHugePageCount;
    }

    public void setMaximumHugePageCount(String maximumHugePageCount) {
        this.maximumHugePageCount = maximumHugePageCount;
    }

    public String getMaximumMemory() {
        return maximumMemory;
    }

    public void setMaximumMemory(String maximumMemory) {
        this.maximumMemory = maximumMemory;
    }

    public String getMinimumHugePageCount() {
        return minimumHugePageCount;
    }

    public void setMinimumHugePageCount(String minimumHugePageCount) {
        this.minimumHugePageCount = minimumHugePageCount;
    }

    public String getMinimumMemory() {
        return minimumMemory;
    }

    public void setMinimumMemory(String minimumMemory) {
        this.minimumMemory = minimumMemory;
    }

    @Override
    public String toString() {
        return "ProfileMemory [metadata=" + metadata + ", activeMemoryExpansionEnabled=" + activeMemoryExpansionEnabled
                + ", activeMemorySharingEnabled=" + activeMemorySharingEnabled
                + ", barrierSynchronizationRegisterArrayCount=" + barrierSynchronizationRegisterArrayCount
                + ", desiredHugePageCount=" + desiredHugePageCount + ", desiredMemory=" + desiredMemory
                + ", hardwarePageTableRatio=" + hardwarePageTableRatio + ", maximumHugePageCount="
                + maximumHugePageCount + ", maximumMemory=" + maximumMemory + ", minimumHugePageCount="
                + minimumHugePageCount + ", minimumMemory=" + minimumMemory + "]";
    }

}
