package com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.HmcSdkConstant;
import com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.common.V7Metadata;

import javax.xml.bind.annotation.*;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "UserObjectModelVersion")
public class V7UserObjectModelVersion {
    @XmlAttribute
    private String kb;

    @XmlAttribute
    private String kxe;

    @XmlAttribute
    private String schemaVersion = HmcSdkConstant.SCHEMA_VERSION_V10;

    @XmlElement(name = "Metadata")
    private V7Metadata metadata;

    @XmlElement(name = "MinorVersion")
    private V7MinorVersion minorVersion;

    @XmlElement(name = "SchemaNamespace")
    private V7SchemaNamespace schemaNamespace;

    public V7UserObjectModelVersion() {
    }

    public String getKb() {
        return kb;
    }

    public void setKb(String kb) {
        this.kb = kb;
    }

    public String getKxe() {
        return kxe;
    }

    public void setKxe(String kxe) {
        this.kxe = kxe;
    }

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public V7Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(V7Metadata metadata) {
        this.metadata = metadata;
    }

    public V7MinorVersion getMinorVersion() {
        return minorVersion;
    }

    public void setMinorVersion(V7MinorVersion minorVersion) {
        this.minorVersion = minorVersion;
    }

    public V7SchemaNamespace getSchemaNamespace() {
        return schemaNamespace;
    }

    public void setSchemaNamespace(V7SchemaNamespace schemaNamespace) {
        this.schemaNamespace = schemaNamespace;
    }

    @Override
    public String toString() {
        return "UserObjectModelVersion [kb=" + kb + ", kxe=" + kxe + ", schemaVersion=" + schemaVersion + ", metadata="
                + metadata + ", minorVersion=" + minorVersion + ", schemaNamespace=" + schemaNamespace + "]";
    }

}
