package com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.HmcSdkConstant;
import com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.common.V7Metadata;

import javax.xml.bind.annotation.*;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "VirtualFibreChannelMapping")
public class V7VirtualFibreChannelMapping {
    @XmlAttribute(name = "schemaVersion")
    private String schemaVersion = HmcSdkConstant.SCHEMA_VERSION_V10;

    @XmlElement(name = "Metadata")
    private V7Metadata metadata;

    @XmlElement(name = "AssociatedLogicalPartition")
    private V7Link associatedLogicalPartition;

    @XmlElement(name = "ClientAdapter")
    private V7ClientAdapter clientAdapter;

    @XmlElement(name = "Port")
    private V7Port port;

    @XmlElement(name = "ServerAdapter")
    private V7ServerAdapter serverAdapter;

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public V7Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(V7Metadata metadata) {
        this.metadata = metadata;
    }

    public V7Link getAssociatedLogicalPartition() {
        return associatedLogicalPartition;
    }

    public void setAssociatedLogicalPartition(V7Link associatedLogicalPartition) {
        this.associatedLogicalPartition = associatedLogicalPartition;
    }

    public V7ClientAdapter getClientAdapter() {
        return clientAdapter;
    }

    public void setClientAdapter(V7ClientAdapter clientAdapter) {
        this.clientAdapter = clientAdapter;
    }

    public V7Port getPort() {
        return port;
    }

    public void setPort(V7Port port) {
        this.port = port;
    }

    public V7ServerAdapter getServerAdapter() {
        return serverAdapter;
    }

    public void setServerAdapter(V7ServerAdapter serverAdapter) {
        this.serverAdapter = serverAdapter;
    }

}
