package com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.module;

import com.alibaba.fastjson.JSONObject;
import com.bocloud.cmp.provider.hmc.sdk.model.HmcSdkConstant;
import com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.common.V7Metadata;

import javax.xml.bind.annotation.*;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "VirtualMediaRepository")
public class V7VirtualMediaRepository {

    @XmlAttribute
    private String schemaVersion = HmcSdkConstant.SCHEMA_VERSION_V10;

    @XmlElement(name = "Metadata")
    private V7Metadata metadata;

    @XmlElement(name = "OpticalMedia")
    private V7OpticalMedia opticalMedia;
    /**
     * VMLibrary
     */
    @XmlElement(name = "RepositoryName")
    private String repositoryName;
    /**
     * 20
     * <p>
     * GB单位
     */
    @XmlElement(name = "RepositorySize")
    private String repositorySize;

    /**
     * @return the schemaVersion
     */
    public String getSchemaVersion() {
        return schemaVersion;
    }

    /**
     * @param schemaVersion the schemaVersion to set
     */
    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    /**
     * @return the metadata
     */
    public V7Metadata getMetadata() {
        return metadata;
    }

    /**
     * @param metadata the metadata to set
     */
    public void setMetadata(V7Metadata metadata) {
        this.metadata = metadata;
    }

    /**
     * @return the opticalMedia
     */
    public V7OpticalMedia getOpticalMedia() {
        return opticalMedia;
    }

    /**
     * @param opticalMedia the opticalMedia to set
     */
    public void setOpticalMedia(V7OpticalMedia opticalMedia) {
        this.opticalMedia = opticalMedia;
    }

    /**
     * @return the repositoryName
     */
    public String getRepositoryName() {
        return repositoryName;
    }

    /**
     * @param repositoryName the repositoryName to set
     */
    public void setRepositoryName(String repositoryName) {
        this.repositoryName = repositoryName;
    }

    /**
     * @return the repositorySize
     */
    public String getRepositorySize() {
        return repositorySize;
    }

    /**
     * @param repositorySize the repositorySize to set
     */
    public void setRepositorySize(String repositorySize) {
        this.repositorySize = repositorySize;
    }

    public V7VirtualMediaRepository() {
    }

    @Override
    public String toString() {
        return JSONObject.toJSONString(this);
    }

}
