package com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.module;

import com.alibaba.fastjson.JSON;
import com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.common.V7ResponseBase;

import javax.xml.bind.annotation.*;
import java.util.List;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "feed")
public class V7VirtualNetworkBridgeResponse extends V7ResponseBase {
    @XmlAttribute
    private String xmlns;

    @XmlElement(name = "entry")
    private List<V7VirtualNetworkBridgeEntry> entries;

    public V7VirtualNetworkBridgeResponse() {
    }

    public String getXmlns() {
        return xmlns;
    }

    public void setXmlns(String xmlns) {
        this.xmlns = xmlns;
    }

    public List<V7VirtualNetworkBridgeEntry> getEntries() {
        return entries;
    }

    public void setEntries(List<V7VirtualNetworkBridgeEntry> entries) {
        this.entries = entries;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }

}
