package com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.module;

import com.alibaba.fastjson.JSON;
import com.bocloud.cmp.provider.hmc.sdk.model.v7.sdk.common.V7EntryBase;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * VirtualSwitchEntryV7
 *
 * @author lkx
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "entry")
public class V7VirtualSwitchEntry extends V7EntryBase {

    private V7VirtualSwitchContent content;

    /**
     * @return the content
     */
    public V7VirtualSwitchContent getContent() {
        return content;
    }

    /**
     * @param content the content to set
     */
    public void setContent(V7VirtualSwitchContent content) {
        this.content = content;
    }

    public V7VirtualSwitchEntry() {
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }

}
