package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.common;

import com.alibaba.fastjson.JSONObject;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * 原子
 *
 * @author sxp
 * @since May 3, 2018
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "Atom")
public class V8Atom {
    @XmlElement(name = "AtomID")
    private String atomId;

    @XmlElement(name = "AtomCreated")
    private String atomCreated;

    public V8Atom() {
    }

    public String getAtomId() {
        return atomId;
    }

    public void setAtomId(String atomId) {
        this.atomId = atomId;
    }

    public String getAtomCreated() {
        return atomCreated;
    }

    public void setAtomCreated(String atomCreated) {
        this.atomCreated = atomCreated;
    }

    @Override
    public String toString() {
        return JSONObject.toJSONString(this);
    }

}
