package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.common;

import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module.V8Author;
import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module.V8Link;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import java.util.List;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "EntryBase")
public class V8EntryBase {
    @XmlAttribute
    private String xmlns;
    protected String id;
    protected String title;
    protected String published;
    protected List<V8Link> link;
    protected V8Author author;

    public V8EntryBase() {
    }

    public String getXmlns() {
        return xmlns;
    }

    public void setXmlns(String xmlns) {
        this.xmlns = xmlns;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getPublished() {
        return published;
    }

    public void setPublished(String published) {
        this.published = published;
    }

    public List<V8Link> getLink() {
        return link;
    }

    public void setLink(List<V8Link> link) {
        this.link = link;
    }

    public V8Author getAuthor() {
        return author;
    }

    public void setAuthor(V8Author author) {
        this.author = author;
    }

}
