package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.common;

import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module.V8Author;
import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module.V8Link;
import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module.V8MCEntryContent;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * 指定唯一标识的控制台信息
 *
 * @author sxp
 * @since May 4, 2018
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "entry")
public class V8ManagementConsoleEntry {
    private String id;
    private String title;
    private String published;
    private V8Link link;
    private V8Author author;
    private V8MCEntryContent content;

    public V8ManagementConsoleEntry() {
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getPublished() {
        return published;
    }

    public void setPublished(String published) {
        this.published = published;
    }

    public V8Link getLink() {
        return link;
    }

    public void setLink(V8Link link) {
        this.link = link;
    }

    public V8Author getAuthor() {
        return author;
    }

    public void setAuthor(V8Author author) {
        this.author = author;
    }

    public V8MCEntryContent getContent() {
        return content;
    }

    public void setContent(V8MCEntryContent content) {
        this.content = content;
    }

    @Override
    public String toString() {
        return "ManagementConsoleEntry [id=" + id + ", title=" + title + ", published=" + published + ", link=" + link
                + ", author=" + author + ", content=" + content + "]";
    }

}
