package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.HmcSdkConstant;
import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.common.V8Metadata;

/**
 * 客户端网络适配器ForUpdate
 *
 * @author sxp
 * @since Jun 28, 2018
 */
public class V8ClientNetworkAdapterForUpdate {
    private String schemaVersion = HmcSdkConstant.SCHEMA_VERSION_V120;

    private V8Metadata metadata;

    private String dynamicReconfigurationConnectorName;

    private String locationCode;

    private String requiredAdapter;

    private String variedOn;

    private String virtualSlotNumber;

    private String macAddress;

    /**
     * 端口虚拟以太网（VLAN 标识）
     */
    private String portVlanId;

    private String qualityOfServicePriorityEnabled;

    private String taggedVlanSupported;

    private V8AssociatedVirtualSwitch associatedVirtualSwitch;

    private String virtualSwitchID;

    private V8VirtualNetworks virtualNetworks;

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public V8Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(V8Metadata metadata) {
        this.metadata = metadata;
    }

    public String getDynamicReconfigurationConnectorName() {
        return dynamicReconfigurationConnectorName;
    }

    public void setDynamicReconfigurationConnectorName(String dynamicReconfigurationConnectorName) {
        this.dynamicReconfigurationConnectorName = dynamicReconfigurationConnectorName;
    }

    public String getLocationCode() {
        return locationCode;
    }

    public void setLocationCode(String locationCode) {
        this.locationCode = locationCode;
    }

    public String getRequiredAdapter() {
        return requiredAdapter;
    }

    public void setRequiredAdapter(String requiredAdapter) {
        this.requiredAdapter = requiredAdapter;
    }

    public String getVariedOn() {
        return variedOn;
    }

    public void setVariedOn(String variedOn) {
        this.variedOn = variedOn;
    }

    public String getVirtualSlotNumber() {
        return virtualSlotNumber;
    }

    public void setVirtualSlotNumber(String virtualSlotNumber) {
        this.virtualSlotNumber = virtualSlotNumber;
    }

    public String getMacAddress() {
        return macAddress;
    }

    public void setMacAddress(String macAddress) {
        this.macAddress = macAddress;
    }

    public String getPortVlanId() {
        return portVlanId;
    }

    public void setPortVlanId(String portVlanId) {
        this.portVlanId = portVlanId;
    }

    public String getQualityOfServicePriorityEnabled() {
        return qualityOfServicePriorityEnabled;
    }

    public void setQualityOfServicePriorityEnabled(String qualityOfServicePriorityEnabled) {
        this.qualityOfServicePriorityEnabled = qualityOfServicePriorityEnabled;
    }

    public String getTaggedVlanSupported() {
        return taggedVlanSupported;
    }

    public void setTaggedVlanSupported(String taggedVlanSupported) {
        this.taggedVlanSupported = taggedVlanSupported;
    }

    public V8AssociatedVirtualSwitch getAssociatedVirtualSwitch() {
        return associatedVirtualSwitch;
    }

    public void setAssociatedVirtualSwitch(V8AssociatedVirtualSwitch associatedVirtualSwitch) {
        this.associatedVirtualSwitch = associatedVirtualSwitch;
    }

    public String getVirtualSwitchID() {
        return virtualSwitchID;
    }

    public void setVirtualSwitchID(String virtualSwitchID) {
        this.virtualSwitchID = virtualSwitchID;
    }

    public V8VirtualNetworks getVirtualNetworks() {
        return virtualNetworks;
    }

    public void setVirtualNetworks(V8VirtualNetworks virtualNetworks) {
        this.virtualNetworks = virtualNetworks;
    }

}
