package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.common.V8Metadata;

import javax.xml.bind.annotation.*;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "EnergyManagementConfiguration")
public class V8EnergyManagementConfiguration {

    @XmlAttribute(name = "ksv")
    private String ksv;

    @XmlAttribute(name = "schemaVersion")
    private String schemaVersion;

    @XmlElement(name = "Metadata")
    private V8Metadata metadata;

    @XmlElement(name = "CurrentPowerSavingMode")
    private V8CurrentPowerSavingMode currentPowerSavingMode;

    @XmlElement(name = "RequiredPowerSavingMode")
    private V8RequiredPowerSavingMode requiredPowerSavingMode;

    public V8Metadata getMetadata() {
        return metadata;
    }

    public String getKsv() {
        return ksv;
    }

    public void setKsv(String ksv) {
        this.ksv = ksv;
    }

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public void setMetadata(V8Metadata metadata) {
        this.metadata = metadata;
    }

    public V8CurrentPowerSavingMode getCurrentPowerSavingMode() {
        return currentPowerSavingMode;
    }

    public void setCurrentPowerSavingMode(V8CurrentPowerSavingMode currentPowerSavingMode) {
        this.currentPowerSavingMode = currentPowerSavingMode;
    }

    public V8RequiredPowerSavingMode getRequiredPowerSavingMode() {
        return requiredPowerSavingMode;
    }

    public void setRequiredPowerSavingMode(V8RequiredPowerSavingMode requiredPowerSavingMode) {
        this.requiredPowerSavingMode = requiredPowerSavingMode;
    }
}
