package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.HmcSdkConstant;
import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.common.V8Metadata;

import javax.xml.bind.annotation.*;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "FreeIOAdaptersForLinkAggregation")
public class V8FreeIOAdaptersForLinkAggregation {
    @XmlAttribute(name = "group")
    private String group;

    @XmlAttribute(name = "schemaVersion")
    private String schemaVersion = HmcSdkConstant.SCHEMA_VERSION_V120;

    @XmlElement(name = "Metadata")
    private V8Metadata metadata;

    @XmlElement(name = "IOAdapterChoice")
    private V8IOAdapterChoice ioAdapterChoice;

    public String getGroup() {
        return group;
    }

    public void setGroup(String group) {
        this.group = group;
    }

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public V8Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(V8Metadata metadata) {
        this.metadata = metadata;
    }

    public V8IOAdapterChoice getIoAdapterChoice() {
        return ioAdapterChoice;
    }

    public void setIoAdapterChoice(V8IOAdapterChoice ioAdapterChoice) {
        this.ioAdapterChoice = ioAdapterChoice;
    }

}
