package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.common.V8EntryBase;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * 指定的主机以太网适配器服务(V8)
 *
 * @author sxp
 * @since May 15, 2018
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "entry")
public class V8HostEthernetAdapterEntry extends V8EntryBase {
    private V8HostEthernetAdapterContent content;

    public V8HostEthernetAdapterEntry() {
    }

    public V8HostEthernetAdapterContent getContent() {
        return content;
    }

    public void setContent(V8HostEthernetAdapterContent content) {
        this.content = content;
    }

}
