package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.HmcSdkConstant;
import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.common.V8Metadata;

import javax.xml.bind.annotation.*;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "HostEthernetAdapterLogicalPort")
public class V8HostEthernetAdapterLogicalPort {
    @XmlAttribute
    private String schemaVersion = HmcSdkConstant.SCHEMA_VERSION_V120;

    @XmlElement(name = "Metadata")
    private V8Metadata metadata;

    @XmlElement(name = "AdapterID")
    private String adapterID;

    @XmlElement(name = "DynamicReconfigurationConnectorName")
    private String dynamicReconfigurationConnectorName;

    @XmlElement(name = "AllowedOSMACAddresses")
    private String allowedOSMACAddresses;

    @XmlElement(name = "AllowedVLANIDs")
    private String allowedVLANIDs;

    @XmlElement(name = "LogicalPortID")
    private String logicalPortID;

    @XmlElement(name = "MACAddress")
    private String mACAddress;

    @XmlElement(name = "MACAddressDirectives")
    private String mACAddressDirectives;

    @XmlElement(name = "PartitionLink")
    private V8Link PartitionLink;

    @XmlElement(name = "PhysicalPortID")
    private String physicalPortID;

    @XmlElement(name = "PortGroupID")
    private String portGroupID;

    @XmlElement(name = "PortState")
    private String portState;

    @XmlElement(name = "HEALogicalPortPhysicalLocation")
    private String hEALogicalPortPhysicalLocation;

    public V8HostEthernetAdapterLogicalPort() {
    }

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public V8Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(V8Metadata metadata) {
        this.metadata = metadata;
    }

    public String getAdapterID() {
        return adapterID;
    }

    public void setAdapterID(String adapterID) {
        this.adapterID = adapterID;
    }

    public String getDynamicReconfigurationConnectorName() {
        return dynamicReconfigurationConnectorName;
    }

    public void setDynamicReconfigurationConnectorName(String dynamicReconfigurationConnectorName) {
        this.dynamicReconfigurationConnectorName = dynamicReconfigurationConnectorName;
    }

    public String getAllowedVLANIDs() {
        return allowedVLANIDs;
    }

    public void setAllowedVLANIDs(String allowedVLANIDs) {
        this.allowedVLANIDs = allowedVLANIDs;
    }

    public String getLogicalPortID() {
        return logicalPortID;
    }

    public void setLogicalPortID(String logicalPortID) {
        this.logicalPortID = logicalPortID;
    }

    public String getmACAddress() {
        return mACAddress;
    }

    public void setmACAddress(String mACAddress) {
        this.mACAddress = mACAddress;
    }

    public String getmACAddressDirectives() {
        return mACAddressDirectives;
    }

    public void setmACAddressDirectives(String mACAddressDirectives) {
        this.mACAddressDirectives = mACAddressDirectives;
    }

    public V8Link getPartitionLink() {
        return PartitionLink;
    }

    public void setPartitionLink(V8Link partitionLink) {
        PartitionLink = partitionLink;
    }

    public String getPhysicalPortID() {
        return physicalPortID;
    }

    public void setPhysicalPortID(String physicalPortID) {
        this.physicalPortID = physicalPortID;
    }

    public String getPortGroupID() {
        return portGroupID;
    }

    public void setPortGroupID(String portGroupID) {
        this.portGroupID = portGroupID;
    }

    public String getPortState() {
        return portState;
    }

    public void setPortState(String portState) {
        this.portState = portState;
    }

    public String gethEALogicalPortPhysicalLocation() {
        return hEALogicalPortPhysicalLocation;
    }

    public void sethEALogicalPortPhysicalLocation(String hEALogicalPortPhysicalLocation) {
        this.hEALogicalPortPhysicalLocation = hEALogicalPortPhysicalLocation;
    }

    public String getAllowedOSMACAddresses() {
        return allowedOSMACAddresses;
    }

    public void setAllowedOSMACAddresses(String allowedOSMACAddresses) {
        this.allowedOSMACAddresses = allowedOSMACAddresses;
    }

    @Override
    public String toString() {
        return "HostEthernetAdapterLogicalPort [metadata=" + metadata + ", adapterID=" + adapterID
                + ", dynamicReconfigurationConnectorName=" + dynamicReconfigurationConnectorName + ", allowedVLANIDs="
                + allowedVLANIDs + ", logicalPortID=" + logicalPortID + ", mACAddress=" + mACAddress
                + ", mACAddressDirectives=" + mACAddressDirectives + ", PartitionLink=" + PartitionLink
                + ", physicalPortID=" + physicalPortID + ", portGroupID=" + portGroupID + ", portState=" + portState
                + ", hEALogicalPortPhysicalLocation=" + hEALogicalPortPhysicalLocation + "]";
    }

}
