package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.HmcSdkConstant;
import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.common.V8Metadata;

import javax.xml.bind.annotation.*;
import java.util.List;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "HostEthernetAdapterLogicalPorts")
public class V8HostEthernetAdapterLogicalPorts {
    @XmlAttribute
    private String schemaVersion = HmcSdkConstant.SCHEMA_VERSION_V120;

    @XmlElement(name = "Metadata")
    private V8Metadata metadata;

    @XmlElement(name = "HostEthernetAdapterLogicalPort")
    private List<V8HostEthernetAdapterLogicalPort> hostEthernetAdapterLogicalPortList;

    public V8HostEthernetAdapterLogicalPorts() {
    }

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public V8Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(V8Metadata metadata) {
        this.metadata = metadata;
    }

    public List<V8HostEthernetAdapterLogicalPort> getHostEthernetAdapterLogicalPortList() {
        return hostEthernetAdapterLogicalPortList;
    }

    public void setHostEthernetAdapterLogicalPortList(
            List<V8HostEthernetAdapterLogicalPort> hostEthernetAdapterLogicalPortList) {
        this.hostEthernetAdapterLogicalPortList = hostEthernetAdapterLogicalPortList;
    }

}
