package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module;

import com.alibaba.fastjson.JSON;
import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.common.V8ResponseBase;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import java.util.List;

/**
 * 主机以太网适配器服务(V8)
 *
 * @author sxp
 * @since May 15, 2018
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "feed")
public class V8HostEthernetAdapterResponse extends V8ResponseBase {

    @XmlElement(name = "entry")
    private List<V8HostEthernetAdapterEntry> entries;

    public V8HostEthernetAdapterResponse() {
    }

    public List<V8HostEthernetAdapterEntry> getEntries() {
        return entries;
    }

    public void setEntries(List<V8HostEthernetAdapterEntry> entries) {
        this.entries = entries;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this, true);
    }

}
