package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.common.V8Metadata;

import javax.xml.bind.annotation.*;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "IOBus")
public class V8IOBus {

    @XmlAttribute(name = "schemaVersion")
    private String schemaVersion;

    @XmlElement(name = "Metadata")
    private V8Metadata metadata;

    @XmlElement(name = "BackplanePhysicalLocation")
    private String backplanePhysicalLocation;

    @XmlElement(name = "BusDynamicReconfigurationConnectorIndex")
    private String busDynamicReconfigurationConnectorIndex;

    @XmlElement(name = "BusDynamicReconfigurationConnectorName")
    private String busDynamicReconfigurationConnectorName;

    @XmlElement(name = "IOBusID")
    private String ioBusID;

    @XmlElement(name = "IOSlots")
    private V8IOSlots ioSlots;

    public V8IOBus() {
    }

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public V8Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(V8Metadata metadata) {
        this.metadata = metadata;
    }

    public String getBackplanePhysicalLocation() {
        return backplanePhysicalLocation;
    }

    public void setBackplanePhysicalLocation(String backplanePhysicalLocation) {
        this.backplanePhysicalLocation = backplanePhysicalLocation;
    }

    public String getBusDynamicReconfigurationConnectorIndex() {
        return busDynamicReconfigurationConnectorIndex;
    }

    public void setBusDynamicReconfigurationConnectorIndex(String busDynamicReconfigurationConnectorIndex) {
        this.busDynamicReconfigurationConnectorIndex = busDynamicReconfigurationConnectorIndex;
    }

    public String getBusDynamicReconfigurationConnectorName() {
        return busDynamicReconfigurationConnectorName;
    }

    public void setBusDynamicReconfigurationConnectorName(String busDynamicReconfigurationConnectorName) {
        this.busDynamicReconfigurationConnectorName = busDynamicReconfigurationConnectorName;
    }

    public String getIoBusID() {
        return ioBusID;
    }

    public void setIoBusID(String ioBusID) {
        this.ioBusID = ioBusID;
    }

    public V8IOSlots getIoSlots() {
        return ioSlots;
    }

    public void setIoSlots(V8IOSlots ioSlots) {
        this.ioSlots = ioSlots;
    }

    @Override
    public String toString() {
        return "IOBus [metadata=" + metadata + ", backplanePhysicalLocation=" + backplanePhysicalLocation
                + ", busDynamicReconfigurationConnectorIndex=" + busDynamicReconfigurationConnectorIndex
                + ", busDynamicReconfigurationConnectorName=" + busDynamicReconfigurationConnectorName + ", ioBusID="
                + ioBusID + ", ioSlots=" + ioSlots + "]";
    }

}
