package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.HmcSdkConstant;
import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.common.V8Metadata;

import javax.xml.bind.annotation.*;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "IOConfigurationInstance")
public class V8IOConfigurationInstance {
    @XmlAttribute
    private String schemaVersion = HmcSdkConstant.SCHEMA_VERSION_V120;

    @XmlElement(name = "Metadata")
    private V8Metadata metadata;

    @XmlElement(name = "MaximumVirtualIOSlots")
    private String maximumVirtualIoSlots;

    @XmlElement(name = "ProfileIOSlots")
    private V8ProfileIOSlots profileIoSlots;

    @XmlElement(name = "ProfileVirtualIOAdapters")
    private V8ProfileVirtualIOAdapters profileVirtualIoAdapters;

    @XmlElement(name = "VirtualOpticonnectPool")
    private String virtualOpticonnectPool;

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public V8Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(V8Metadata metadata) {
        this.metadata = metadata;
    }

    public String getMaximumVirtualIoSlots() {
        return maximumVirtualIoSlots;
    }

    public void setMaximumVirtualIoSlots(String maximumVirtualIoSlots) {
        this.maximumVirtualIoSlots = maximumVirtualIoSlots;
    }

    public V8ProfileIOSlots getProfileIoSlots() {
        return profileIoSlots;
    }

    public void setProfileIoSlots(V8ProfileIOSlots profileIoSlots) {
        this.profileIoSlots = profileIoSlots;
    }

    public V8ProfileVirtualIOAdapters getProfileVirtualIoAdapters() {
        return profileVirtualIoAdapters;
    }

    public void setProfileVirtualIoAdapters(V8ProfileVirtualIOAdapters profileVirtualIoAdapters) {
        this.profileVirtualIoAdapters = profileVirtualIoAdapters;
    }

    public String getVirtualOpticonnectPool() {
        return virtualOpticonnectPool;
    }

    public void setVirtualOpticonnectPool(String virtualOpticonnectPool) {
        this.virtualOpticonnectPool = virtualOpticonnectPool;
    }

}
