package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.common.V8Metadata;

import javax.xml.bind.annotation.*;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "IOSlot")
public class V8IOSlot {

    @XmlAttribute(name = "schemaVersion")
    private String schemaVersion;

    @XmlElement(name = "Metadata")
    private V8Metadata metadata;

    @XmlElement(name = "BusGroupingRequired")
    private String busGroupingRequired;

    @XmlElement(name = "Description")
    private String description;

    @XmlElement(name = "IOUnitPhysicalLocation")
    private String iOUnitPhysicalLocation;

    @XmlElement(name = "PCAdapterID")
    private String pCAdapterID;

    @XmlElement(name = "PCIClass")
    private String pCIClass;

    @XmlElement(name = "PCIDeviceID")
    private String pCIDeviceID;

    @XmlElement(name = "PCISubsystemDeviceID")
    private String pCISubsystemDeviceID;

    @XmlElement(name = "PCIManufacturerID")
    private String pCIManufacturerID;

    @XmlElement(name = "PCIRevisionID")
    private String pCIRevisionID;

    @XmlElement(name = "PCIVendorID")
    private String pCIVendorID;

    @XmlElement(name = "PCISubsystemVendorID")
    private String pCISubsystemVendorID;

    @XmlElement(name = "RelatedIBMiIOSlot")
    private V8RelatedIBMiIOSlot relatedIBMiIOSlot;

    @XmlElement(name = "RelatedIOAdapter")
    private V8RelatedIOAdapter relatedIOAdapter;

    @XmlElement(name = "SlotDynamicReconfigurationConnectorIndex")
    private String slotDynamicReconfigurationConnectorIndex;

    @XmlElement(name = "SlotDynamicReconfigurationConnectorName")
    private String slotDynamicReconfigurationConnectorName;

    @XmlElement(name = "SlotPhysicalLocationCode")
    private String slotPhysicalLocationCode;

    public V8IOSlot() {
    }

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public V8Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(V8Metadata metadata) {
        this.metadata = metadata;
    }

    public String getBusGroupingRequired() {
        return busGroupingRequired;
    }

    public void setBusGroupingRequired(String busGroupingRequired) {
        this.busGroupingRequired = busGroupingRequired;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getiOUnitPhysicalLocation() {
        return iOUnitPhysicalLocation;
    }

    public void setiOUnitPhysicalLocation(String iOUnitPhysicalLocation) {
        this.iOUnitPhysicalLocation = iOUnitPhysicalLocation;
    }

    public String getpCAdapterID() {
        return pCAdapterID;
    }

    public void setpCAdapterID(String pCAdapterID) {
        this.pCAdapterID = pCAdapterID;
    }

    public String getpCIClass() {
        return pCIClass;
    }

    public void setpCIClass(String pCIClass) {
        this.pCIClass = pCIClass;
    }

    public String getpCIDeviceID() {
        return pCIDeviceID;
    }

    public void setpCIDeviceID(String pCIDeviceID) {
        this.pCIDeviceID = pCIDeviceID;
    }

    public String getpCISubsystemDeviceID() {
        return pCISubsystemDeviceID;
    }

    public void setpCISubsystemDeviceID(String pCISubsystemDeviceID) {
        this.pCISubsystemDeviceID = pCISubsystemDeviceID;
    }

    public String getpCIManufacturerID() {
        return pCIManufacturerID;
    }

    public void setpCIManufacturerID(String pCIManufacturerID) {
        this.pCIManufacturerID = pCIManufacturerID;
    }

    public String getpCIRevisionID() {
        return pCIRevisionID;
    }

    public void setpCIRevisionID(String pCIRevisionID) {
        this.pCIRevisionID = pCIRevisionID;
    }

    public String getpCIVendorID() {
        return pCIVendorID;
    }

    public void setpCIVendorID(String pCIVendorID) {
        this.pCIVendorID = pCIVendorID;
    }

    public String getpCISubsystemVendorID() {
        return pCISubsystemVendorID;
    }

    public void setpCISubsystemVendorID(String pCISubsystemVendorID) {
        this.pCISubsystemVendorID = pCISubsystemVendorID;
    }

    public V8RelatedIBMiIOSlot getRelatedIBMiIOSlot() {
        return relatedIBMiIOSlot;
    }

    public void setRelatedIBMiIOSlot(V8RelatedIBMiIOSlot relatedIBMiIOSlot) {
        this.relatedIBMiIOSlot = relatedIBMiIOSlot;
    }

    public V8RelatedIOAdapter getRelatedIOAdapter() {
        return relatedIOAdapter;
    }

    public void setRelatedIOAdapter(V8RelatedIOAdapter relatedIOAdapter) {
        this.relatedIOAdapter = relatedIOAdapter;
    }

    public String getSlotDynamicReconfigurationConnectorIndex() {
        return slotDynamicReconfigurationConnectorIndex;
    }

    public void setSlotDynamicReconfigurationConnectorIndex(String slotDynamicReconfigurationConnectorIndex) {
        this.slotDynamicReconfigurationConnectorIndex = slotDynamicReconfigurationConnectorIndex;
    }

    public String getSlotDynamicReconfigurationConnectorName() {
        return slotDynamicReconfigurationConnectorName;
    }

    public void setSlotDynamicReconfigurationConnectorName(String slotDynamicReconfigurationConnectorName) {
        this.slotDynamicReconfigurationConnectorName = slotDynamicReconfigurationConnectorName;
    }

    public String getSlotPhysicalLocationCode() {
        return slotPhysicalLocationCode;
    }

    public void setSlotPhysicalLocationCode(String slotPhysicalLocationCode) {
        this.slotPhysicalLocationCode = slotPhysicalLocationCode;
    }

    @Override
    public String toString() {
        return "IOSlot [metadata=" + metadata + ", busGroupingRequired=" + busGroupingRequired + ", description="
                + description + ", iOUnitPhysicalLocation=" + iOUnitPhysicalLocation + ", pCAdapterID=" + pCAdapterID
                + ", pCIClass=" + pCIClass + ", pCIDeviceID=" + pCIDeviceID + ", pCISubsystemDeviceID="
                + pCISubsystemDeviceID + ", pCIManufacturerID=" + pCIManufacturerID + ", pCIRevisionID=" + pCIRevisionID
                + ", pCIVendorID=" + pCIVendorID + ", pCISubsystemVendorID=" + pCISubsystemVendorID
                + ", relatedIBMiIOSlot=" + relatedIBMiIOSlot + ", relatedIOAdapter=" + relatedIOAdapter
                + ", slotDynamicReconfigurationConnectorIndex=" + slotDynamicReconfigurationConnectorIndex
                + ", slotDynamicReconfigurationConnectorName=" + slotDynamicReconfigurationConnectorName
                + ", slotPhysicalLocationCode=" + slotPhysicalLocationCode + "]";
    }

}
