package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.HmcSdkConstant;
import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.common.V8Metadata;

import javax.xml.bind.annotation.*;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "LoadGroup")
public class V8LoadGroup {

    @XmlAttribute
    private String schemaVersion = HmcSdkConstant.SCHEMA_VERSION_V120;

    @XmlElement(name = "Metadata")
    private V8Metadata metadata;

    @XmlElement(name = "TrunkAdapters")
    private V8TrunkAdapters TrunkAdapters;

    @XmlElement(name = "VirtualNetworks")
    private V8VirtualNetworks VirtualNetworks;

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public V8Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(V8Metadata metadata) {
        this.metadata = metadata;
    }

    public V8TrunkAdapters getTrunkAdapters() {
        return TrunkAdapters;
    }

    public void setTrunkAdapters(V8TrunkAdapters trunkAdapters) {
        TrunkAdapters = trunkAdapters;
    }

    public V8VirtualNetworks getVirtualNetworks() {
        return VirtualNetworks;
    }

    public void setVirtualNetworks(V8VirtualNetworks virtualNetworks) {
        VirtualNetworks = virtualNetworks;
    }
}
