package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module;

import com.alibaba.fastjson.JSON;
import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.common.V8EntryBase;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * 查询指定逻辑分区的返回结果
 *
 * @author sxp
 * @since May 8, 2018
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "entry")
public class V8LogicalPartitionEntry extends V8EntryBase {
    private V8LogicalPartitionContent content;

    public V8LogicalPartitionEntry() {
    }

    public V8LogicalPartitionContent getContent() {
        return content;
    }

    public void setContent(V8LogicalPartitionContent content) {
        this.content = content;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }

}
