package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module;

import com.alibaba.fastjson.JSON;
import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.common.V8ResponseBase;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import java.util.List;

/**
 * 查询所有逻辑分区的返回结果(V8)
 *
 * @author sxp
 * @since May 8, 2018
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "feed")
public class V8LogicalPartitionResponse extends V8ResponseBase {

    @XmlElement(name = "entry")
    private List<V8LogicalPartitionEntry> entries;

    public V8LogicalPartitionResponse() {
    }

    public List<V8LogicalPartitionEntry> getEntries() {
        return entries;
    }

    public void setEntries(List<V8LogicalPartitionEntry> entries) {
        this.entries = entries;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this, true);
    }

}
