package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module;

import com.alibaba.fastjson.JSON;
import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.common.V8ResponseBase;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import java.util.List;

/**
 * 查询所有逻辑分区的vfc(v8)
 *
 * @author lyc
 * @since 2018.12.20
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "feed")
public class V8LogicalPartitionVfcResponse extends V8ResponseBase {

    @XmlElement(name = "entry")
    private List<V8LogicalPartitionVfcEntry> entries;

    public V8LogicalPartitionVfcResponse() {
    }

    public List<V8LogicalPartitionVfcEntry> getEntries() {
        return entries;
    }

    public void setEntries(List<V8LogicalPartitionVfcEntry> entries) {
        this.entries = entries;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this, true);
    }

}
