package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.HmcSdkConstant;
import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.common.V8Metadata;

import javax.xml.bind.annotation.*;
import java.util.List;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "LogicalPorts")
public class V8LogicalPorts {
    @XmlAttribute
    private String schemaVersion = HmcSdkConstant.SCHEMA_VERSION_V120;

    @XmlElement(name = "Metadata")
    private V8Metadata metadata;

    @XmlElement(name = "HostEthernetAdapterLogicalPort")
    private List<V8HostEthernetAdapterLogicalPort> hostEthernetAdapterLogicalPort;

    public V8LogicalPorts() {
    }

    public V8Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(V8Metadata metadata) {
        this.metadata = metadata;
    }

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public List<V8HostEthernetAdapterLogicalPort> getHostEthernetAdapterLogicalPort() {
        return hostEthernetAdapterLogicalPort;
    }

    public void setHostEthernetAdapterLogicalPort(List<V8HostEthernetAdapterLogicalPort> hostEthernetAdapterLogicalPort) {
        this.hostEthernetAdapterLogicalPort = hostEthernetAdapterLogicalPort;
    }

    @Override
    public String toString() {
        return "LogicalPorts [metadata=" + metadata + ", hostEthernetAdapterLogicalPort="
                + hostEthernetAdapterLogicalPort + "]";
    }

}
