package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.HmcSdkConstant;
import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.common.V8Metadata;

import javax.xml.bind.annotation.*;
import java.util.List;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "PhysicalVolumes")
public class V8PhysicalVolumes {
    @XmlAttribute
    private String group;

    @XmlAttribute
    private String schemaVersion = HmcSdkConstant.SCHEMA_VERSION_V120;

    @XmlElement(name = "Metadata")
    private V8Metadata metadata;

    @XmlElement(name = "PhysicalVolume")
    private List<V8PhysicalVolume> physicalVolumeList;

    public String getGroup() {
        return group;
    }

    public void setGroup(String group) {
        this.group = group;
    }

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public V8Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(V8Metadata metadata) {
        this.metadata = metadata;
    }

    /**
     * @return the physicalVolumeList
     */
    public List<V8PhysicalVolume> getPhysicalVolumeList() {
        return physicalVolumeList;
    }

    /**
     * @param physicalVolumeList the physicalVolumeList to set
     */
    public void setPhysicalVolumeList(List<V8PhysicalVolume> physicalVolumeList) {
        this.physicalVolumeList = physicalVolumeList;
    }

}
