package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module;

import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.common.V8EntryBase;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * 指定唯一标识的CPU共享池实体
 *
 * @author sxp
 * @since May 15, 2018
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "entry")
public class V8SharedProcessorPoolEntry extends V8EntryBase {

    private V8SharedProcessorPoolContent content;

    public V8SharedProcessorPoolEntry() {
    }

    public V8SharedProcessorPoolContent getContent() {
        return content;
    }

    public void setContent(V8SharedProcessorPoolContent content) {
        this.content = content;
    }

    @Override
    public String toString() {
        return "SharedProcessorPoolEntryV8 [content=" + content + ", id=" + id + ", title=" + title + ", published="
                + published + ", link=" + link + ", author=" + author + "]";
    }

}
