package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module;

import com.alibaba.fastjson.JSONObject;

import javax.xml.bind.annotation.*;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "Storage")
public class V8Storage {
    @XmlAttribute
    private String schemaVersion;

    @XmlElement(name = "VirtualDisk")
    private V8VirtualDisk virtualDisk;

    @XmlElement(name = "PhysicalVolume")
    private V8PhysicalVolume physicalVolume;

    @XmlElement(name = "VirtualOpticalMedia")
    private V8VirtualOpticalMedia virtualOpticalMedia;

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public V8VirtualDisk getVirtualDisk() {
        return virtualDisk;
    }

    public void setVirtualDisk(V8VirtualDisk virtualDisk) {
        this.virtualDisk = virtualDisk;
    }

    /**
     * @return the physicalVolume
     */
    public V8PhysicalVolume getPhysicalVolume() {
        return physicalVolume;
    }

    /**
     * @param physicalVolume the physicalVolume to set
     */
    public void setPhysicalVolume(V8PhysicalVolume physicalVolume) {
        this.physicalVolume = physicalVolume;
    }

    public V8VirtualOpticalMedia getVirtualOpticalMedia() {
        return virtualOpticalMedia;
    }

    public void setVirtualOpticalMedia(V8VirtualOpticalMedia virtualOpticalMedia) {
        this.virtualOpticalMedia = virtualOpticalMedia;
    }

    @Override
    public String toString() {
        return JSONObject.toJSONString(this);
    }

}
