package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module;

import com.alibaba.fastjson.JSON;
import com.bocloud.cmp.provider.hmc.sdk.model.HmcSdkConstant;
import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.common.V8Metadata;

import javax.xml.bind.annotation.*;
import java.util.List;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "VirtualFibreChannelMappings")
public class V8VirtualFibreChannelMappings {
    @XmlAttribute(name = "group")
    private String group;

    @XmlAttribute(name = "schemaVersion")
    private String schemaVersion = HmcSdkConstant.SCHEMA_VERSION_V120;

    @XmlElement(name = "Metadata")
    private V8Metadata metadata;

    @XmlElement(name = "VirtualFibreChannelMapping")
    private List<V8VirtualFibreChannelMapping> virtualFibreChannelMappingList;

    public String getGroup() {
        return group;
    }

    public void setGroup(String group) {
        this.group = group;
    }

    public String getSchemaVersion() {
        return schemaVersion;
    }

    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    public V8Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(V8Metadata metadata) {
        this.metadata = metadata;
    }

    public List<V8VirtualFibreChannelMapping> getVirtualFibreChannelMappingList() {
        return virtualFibreChannelMappingList;
    }

    public void setVirtualFibreChannelMappingList(List<V8VirtualFibreChannelMapping> virtualFibreChannelMappingList) {
        this.virtualFibreChannelMappingList = virtualFibreChannelMappingList;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }

}
