package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module;

import com.alibaba.fastjson.JSON;

import javax.xml.bind.annotation.*;

/**
 * 指定虚拟IO服务器查询结果-Content
 *
 * @author sxp
 * @since May 11, 2018
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "content")
public class V8VirtualIOServerContent {
    @XmlAttribute
    private String type;

    @XmlElement(name = "VirtualIOServer")
    private V8VirtualIOServer virtualIOServer;

    public V8VirtualIOServerContent() {
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public V8VirtualIOServer getVirtualIOServer() {
        return virtualIOServer;
    }

    public void setVirtualIOServer(V8VirtualIOServer virtualIOServer) {
        this.virtualIOServer = virtualIOServer;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this, true);
    }

}
