package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module;

import com.alibaba.fastjson.JSON;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * 修改虚拟IO服务器时的实体类
 *
 * @author lkx
 * @since June 8, 2018
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "VirtualIOServer")
public class V8VirtualIOServerForUpdate {
    private String currentProfileSync;

    private String isConnectionMonitoringEnabled;

    private String allowPerformanceDataCollection;

    private String keylockPosition;

    private V8PartitionIOConfiguration partitionIOConfiguration;

    private V8PartitionMemoryConfiguration partitionMemoryConfiguration;

    private String partitionName;

    private V8PartitionProcessorConfiguration partitionProcessorConfiguration;

    private V8HostEthernetAdapterLogicalPorts hostEthernetAdapterLogicalPorts;

    private V8VirtualSCSIMappings virtualSCSIMappings;

    private V8VirtualFibreChannelMappings virtualFibreChannelMappings;

    public V8VirtualIOServerForUpdate() {
    }

    public String getCurrentProfileSync() {
        return currentProfileSync;
    }

    public void setCurrentProfileSync(String currentProfileSync) {
        this.currentProfileSync = currentProfileSync;
    }

    public String getIsConnectionMonitoringEnabled() {
        return isConnectionMonitoringEnabled;
    }

    public void setIsConnectionMonitoringEnabled(String isConnectionMonitoringEnabled) {
        this.isConnectionMonitoringEnabled = isConnectionMonitoringEnabled;
    }

    public String getAllowPerformanceDataCollection() {
        return allowPerformanceDataCollection;
    }

    public void setAllowPerformanceDataCollection(String allowPerformanceDataCollection) {
        this.allowPerformanceDataCollection = allowPerformanceDataCollection;
    }

    public String getKeylockPosition() {
        return keylockPosition;
    }

    public void setKeylockPosition(String keylockPosition) {
        this.keylockPosition = keylockPosition;
    }

    public V8PartitionIOConfiguration getPartitionIOConfiguration() {
        return partitionIOConfiguration;
    }

    public void setPartitionIOConfiguration(V8PartitionIOConfiguration partitionIOConfiguration) {
        this.partitionIOConfiguration = partitionIOConfiguration;
    }

    public V8PartitionMemoryConfiguration getPartitionMemoryConfiguration() {
        return partitionMemoryConfiguration;
    }

    public void setPartitionMemoryConfiguration(V8PartitionMemoryConfiguration partitionMemoryConfiguration) {
        this.partitionMemoryConfiguration = partitionMemoryConfiguration;
    }

    public String getPartitionName() {
        return partitionName;
    }

    public void setPartitionName(String partitionName) {
        this.partitionName = partitionName;
    }

    public V8PartitionProcessorConfiguration getPartitionProcessorConfiguration() {
        return partitionProcessorConfiguration;
    }

    public void setPartitionProcessorConfiguration(V8PartitionProcessorConfiguration partitionProcessorConfiguration) {
        this.partitionProcessorConfiguration = partitionProcessorConfiguration;
    }

    public V8HostEthernetAdapterLogicalPorts getHostEthernetAdapterLogicalPorts() {
        return hostEthernetAdapterLogicalPorts;
    }

    public void setHostEthernetAdapterLogicalPorts(V8HostEthernetAdapterLogicalPorts hostEthernetAdapterLogicalPorts) {
        this.hostEthernetAdapterLogicalPorts = hostEthernetAdapterLogicalPorts;
    }

    /**
     * @return the virtualSCSIMappings
     */
    public V8VirtualSCSIMappings getVirtualSCSIMappings() {
        return virtualSCSIMappings;
    }

    /**
     * @param virtualSCSIMappings the virtualSCSIMappings to set
     */
    public void setVirtualSCSIMappings(V8VirtualSCSIMappings virtualSCSIMappings) {
        this.virtualSCSIMappings = virtualSCSIMappings;
    }

    public V8VirtualFibreChannelMappings getVirtualFibreChannelMappings() {
        return virtualFibreChannelMappings;
    }

    public void setVirtualFibreChannelMappings(V8VirtualFibreChannelMappings virtualFibreChannelMappings) {
        this.virtualFibreChannelMappings = virtualFibreChannelMappings;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }

}
