package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module;

import com.alibaba.fastjson.JSON;
import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.common.V8ResponseBase;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import java.util.List;

/**
 * 虚拟IO服务器查询结果(V8)
 *
 * @author sxp
 * @since May 11, 2018
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "feed")
public class V8VirtualIOServerResponse extends V8ResponseBase {

    @XmlElement(name = "entry")
    private List<V8VirtualIOServerEntry> entries;

    public V8VirtualIOServerResponse() {
    }

    public List<V8VirtualIOServerEntry> getEntries() {
        return entries;
    }

    public void setEntries(List<V8VirtualIOServerEntry> entries) {
        this.entries = entries;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this, true);
    }

}
