package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module;

import com.alibaba.fastjson.JSON;
import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.common.V8ResponseBase;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import java.util.List;

/**
 * 虚拟网络列表
 *
 * @author sxp
 * @since Jun 25, 2018
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "feed")
public class V8VirtualNetworkResponse extends V8ResponseBase {
    @XmlElement(name = "entry")
    private List<V8VirtualNetworkEntry> entries;

    public List<V8VirtualNetworkEntry> getEntries() {
        return entries;
    }

    public void setEntries(List<V8VirtualNetworkEntry> entries) {
        this.entries = entries;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this, true);
    }
}
