package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module;

import com.alibaba.fastjson.JSONObject;
import com.bocloud.cmp.provider.hmc.sdk.model.HmcSdkConstant;
import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.common.V8Metadata;

import javax.xml.bind.annotation.*;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "VirtualOpticalMedia")
public class V8VirtualOpticalMedia {

    @XmlAttribute
    private String schemaVersion = HmcSdkConstant.SCHEMA_VERSION_V120;

    @XmlElement(name = "Metadata")
    private V8Metadata metadata;
    /**
     * AIX7100
     */
    @XmlElement(name = "MediaName")
    private String mediaName;
    /**
     * 0eAIX7100
     */
    @XmlElement(name = "MediaUDID")
    private String mediaUDId;
    /**
     * rw
     */
    @XmlElement(name = "MountType")
    private String mountType;
    /**
     * 3.1299
     */
    @XmlElement(name = "Size")
    private String size;

    /**
     * @return the schemaVersion
     */
    public String getSchemaVersion() {
        return schemaVersion;
    }

    /**
     * @param schemaVersion the schemaVersion to set
     */
    public void setSchemaVersion(String schemaVersion) {
        this.schemaVersion = schemaVersion;
    }

    /**
     * @return the metadata
     */
    public V8Metadata getMetadata() {
        return metadata;
    }

    /**
     * @param metadata the metadata to set
     */
    public void setMetadata(V8Metadata metadata) {
        this.metadata = metadata;
    }

    /**
     * @return the mediaName
     */
    public String getMediaName() {
        return mediaName;
    }

    /**
     * @param mediaName the mediaName to set
     */
    public void setMediaName(String mediaName) {
        this.mediaName = mediaName;
    }

    /**
     * @return the mediaUDId
     */
    public String getMediaUDId() {
        return mediaUDId;
    }

    /**
     * @param mediaUDId the mediaUDId to set
     */
    public void setMediaUDId(String mediaUDId) {
        this.mediaUDId = mediaUDId;
    }

    /**
     * @return the mountType
     */
    public String getMountType() {
        return mountType;
    }

    /**
     * @param mountType the mountType to set
     */
    public void setMountType(String mountType) {
        this.mountType = mountType;
    }

    /**
     * @return the size
     */
    public String getSize() {
        return size;
    }

    /**
     * @param size the size to set
     */
    public void setSize(String size) {
        this.size = size;
    }

    public V8VirtualOpticalMedia() {
    }

    @Override
    public String toString() {
        return JSONObject.toJSONString(this);
    }
}
