package com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module;

import com.alibaba.fastjson.JSON;
import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.common.V8EntryBase;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * VirtualSwitchEntryV8
 *
 * @author lkx
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "entry")
public class V8VirtualSwitchEntry extends V8EntryBase {

    private V8VirtualSwitchContent content;

    /**
     * @return the content
     */
    public V8VirtualSwitchContent getContent() {
        return content;
    }

    /**
     * @param content the content to set
     */
    public void setContent(V8VirtualSwitchContent content) {
        this.content = content;
    }

    public V8VirtualSwitchEntry() {
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }

}
