package com.bocloud.sdk.hmc.api;

import com.bocloud.cmp.provider.hmc.sdk.api.v8.V8SharedProcessorPoolService;
import com.bocloud.cmp.provider.hmc.sdk.enums.SharedProcessorPoolQuickProperty;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.sdk.hmc.api.base.BaseTest;
import org.junit.Assert;
import org.junit.Test;

public class V8SharedProcessorPoolServiceTest extends BaseTest {

	@Test
	public void testGet() {
		BocloudResult result = V8SharedProcessorPoolService.get(auth, "25cc2a4e-b946-3b98-acaa-cdf90628809a");
		Assert.assertTrue(result.getMessage(), result.isSuccess());
		System.out.println(result.getData());
	}

	@Test
	public void testGet2() {
		BocloudResult result = V8SharedProcessorPoolService.get(auth, "25cc2a4e-b946-3b98-acaa-cdf90628809a",
				"dd95281b-888c-3eab-ad11-648ad08e9801");
		Assert.assertTrue(result.getMessage(), result.isSuccess());
		System.out.println(result.getData());
	}

	@Test
	public void testGetQuick() {
		BocloudResult result;
		SharedProcessorPoolQuickProperty[] values = SharedProcessorPoolQuickProperty.values();

		for (SharedProcessorPoolQuickProperty property : values) {
			result = V8SharedProcessorPoolService.getQuickProperty(auth, "25cc2a4e-b946-3b98-acaa-cdf90628809a",
					"dd95281b-888c-3eab-ad11-648ad08e9801", property);
			// Assert.assertTrue(result.getMessage(), result.isSuccess());
			System.out.println(property.name() + "=" + result.getData());
		}
	}

}
