package com.bocloud.sdk.hmc.common.xml;

import com.bocloud.cmp.provider.hmc.sdk.model.HmcSdkConstant;
import com.bocloud.cmp.provider.hmc.sdk.model.v8.sdk.module.V8LogicalPartition;
import com.bocloud.cmp.provider.hmc.sdk.util.XmlUtils;
import org.junit.Test;

public class XmlUtilsTest {

	@Test
	public void testAppendHmcNamespace() {
		V8LogicalPartition lp1 = new V8LogicalPartition();
		lp1.setSchemaVersion(HmcSdkConstant.SCHEMA_VERSION_V120);
		lp1.setPartitionName("sxp-test-aix-1");		
		String text = XmlUtils.toXmlString(lp1);
		
		text = XmlUtils.appendHmcNamespace(V8LogicalPartition.class, text);
		System.out.println(text);
	}

}
