/*
package com.bocloud.cmp.provider.network;

import java.util.List;
import com.bocloud.cmp.huaweiconvertor.NetworkConvertor;
import com.bocloud.cmp.model.Butler;
import com.bocloud.cmp.model.NetworkModel;
import com.bocloud.cmp.model.PortGroupModel;
import com.bocloud.cmp.model.SwitchModel;
import com.bocloud.cmp.provider.HuaweiProvider;
import com.bocloud.cmp.provider.convertor.BeanConvertor;
import com.bocloud.common.annotations.Provider;
import com.bocloud.common.model.BocloudResult;
import com.huawei.openstack4j.api.Builders;
import com.huawei.openstack4j.model.common.ActionResponse;
import com.huawei.openstack4j.model.network.Network;
import com.huawei.openstack4j.model.network.NetworkUpdate;
import com.huawei.openstack4j.model.network.builder.NetworkBuilder;
import com.huawei.openstack4j.model.network.builder.NetworkUpdateBuilder;
import com.huawei.openstack4j.openstack.networking.domain.NeutronNetworkUpdate;

import jersey.repackaged.com.google.common.collect.Lists;

*/
/**
 * 
 * @author ymh
 * @时间 2018年12月10日
 *//*

@Provider("bocloud.cmp.huawei")
public class HuaweiNetworkProvider extends HuaweiProvider implements NetworkProvider {

    public HuaweiNetworkProvider(Butler butler) {
        super(butler);
    }

    private BeanConvertor<NetworkModel, Network> convertor = new NetworkConvertor();

    @Override
    public BocloudResult list() {
        try {
            String currentProjectId = currentProjectId();
            List<? extends Network> list = this.getClient().networking().network().list();
            List<Network> currentProjectList = Lists.newArrayList();
            for (Network network : list) {
                if (currentProjectId.equals(network.getTenantId())) {
                    currentProjectList.add(network);
                }
            }
            return new BocloudResult(true, convertor.convertList(currentProjectList), "查询成功");
        } catch (Exception e) {
            return new BocloudResult(false, "查询失败", e.getMessage());
        }
    }

    @Override
    public BocloudResult create(NetworkModel model) {
        try {
            NetworkBuilder networkBuilder = Builders.network().name(model.getName())
                    .adminStateUp(model.getAdminStateup()).isShared(model.getShared());
            networkBuilder.tenantId(this.currentProjectId());
            Network network = this.getClient().networking().network().create(networkBuilder.build());
            NetworkModel convertModel = convertor.convertModel(network);
            convertModel.setRegionId(this.getRegionId());
            return new BocloudResult(true, convertModel, "创建成功");
        } catch (Exception e) {
            return new BocloudResult(false, "创建失败", e.getMessage());
        }
    }

    @Override
    public BocloudResult remove(String networkId) {
        try {
            ActionResponse delete = this.getClient().networking().network().delete(networkId);
            if (delete.isSuccess()) {
                return new BocloudResult(true, this.detail(networkId), "删除成功");
            } else {
                return new BocloudResult(false, "删除失败", delete.getFault());
            }
        } catch (Exception e) {
            return new BocloudResult(false, "删除失败", e.getMessage());
        }
    }

    @Override
    public BocloudResult detail(String networkId) {
        try {
            Network network = this.getClient().networking().network().get(networkId);
            NetworkModel convertModel = convertor.convertModel(network);
            convertModel.setRegionId(this.getRegionId());
            return new BocloudResult(true, convertModel, "查询成功");
        } catch (Exception e) {
            return new BocloudResult(false, "删除失败", e.getMessage());
        }
    }

    @Override
    public BocloudResult modify(NetworkModel model) {
        try {
            NetworkUpdate paramNetworkUpdate = new NeutronNetworkUpdate();
            NetworkUpdateBuilder builder = paramNetworkUpdate.toBuilder();
            builder.shared(model.getShared()).name(model.getName());
            Network network = this.getClient().networking().network().update(model.getNetworkUuid(), builder.build());
            NetworkModel convertModel = convertor.convertModel(network);
            convertModel.setRegionId(this.getRegionId());
            return new BocloudResult(true, convertModel, "修改成功");
        } catch (Exception e) {
            return new BocloudResult(false, "修改失败", e.getMessage());
        }
    }

    @Override
    public BocloudResult createDSwitch(SwitchModel model) {
        return null;
    }

    @Override
    public BocloudResult createVSwitch(SwitchModel model) {
        return null;
    }

    @Override
    public BocloudResult removeDSwitch(String name) {
        return null;
    }

    @Override
    public BocloudResult renameDSwitch(String oldName, String newName) {
        return null;
    }

    @Override
    public BocloudResult updateDVSwitch(SwitchModel model) {
        return null;
    }

    @Override
    public BocloudResult removeVSwitch(String hostName, String vswitchName, List<String> pgNames) {
        return null;
    }

    @Override
    public BocloudResult updateVSwitch(String hostName, String vswitchName, SwitchModel model) {
        return null;
    }

    @Override
    public BocloudResult createPortGroup(String hostName, String vswitchName, PortGroupModel pgModel) {
        return null;
    }

    @Override
    public BocloudResult removePortGroup(String hostName, String pgName, String type) {
        return null;
    }

    @Override
    public BocloudResult updatePortGroup(String hostName, PortGroupModel pgModel) {
        return null;
    }

    @Override
    public BocloudResult addHost(SwitchModel model) {
        return null;
    }

    @Override
    public BocloudResult listVSwitch(SwitchModel model) {
        return null;
    }

    @Override
    public BocloudResult listProfile() {
        return null;
    }

}
*/
