package com.bocloud.cmp.provider.security;

import com.bocloud.cmp.model.Butler;
import com.bocloud.cmp.model.FirewallModel;
import com.bocloud.cmp.model.FirewallPolicyModel;
import com.bocloud.cmp.model.FirewallRuleModel;
import com.bocloud.cmp.provider.JdCloudProvider;
import com.bocloud.common.annotations.Provider;
import com.bocloud.common.model.BocloudResult;

/**
 * @author : guopeng create at: 2018/11/15 3:24 PM
 * @description:
 */
@Provider("bocloud.cmp.jdcloud")
public class JdCloudFirewallProvider extends JdCloudProvider implements FirewallProvider {

	// private static Logger logger =
	// LoggerFactory.getLogger(JdCloudFirewallProvider.class);

	/**
	 * 构造方法，所有的云平台驱动都必须要实现或重写该构造方法
	 *
	 * @param butler
	 *            云平台认证信息
	 */
	public JdCloudFirewallProvider(Butler butler) {
		super(butler);
	}

	@Override
	public BocloudResult list() {
		return null;
	}

	@Override
	public BocloudResult create(FirewallModel firewall) {
		return null;
	}

	@Override
	public BocloudResult remove(String firewallId) {
		return null;
	}

	@Override
	public BocloudResult detail(String firewallId) {
		return null;
	}

	@Override
	public BocloudResult update(FirewallModel firewall) {
		return null;
	}

	@Override
	public BocloudResult relevanceRouter(FirewallModel firewall) {
		return null;
	}

	@Override
	public BocloudResult listPolicy() {
		return null;
	}

	@Override
	public BocloudResult createPolicy(FirewallPolicyModel policyModel) {
		return null;
	}

	@Override
	public BocloudResult insertRule(String policyId, String ruleId, String type, String referRuleId) {
		return null;
	}

	@Override
	public BocloudResult removePolicy(String policyId) {
		return null;
	}

	@Override
	public BocloudResult removeRule(String policyId, String ruleId) {
		return null;
	}

	@Override
	public BocloudResult updatePolicy(FirewallPolicyModel policyModel) {
		return null;
	}

	@Override
	public BocloudResult detailPolicy(String policyId) {
		return null;
	}

	@Override
	public BocloudResult listRule() {
		return null;
	}

	@Override
	public BocloudResult createRule(FirewallRuleModel ruleModel) {
		return null;
	}

	@Override
	public BocloudResult removeRule(String ruleId) {
		return null;
	}

	@Override
	public BocloudResult updateRule(FirewallRuleModel ruleModel) {
		return null;
	}

	@Override
	public BocloudResult detailRule(String ruleId) {
		return null;
	}

}
