package com.bocloud.cmp.provider.powervc4j.api.compute;

import com.bocloud.cmp.model.FlavorExtraSpecsModel;
import com.bocloud.cmp.provider.powervc4j.api.base.BaseService;
import com.bocloud.common.model.BocloudResult;

/**
 * FlavorExtraService(配置规格扩展信息)服务接口
 *
 * @author lyc
 * @since 2019-01-29
 */
public interface FlavorExtraService extends BaseService<FlavorExtraSpecsModel> {

    /**
     * 查询某个指定的配置规格的扩展信息
     *
     * @author sxp
     * @since Mar 28, 2018
     */
    public FlavorExtraSpecsModel get(String flavorUuid);

    public BocloudResult create(String flavorUuid, FlavorExtraSpecsModel model);

}
