package com.bocloud.cmp.provider.powervc4j.api.networking;

import com.bocloud.cmp.model.powervc.PowervcConstant;

;

/**
 * 网络服务API接口
 * 
 * @author sxp
 * @since Mar 21, 2018
 */
public interface NetworkingService {
    /**
     * 返回PowerVC网络服务接口
     * 
     * @author sxp
     * @since Mar 21, 2018
     */
    NetworkService network(PowervcConstant.Version version);

    /**
     * 返回PowerVC子网服务接口
     *
     * @author sxp
     * @since Mar 21, 2018
     */
    SubnetService subnet(PowervcConstant.Version version);

    /**
     * 返回PowerVC Port服务接口
     *
     * @author lyc
     * @since 2019-01-22
     */
    PortService port(PowervcConstant.Version version);
}
