package com.bocloud.cmp.provider.powervc4j.api.storage;

import com.bocloud.cmp.model.StorageModel;
import com.bocloud.cmp.model.VolumeTemplateModel;
import com.bocloud.cmp.provider.powervc4j.api.base.BaseService;
import com.bocloud.common.model.BocloudResult;

/**
 * 存储设备
 * @author luyanchao
 * @since 2019/1/25 13:41
 */
public interface BlockStorageDeviceService  extends BaseService<StorageModel> {

    public BocloudResult get(String uuid);

    public BocloudResult connect(StorageModel storage);

    public BocloudResult create(StorageModel storage);

    public BocloudResult modify(StorageModel storage);

    public BocloudResult remove(String hostName);

}
