package com.bocloud.cmp.provider.powervc4j.api.storage;

import com.bocloud.cmp.model.SanFabricModel;
import com.bocloud.cmp.provider.powervc4j.api.base.BaseService;
import com.bocloud.common.model.BocloudResult;

/**
 * @author luyanchao
 * @since 2019/2/22 14:03
 */
public interface FabircService extends BaseService<SanFabricModel> {

    /**
     * 连接光纤交换机
     *
     * @param sanFc
     * @return
     */
    BocloudResult create(SanFabricModel sanFc);

    /**
     * 修改光纤交换机
     *
     * @param sanFc
     * @return
     */
    BocloudResult modify(SanFabricModel sanFc);

    /**
     * 查询光纤交换机详情
     *
     * @param fcName
     * @return
     */
    BocloudResult detail(String fcName);

    /**
     * 移除光纤交换机
     *
     * @param fcName
     * @return
     */
    BocloudResult remove(String fcName);
}
