package com.bocloud.cmp.provider.powervc4j.impl.compute.v14;

import com.bocloud.cmp.model.powervc.PowervcConstant;
import com.bocloud.cmp.provider.powervc4j.api.Apis;
import com.bocloud.cmp.provider.powervc4j.api.compute.ComputeService;
import com.bocloud.cmp.provider.powervc4j.api.compute.FlavorExtraService;
import com.bocloud.cmp.provider.powervc4j.api.compute.FlavorService;
import com.bocloud.cmp.provider.powervc4j.api.compute.HmcService;
import com.bocloud.cmp.provider.powervc4j.api.compute.HostSeaService;
import com.bocloud.cmp.provider.powervc4j.api.compute.HostService;
import com.bocloud.cmp.provider.powervc4j.api.compute.MessageService;
import com.bocloud.cmp.provider.powervc4j.api.compute.OsAggregateService;
import com.bocloud.cmp.provider.powervc4j.api.compute.OsHostService;
import com.bocloud.cmp.provider.powervc4j.api.compute.ServerService;
import com.bocloud.cmp.provider.powervc4j.api.compute.ViosGroupService;
import com.bocloud.cmp.provider.powervc4j.api.compute.ext.HypervisorService;

;

/**
 * Compute(Nova)服务实现
 *
 * @author sxp
 * @since Mar 20, 2018
 */
public class ComputeServiceImpl implements ComputeService {

    @Override
    public HypervisorService hypervisors(PowervcConstant.Version version) {
        return Apis.get(HypervisorService.class, version);
    }

    @Override
    public ServerService servers(PowervcConstant.Version version) {
        return Apis.get(ServerService.class, version);
    }

    @Override
    public FlavorService flavors(PowervcConstant.Version version) {
        return Apis.get(FlavorService.class, version);
    }

    @Override
    public FlavorExtraService flavorExtras(PowervcConstant.Version version) {
        return Apis.get(FlavorExtraService.class, version);
    }

    @Override
    public HostService host(PowervcConstant.Version version) {
        return Apis.get(HostService.class, version);
    }

    @Override
    public HmcService hmcs(PowervcConstant.Version version) {
        return Apis.get(HmcService.class, version);
    }

    @Override
    public OsHostService oshost(PowervcConstant.Version version) {
        return Apis.get(OsHostService.class, version);
    }

    @Override
    public MessageService message(PowervcConstant.Version version) {
        return Apis.get(MessageService.class, version);
    }

    @Override
    public OsAggregateService osAggregate(PowervcConstant.Version version) {
        return Apis.get(OsAggregateService.class, version);
    }

    @Override
    public HostSeaService hostSea(PowervcConstant.Version version) {
        return Apis.get(HostSeaService.class, version);
    }

    @Override
    public ViosGroupService viosGroup(PowervcConstant.Version version) {
        return Apis.get(ViosGroupService.class, version);
    }
}
