package com.bocloud.cmp.provider.powervc4j.impl.compute.v14;

import com.bocloud.cmp.provider.powervc4j.api.Apis;
import com.bocloud.cmp.provider.powervc4j.api.compute.HostService;
import com.bocloud.cmp.provider.powervc4j.impl.base.BaseServiceImpl;
import com.bocloud.cmp.provider.powervc4j.model.NovaHost;
import com.bocloud.cmp.provider.powervc4j.model.NovaHostResource;
import com.bocloud.common.model.BocloudResult;

import java.util.List;
import java.util.Map;

/**
 * 宿主机服务接口
 * 
 * @author sxp
 * @since Mar 28, 2018
 */
public class HostServiceImpl extends BaseServiceImpl<NovaHostResource> implements HostService {
    // private static Logger logger =
    // LoggerFactory.getLogger(HostServiceImpl.class);

    @Override
    protected Class<?> initServiceType() {
        return Apis.getTop(HostService.class);
    }

    @Override
    public NovaHost hostDescribe(String hostName) {
        String apiSuffix = String.format("/os-hosts/%s", hostName);
        NovaHost novaHost = customGet(NovaHost.class, apiSuffix);
        return novaHost;
    }

    @Override
    public BocloudResult create(Map<String, Object> params) {
        return null;
    }

    @Override
    public List<NovaHostResource> list() {
        return null;
    }

    @Override
    protected List<NovaHostResource> processListResult(String message) {
        return null;
    }

    @Override
    protected NovaHostResource processGetResult(String message) {
        return null;
    }

}
