package com.bocloud.cmp.provider.powervc4j.impl.storage.v14;

import com.bocloud.cmp.model.powervc.PowervcConstant;
import com.bocloud.cmp.provider.powervc4j.api.Apis;
import com.bocloud.cmp.provider.powervc4j.api.storage.BlockStorageDeviceService;
import com.bocloud.cmp.provider.powervc4j.api.storage.BlockStorageService;
import com.bocloud.cmp.provider.powervc4j.api.storage.BlockVolumePoolService;
import com.bocloud.cmp.provider.powervc4j.api.storage.BlockVolumeService;
import com.bocloud.cmp.provider.powervc4j.api.storage.BlockVolumeTemplateService;
import com.bocloud.cmp.provider.powervc4j.api.storage.FabircService;

;

/**
 * Volumes(Cinder)服务实现类
 * 
 * @author sxp
 * @since Mar 21, 2018
 */
public class BlockStorageServiceImpl implements BlockStorageService {

    @Override
    public BlockVolumeService volumes(PowervcConstant.Version version) {
        return Apis.get(BlockVolumeService.class, version);
    }

    @Override
    public BlockVolumeTemplateService templates(PowervcConstant.Version version) {
        return Apis.get(BlockVolumeTemplateService.class, version);
    }

    @Override
    public BlockStorageDeviceService storageDevices(PowervcConstant.Version version) {
        return Apis.get(BlockStorageDeviceService.class, version);
    }

    @Override
    public BlockVolumePoolService pools(PowervcConstant.Version version) {
        return Apis.get(BlockVolumePoolService.class, version);
    }

    @Override
    public FabircService fabrics(PowervcConstant.Version version) {
        return Apis.get(FabircService.class, version);
    }

}
