package com.bocloud.cmp.provider.powervc4j.model.compute;

/**
 * 云主机重启类型
 * 
 * @author sxp
 * @since Mar 30, 2018
 */
public enum RebootType {
    /** A SOFT reboot attempts a graceful shutdown and restart of the server */
    SOFT,
    /**
     * A HARD reboot attempts a forced shutdown and restart of the server. The
     * HARD reboot corresponds to the power cycles of the server.
     */
    HARD
}