package com.bocloud.cmp.provider.powervc4j.utils;

import com.bocloud.cmp.entity.enums.BocloudStatus;

public class StatusConverter {

    public static class Network {
        public static String converter(String value) {
            String status = null;
            if ("ACTIVE".equals(value)) {
                status = BocloudStatus.Network.RUNNING.name();
            } else if ("DOWN".equals(value)) {
                status = BocloudStatus.Network.STOPPED.name();
            } else if ("BUILD".equals(value)) {
                status = BocloudStatus.Network.BUILDING.name();
            } else if ("ERROR".equals(value)) {
                status = BocloudStatus.Network.ERROR.name();
            } else if ("PENDING_CREATE".equals(value)) {
                status = BocloudStatus.Network.PENDING_CREATE.name();
            } else if ("PENDING_UPDATE".equals(value)) {
                status = BocloudStatus.Network.PENDING_UPDATE.name();
            } else if ("PENDING_DELETE".equals(value)) {
                status = BocloudStatus.Network.PENDING_DELETE.name();
            } else if ("UNRECOGNIZED".equals(value)) {
                status = BocloudStatus.Network.EXCEPTION.name();
            } else if ("CREATED".equals(value)) {
                status = BocloudStatus.Network.CREATED.name();
            } else if ("INACTIVE".equals(value)) {
                status = BocloudStatus.Network.INACTIVE.name();
            } else {
                status = BocloudStatus.Network.EXCEPTION.name();
            }
            return status;
        }
    }
}
