package com.bocloud.cmp.driver.provider.powervc;

import com.bocloud.cmp.provider.common.PowervcValidateProvider;
import com.bocloud.common.model.BocloudResult;
import org.junit.Assert;
import org.junit.BeforeClass;
import org.junit.Test;

public class PvValidationDriverTest extends BaseDriverTest {
    private static PowervcValidateProvider instance;

    @BeforeClass
    public static void setUp() {
        instance = new PowervcValidateProvider(bulter);
    }

    @Test
    public void testValidate() {
        BocloudResult result = instance.validate();
        if (result.isFailed()) {
            System.out.println(result.getMessage());
        } else {
            System.out.println("result = " + result);
        }
        Assert.assertTrue(result.isSuccess());
    }


    @Test
    public void testResult() {
        BocloudResult result = instance.result();
        if (result.isFailed()) {
            System.out.println(result.getMessage());
        } else {
            System.out.println("result = " + result);
        }
        Assert.assertTrue(result.isSuccess());
    }
}
