package com.bocloud.cmp.driver.provider.powervc;

import com.alibaba.fastjson.JSON;
import com.bocloud.cmp.provider.storage.PowervcVolumePoolProvider;
import com.bocloud.common.model.BocloudResult;
import org.junit.Assert;
import org.junit.BeforeClass;
import org.junit.Test;

public class PvVolumePoolDriverTest extends BaseDriverTest {
    private static PowervcVolumePoolProvider instance;

    @BeforeClass
    public static void setUp() {
        instance = new PowervcVolumePoolProvider(bulter);
    }

    @Test
    public void testList() {
        BocloudResult result = instance.list("192_168_0_8");

        if (result.isFailed()) {
            System.out.println(result.getMessage());
        } else {
            System.out.println(JSON.toJSONString(result.getData(), true));
        }
        Assert.assertTrue(result.isSuccess());
    }

}

