package com.bocloud.cmp.pqcloudconvertor;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.bocloud.cmp.model.RegionModel;
import com.bocloud.cmp.provider.convertor.BeanJsonConvertor;

import java.util.ArrayList;
import java.util.List;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: RegionConvertor
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2019/10/28 16:47
 */
public class RegionConvertor implements BeanJsonConvertor<RegionModel> {


    @Override
    public List<RegionModel> convertList(JSONArray array) {
        List<RegionModel> list = new ArrayList<>();
        for (int i = 0; i < array.size(); i++) {
            list.add(convertModel(array.getJSONObject(i)));
        }
        return list;
    }

    @Override
    public RegionModel convertModel(JSONObject object) {
        RegionModel model = new RegionModel();
        model.setRegionId(object.getString("zone_id"));
        model.setCode(object.getString("zone_id"));
        model.setName(object.getString("zone_id"));
        return model;
    }
}
