package com.bocloud.cmp.pqcloudconvertor;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.bocloud.cmp.model.ZoneModel;
import com.bocloud.cmp.provider.convertor.BeanJsonConvertor;

import java.util.ArrayList;
import java.util.List;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: ZoneConvertor
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2019/10/28 16:47
 */
public class ZoneConvertor implements BeanJsonConvertor<ZoneModel> {


    @Override
    public List<ZoneModel> convertList(JSONArray array) {
        List<ZoneModel> list = new ArrayList<>();
        for (int i = 0; i < array.size(); i++) {
            list.add(convertModel(array.getJSONObject(i)));
        }
        return list;
    }

    @Override
    public ZoneModel convertModel(JSONObject object) {
        ZoneModel model = new ZoneModel();
        model.setZoneId(object.getString("zone_id"));
        model.setName(object.getString("zone_id"));
        return model;
    }
}
