package com.bocloud.cmp.provider.api;

import java.util.List;
import com.alibaba.fastjson.JSONObject;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.qingcloud.sdk.service.InstanceService;
import com.qingcloud.sdk.service.Types.InstanceTypeModel;

@JsonIgnoreProperties(ignoreUnknown = true)
public class QcloudDescribeInstanceTypesOutput extends InstanceService.DescribeInstanceTypesOutput {
	private String action;

	@JsonProperty(value = "action")
	public void setAction(String action) {
		this.action = action;
	}

	@JsonProperty(value = "action")
	public String getAction() {
		return this.action;
	}

	private List<InstanceTypeModel> instanceTypeSet;

	@JsonProperty(value = "instance_type_set")
	public void setInstanceTypeSet(List<InstanceTypeModel> instanceTypeSet) {
		this.instanceTypeSet = instanceTypeSet;
	}

	@JsonProperty(value = "instance_type_set")
	public List<InstanceTypeModel> getInstanceTypeSet() {
		return this.instanceTypeSet;
	}

	private Integer retCode;

	@JsonProperty(value = "ret_code")
	public void setRetCode(Integer retCode) {
		this.retCode = retCode;
	}

	@JsonProperty(value = "ret_code")
	public Integer getRetCode() {
		return this.retCode;
	}

	private List<JSONObject> totalCount;

	@JsonProperty(value = "total_count")
	public void setTotalCount(List<JSONObject> totalCount) {
		this.totalCount = totalCount;
	}

}
