package com.bocloud.cmp.provider.common;

import org.apache.http.client.methods.HttpEntityEnclosingRequestBase;

import java.net.URI;

/**
 * 深信服专用的HttpDelete
 *
 * @author sxp
 * @since 2023/5/30
 */
public class SangforHttpDelete extends HttpEntityEnclosingRequestBase {
    public static final String METHOD_NAME = "DELETE";

    public SangforHttpDelete() {
    }

    public SangforHttpDelete(URI uri) {
        this.setURI(uri);
    }

    public SangforHttpDelete(String uri) {
        this.setURI(URI.create(uri));
    }

    public String getMethod() {
        return "DELETE";
    }
}

