package com.bocloud.cmp.provider.v68.model;

import lombok.Data;

/**
 * 深信服结果
 *
 * @author sxp
 * @since 2023/5/29
 */
@Data
public class SangforResult {
    /**
     * 成功
     */
    public static final String SUCCESS_CODE = "0";

    /**
     * 操作状态码，成功时返回值为0
     */
    private String code;

    /**
     * 调用失败后的异常描述信息
     */
    private String message;

    /**
     * 接口调用实际返回的数据内容
     */
    private Object data;
}
