package com.bocloud.cmp.provider.smart.sdk.convert;


import com.bocloud.cmp.provider.smart.sdk.model.JobModel;

import java.util.List;
import java.util.stream.Collectors;

public class TaskConvert {

    public List<com.bocloud.cmp.model.TaskMsgModel> convert(List<JobModel.Task> params) {
        return params.stream().map(this::convert).collect(Collectors.toList());
    }

    public com.bocloud.cmp.model.TaskMsgModel convert(JobModel.Task param) {
        com.bocloud.cmp.model.TaskMsgModel result = new com.bocloud.cmp.model.TaskMsgModel();
        result.setUuid(param.getUuid());
        result.setName(param.getFollowerName());
        result.setState(param.getState());
        result.setErrorCode(param.getErrorCode());
        result.setErrorMessage(param.getErrorMessage());
        result.setMessageEnUS(param.getMsg());
        result.setMessageZhCN(param.getMsg());
        return result;
    }
}
