package com.bocloud.cmp.provider.smart.sdk.model.create;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
public class VolumeCreateModel {

    private String name;
    private String description;
    private String type; // KVM_VOLUME  KVM_VOLUME_ISCSI
    private Boolean sharing;
    @JSONField(name = "storage_policy_uuid")
    private String storagePolicyUuid;
    @JSONField(name = "size_in_byte")
    private Long sizeInByte;
}
