package com.bocloud.cmp.provider.smart.sdk.api;

import com.alibaba.fastjson.JSON;
import com.bocloud.cmp.provider.DefaultSetting;
import com.bocloud.cmp.provider.smart.sdk.model.VdsModel;
import com.bocloud.cmp.provider.smart.sdk.model.VlanModel;
import org.apache.log4j.Level;
import org.apache.log4j.Logger;
import org.junit.Before;
import org.junit.Test;

import java.util.List;

public class VlanApiTest {

    private static final Logger logger = Logger.getLogger(ClusterApiTest.class);

    @Before
    public void before() {
        logger.getLoggerRepository().getLogger("com.bocloud").setLevel(Level.DEBUG);
        System.setProperty("smart.debug", Boolean.TRUE.toString());
    }

    @Test
    public void list() {
        VdsApi vdsApi = new VdsApi(DefaultSetting.SESSION_PARAMS);
        List<VdsModel> vdsModels = vdsApi.list();
        for (VdsModel vdsModel : vdsModels) {
            VlanApi vlanApi = new VlanApi(DefaultSetting.SESSION_PARAMS);
            List<VlanModel> vlanModels = vlanApi.list(vdsModel.getUuid());
            System.out.println(JSON.toJSONString(vlanModels));
        }
    }
}