package com.bocloud.cmp.provider.smart.sdk.api;

import com.alibaba.fastjson.JSON;
import com.bocloud.cmp.provider.DefaultSetting;
import com.bocloud.cmp.provider.smart.sdk.model.VmModel;
import org.apache.log4j.Level;
import org.apache.log4j.Logger;
import org.junit.Before;
import org.junit.Test;

import java.util.List;

public class VmApiTest {

    private static final Logger logger = Logger.getLogger(ClusterApiTest.class);

    @Before
    public void before() {
        logger.getLoggerRepository().getLogger("com.bocloud").setLevel(Level.DEBUG);
    }

    @Test
    public void list() {
        VmApi vmApi = new VmApi(DefaultSetting.SESSION_PARAMS);
        List<VmModel> vmModels = vmApi.list();
        System.out.println(JSON.toJSONString(vmModels));
    }

    @Test
    public void get() {
        VmApi vmApi = new VmApi(DefaultSetting.SESSION_PARAMS);
        VmModel vmModel = vmApi.get("aa1d9f0f-e2ce-46e6-9378-b574d783d300");
        System.out.println(vmModel.getDescription());
    }
}