package com.bocloud.cmp.provider.volmodel;

import lombok.Data;

/**
 * @ClassName: NetworkInterfaceRes
 * @Description: 实例挂载的网卡信息
 * @Author lxy
 * @Date 2021/9/13 10:15
 */
@Data
public class NetworkInterfaceRes {
    //网卡ID eni-3tiu4lmhwq4e8i******
    private String NetworkInterfaceId;
    //网卡名称  instance-test-eni-1
    private String NetworkInterfaceName;
    //私有网络ID vpc-3thbinq64t4bwb******
    private String VpcId;
    //私有网络名称 	vpc-test
    private String VpcName;
    //子网ID	subnet-3tisodmzai4e8i******
    private String SubnetId;
    //私网IP地址  172.16.** .**
    private String PrimaryIpAddress;
    //安全组ID  sg-3ti78x9h8t4bwb******
    private String SecurityGroupIds;
    //网卡属性，取值： primary：主网卡secondary：辅助网卡   primary
    private String Type;
    //MAC地址   00:16:3e:5b:** :**
    private String MacAddress;
    //网卡状态：InUse：使用中Detaching：卸载中   InUse
    private String Status;
    //公网IP地址  	111.62.** .**
    private String EipAddress;
    /**
     * 实例是否启用了停机不收费功能。取值：
     * StopCharging：停机不收费。停机后，将释放vCPU、内存、GPU等资源。停机后再次启动实例，将重新创建vCPU、内存、GPU等资源，如果实例所在地域库存不足，将启动失败。
     * KeepCharging：停机后继续收费。停机后为您保留vCPU、内存、GPU等资源。
     * NotApplicable：表示本实例不支持停机不收费功能。
     */
    private String StoppedMode;
}
