package com.bocloud.cmp.provider.volmodel;

import lombok.Data;

/**
 * @ClassName: Permissions
 * @Description: 安全组权限规则集合
 * @Author lxy
 * @Date 2021/9/14 10:55
 */
@Data
public class Permissions {
    //创建安全组的时间。 2018-12-12T07:28:38+08:00
    private String CreationTime;
    //创建安全组的时间。  2019-2-10T07:28:30+08:00
    private String UpdateTime;
    //安全组的描述信息。 	sg rule for default
    private String Description;
    //授权方向。 	egress
    private String Direction;
    //IP协议。	TCP
    private String Protocol;
    //授权策略。	Accept
    private String Policy;
    //端口起始。 	80
    private Integer PortStart;
    //端口结束。    80
    private Integer PortEnd;
    //规则优先级。   1
    private String Priority;
    //源IP地址段，用于入方向授权。  10.XX.XX.1/8
    private String CidrIp;
    //源安全组，用于入方向授权。  sg-bp12kc4rqohaf2js****
    private String GroupId;
}
