package com.bocloud.cmp.provider.volmodel;

import lombok.Data;

import java.util.List;

/**
 * @ClassName: ServerGroups
 * @Description:
 * @Author lxy
 * @Date 2021/10/12 16:59
 */
@Data
public class ServerGroups {
    //后端服务器组的ID。
    private String ServerGroupId;
    //后端服务器组的名称。
    private String ServerGroupName;
    //后端服务器组的描述。
    private String Description;
    //后端服务器组的创建时间。  2021-08-11T16:37:37Z
    private String CreateTime;
    //后端服务器组的最近操作时间。    2021-08-11T16:37:37Z
    private String UpdateTime;
    //后端服务器组所属的负载均衡实例ID。
    private String LoadBalancerId;
    //后端服务器组关联的监听器信息
    private List<String> Listeners;
    //后端服务器组中服务器的信息
    private List<Servers> Servers;
}
