package com.bocloud.cmp.provider.volmodel;

import lombok.Data;

/**
 * @ClassName: Subnets
 * @Description: 子网
 * @Author lxy
 * @Date 2021/9/13 16:08
 */
@Data
public class Subnets {
    //子网所属账户的ID。  子网所属账户的ID。
    private String AccountId;
    //子网的ID。  subnet-25bcdxs7pv1****
    private String SubnetId;
    //子网所属VPC的ID。  vpc-257gcdcdq64****
    private String VpcId;
    //子网的状态。Pending：表示配置中。Available：表示可用。
    private String Status;
    //子网的IPv4网段。  172.XX.XX.0/24
    private String CidrBlock;
    //子网所属的可用区。  cn-beijing-a
    private String ZoneId;
    //子网中可用的IP地址数量。  1
    private String AvailableIpAddressCount;
    //子网的描述信息。  Description
    private String Description;
    //子网的名称。  subnet-1
    private String SubnetName;
    //子网的创建时间。 	2018-01-18T12:43:57+08:00
    private String CreationTime;
    //子网的更新的时间。  2019-01-18T11:23:55+08:00
    private String UpdateTime;
    //子网所属项目的名称。  default
    private String ProjectName;
    //子网下可用IP总数。  253
    private String TotalIpv4Count;
    //路由表信息。
    private RouteTable RouteTable;
    //请求ID。2021062415303301022514515207C4****
    private String RequestId;


}
